!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_2320) = coupl(nGC_1642)*dZee_QED2 + coupl(nGC_1643)*da_QED2 +  &
                        coupl(nGC_1644)*dsw_QED2 + coupl(nGC_1645)*db_QED2
      coupl(nGC_2606) = cima*dMW2_QED2
      coupl(nGC_2607) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_2604) = -cima*dMB_QCD2
      coupl(nGC_2605) = cima*dMZ2_QED2
      coupl(nGC_2602) = -cima*dMS_QCD2
      coupl(nGC_2603) = -cima*dMB_QED2
      coupl(nGC_2600) = -cima*dMD_QCD2
      coupl(nGC_2601) = -cima*dMS_QED2
      coupl(nGC_2608) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_2264) = coupl(nGC_1526)*db_QED2 + coupl(nGC_1527)*dl3_QED4 +   &
                        coupl(nGC_1528)*dl2_QED4 + coupl(nGC_1529)*dl1_QED4 +  &
                        coupl(nGC_1530)*dl4_QED4 + coupl(nGC_1531)*dl5_QED4 +  &
                        coupl(nGC_1532)*da_QED2
      coupl(nGC_2261) = coupl(nGC_1533)*db_QED2 + coupl(nGC_1534)*dl3_QED4 +   &
                        coupl(nGC_1535)*dl2_QED4 + coupl(nGC_1536)*dl1_QED4 +  &
                        coupl(nGC_1537)*dl4_QED4 + coupl(nGC_1538)*dl5_QED4 +  &
                        coupl(nGC_1539)*da_QED2
      coupl(nGC_2676) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2253) = coupl(nGC_1074)*dl3_QED4 + coupl(nGC_1075)*dl2_QED4 +  &
                        coupl(nGC_1076)*dl1_QED4 + coupl(nGC_1077)*dl4_QED4 +  &
                        coupl(nGC_1078)*dl5_QED4 + coupl(nGC_1079)*da_QED2
      coupl(nGC_2703) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2383) = coupl(nGC_1090)*dydo1_QED1_QCD2 + coupl(nGC_1091)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2382) = coupl(nGC_1089)*db_QED2 + coupl(nGC_1090)*dydo1_QED3 + &
                        coupl(nGC_1091)*dydo2_QED3
      coupl(nGC_3255) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3033) = -coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3034) = -coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_3038) = -coupl(nGC_91)*dZG0/2d0
      coupl(nGC_2819) = coupl(nGC_97)*dZGMinus
      coupl(nGC_2816) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_2925) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2969) = coupl(nGC_60)*dZGMinus
      coupl(nGC_2664) = coupl(nGC_75)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2718) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_2246) = coupl(nGC_1241)*db_QED2 + coupl(nGC_1242)*dl3_QED4 +   &
                        coupl(nGC_1243)*dl2_QED4 + coupl(nGC_1244)*dl1_QED4 +  &
                        coupl(nGC_1245)*dl4_QED4 + coupl(nGC_1246)*dl5_QED4
      coupl(nGC_2247) = coupl(nGC_1247)*db_QED2 + coupl(nGC_1248)*dl3_QED4 +   &
                        coupl(nGC_1249)*dl2_QED4 + coupl(nGC_1250)*dl1_QED4 +  &
                        coupl(nGC_1251)*dl4_QED4 + coupl(nGC_1252)*dl5_QED4
      coupl(nGC_2244) = coupl(nGC_1398)*dZee_QED2 + coupl(nGC_1399)*dcw_QED2 + &
                        coupl(nGC_1400)*dsw_QED2
      coupl(nGC_2245) = coupl(nGC_1253)*db_QED2 + coupl(nGC_1254)*dl3_QED4 +   &
                        coupl(nGC_1255)*dl2_QED4 + coupl(nGC_1256)*dl1_QED4 +  &
                        coupl(nGC_1257)*dl4_QED4 + coupl(nGC_1258)*dl5_QED4
      coupl(nGC_2243) = coupl(nGC_1408)*dZee_QED2 + coupl(nGC_1409)*dcw_QED2 + &
                        coupl(nGC_1410)*dsw_QED2
      coupl(nGC_2241) = coupl(nGC_1404)*dZee_QED2 + coupl(nGC_1405)*dcw_QED2 + &
                        coupl(nGC_1406)*dsw_QED2
      coupl(nGC_2392) = coupl(nGC_1080)*dydo2_QED3 + coupl(nGC_1081)*dydo1_QED3&
                         + coupl(nGC_1082)*da_QED2
      coupl(nGC_2393) = coupl(nGC_1080)*dydo2_QED1_QCD2 + coupl(nGC_1081)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2809) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2801) = coupl(nGC_57)*dZGMinus
      coupl(nGC_2804) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2806) = coupl(nGC_59)*dZG0
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2935) = coupl(nGC_85)*dZcR_QCD2
      coupl(nGC_2936) = -coupl(nGC_2320) + coupl(nGC_64)*dZGMinusHMinus_QED2/  &
                        2d0 - coupl(nGC_64)*dZHhHl_QED2/2d0 - coupl(nGC_68)*   &
                        dZHMinus_QED2/2d0 - coupl(nGC_68)*dZHl_QED2/2d0 - coupl&
                        (nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_2937) = coupl(nGC_56)*dZG0
      coupl(nGC_2933) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_3201) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2642) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2726) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2640) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_2346) = coupl(nGC_1417)*dZee_QED2
      coupl(nGC_2833) = coupl(nGC_56)*dZGMinus
      coupl(nGC_2347) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_2831) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2900) = coupl(nGC_149)*dZdL_QCD2/2d0 + coupl(nGC_149)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2393)
      coupl(nGC_2902) = coupl(nGC_158)*dZGMinus/2d0
      coupl(nGC_2904) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2649) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_2737) = -coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2734) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_2730) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2731) = coupl(nGC_37)*dZG0/2d0
      coupl(nGC_2826) = coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_3198) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_3193) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3192) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3177) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3176) = -coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_3174) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_3172) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3171) = coupl(nGC_2245) + 2d0*coupl(nGC_47)*dZHaG0_QED2
      coupl(nGC_3170) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_3178) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2918) = coupl(nGC_53)*(dZG0 + dZGMinus)
      coupl(nGC_2919) = coupl(nGC_2246) + coupl(nGC_43)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_43)*dZHaG0_QED2
      coupl(nGC_2917) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_2910) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2796) = coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2709) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2706) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2743) = coupl(nGC_41)*dZGMinus/2d0
      coupl(nGC_2585) = -cima*dMHC2_QED2
      coupl(nGC_2587) = -cima*dMHH2_QED2
      coupl(nGC_2586) = -cima*dMHL2_QED2
      coupl(nGC_2588) = -cima*dMHA2_QED2
      coupl(nGC_2367) = coupl(nGC_1027)*dyd13x3_QED1_QCD2 + coupl(nGC_1028)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2366) = coupl(nGC_1026)*db_QED2 + coupl(nGC_1027)*dyd13x3_QED3 &
                         + coupl(nGC_1028)*dyb2_QED3
      coupl(nGC_2369) = coupl(nGC_1063)*dydo1_QED1_QCD2 + coupl(nGC_1064)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2368) = coupl(nGC_1062)*db_QED2 + coupl(nGC_1063)*dydo1_QED3 + &
                        coupl(nGC_1064)*dydo2_QED3
      coupl(nGC_2389) = coupl(nGC_1042)*dyd13x3_QED1_QCD2 + coupl(nGC_1043)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2691) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_2693) = coupl(nGC_48)*dZGMinus/2d0
      coupl(nGC_3251) = coupl(nGC_2602) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_2696) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3182) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3181) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3165) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3166) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3163) = -coupl(nGC_96)*dZGMinus
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2962) = coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_2964) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_2952) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2958) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_3137) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3136) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2754) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_2759) = coupl(nGC_28)*dZG0/2d0
      coupl(nGC_2592) = -cima*dMTA_QED2
      coupl(nGC_2593) = -cima*dMU_QED2
      coupl(nGC_2590) = -cima*dME_QED2
      coupl(nGC_2591) = -cima*dMM_QED2
      coupl(nGC_2596) = -cima*dMC_QCD2
      coupl(nGC_2597) = -cima*dMT_QED2
      coupl(nGC_2594) = -cima*dMU_QCD2
      coupl(nGC_2595) = -cima*dMC_QED2
      coupl(nGC_2598) = -cima*dMT_QCD2
      coupl(nGC_2599) = -cima*dMD_QED2
      coupl(nGC_2378) = coupl(nGC_1044)*db_QED2 + coupl(nGC_1045)*dyd13x3_QED3 &
                         + coupl(nGC_1046)*dyb2_QED3
      coupl(nGC_2379) = coupl(nGC_1045)*dyd13x3_QED1_QCD2 + coupl(nGC_1046)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2376) = coupl(nGC_1038)*db_QED2 + coupl(nGC_1039)*dyt1_QED3 +  &
                        coupl(nGC_1040)*dyt2_QED3
      coupl(nGC_2372) = coupl(nGC_985)*db_QED2 + coupl(nGC_986)*dyc1_QED3 +    &
                        coupl(nGC_987)*dyc2_QED3
      coupl(nGC_2373) = coupl(nGC_986)*dyc1_QED1_QCD2 + coupl(nGC_987)*        &
                        dyc2_QED1_QCD2
      coupl(nGC_2370) = coupl(nGC_1594)*db_QED2 + coupl(nGC_1595)*dyup1_QED3 + &
                        coupl(nGC_1596)*dyup2_QED3
      coupl(nGC_2371) = coupl(nGC_1595)*dyup1_QED1_QCD2 + coupl(nGC_1596)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2756) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_2688) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_2689) = coupl(nGC_36)*dZGMinus/2d0
      coupl(nGC_2687) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2683) = coupl(nGC_182)*dZG0/2d0
      coupl(nGC_2680) = coupl(nGC_183)*dZG0/2d0
      coupl(nGC_2971) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2972) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3083) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3087) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_3085) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2769) = coupl(nGC_152)*dZG0/2d0
      coupl(nGC_2768) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2383)
      coupl(nGC_2767) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*       &
                        dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl(  &
                        nGC_2382)
      coupl(nGC_2766) = coupl(nGC_151)*dZG0/2d0
      coupl(nGC_2761) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_2377) = coupl(nGC_1039)*dyt1_QED1_QCD2 + coupl(nGC_1040)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2309) = coupl(nGC_1407)*dZee_QED2
      coupl(nGC_2308) = coupl(nGC_888)*dl4_QED4 + coupl(nGC_889)*dl5_QED4 +    &
                        coupl(nGC_890)*dvev2_QED1 + coupl(nGC_891)*dvev1_QED1  &
                         + coupl(nGC_892)*db_QED2
      coupl(nGC_2306) = coupl(nGC_973)*db_QED2 + coupl(nGC_974)*dvev2_QED1 +   &
                        coupl(nGC_975)*dvev1_QED1 + coupl(nGC_976)*dl2_QED4 +  &
                        coupl(nGC_977)*dl1_QED4 + coupl(nGC_978)*dl4_QED4 +    &
                        coupl(nGC_979)*dl3_QED4 + coupl(nGC_980)*da_QED2 +     &
                        coupl(nGC_981)*dl5_QED4
      coupl(nGC_2305) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dvev2_QED1 +   &
                        coupl(nGC_367)*da_QED2 + coupl(nGC_369)*dl2_QED4 +     &
                        coupl(nGC_371)*dl1_QED4 + coupl(nGC_373)*dl4_QED4 +    &
                        coupl(nGC_375)*dl3_QED4 + coupl(nGC_377)*dvev1_QED1 +  &
                        coupl(nGC_379)*dl5_QED4
      coupl(nGC_2304) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dvev2_QED1 +   &
                        coupl(nGC_347)*da_QED2 + coupl(nGC_349)*dl2_QED4 +     &
                        coupl(nGC_351)*dl1_QED4 + coupl(nGC_353)*dl4_QED4 +    &
                        coupl(nGC_355)*dl3_QED4 + coupl(nGC_357)*dvev1_QED1 +  &
                        coupl(nGC_359)*dl5_QED4
      coupl(nGC_2945) = coupl(nGC_160)*dZG0/2d0
      coupl(nGC_2415) = coupl(nGC_1054)*dyd13x3_QED1_QCD2 + coupl(nGC_1055)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2414) = coupl(nGC_1053)*db_QED2 + coupl(nGC_1054)*dyd13x3_QED3 &
                         + coupl(nGC_1055)*dyb2_QED3
      coupl(nGC_2413) = coupl(nGC_1051)*dyd13x3_QED1_QCD2 + coupl(nGC_1052)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2412) = coupl(nGC_1050)*db_QED2 + coupl(nGC_1051)*dyd13x3_QED3 &
                         + coupl(nGC_1052)*dyb2_QED3
      coupl(nGC_2419) = coupl(nGC_1101)*dye2_QED3 + coupl(nGC_1102)*db_QED2 +  &
                        coupl(nGC_1103)*dye1_QED3
      coupl(nGC_2418) = coupl(nGC_1401)*db_QED2 + coupl(nGC_1402)*dytau2_QED3  &
                         + coupl(nGC_1403)*dytau1_QED3
      coupl(nGC_2784) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2781) = -coupl(nGC_2241) - coupl(nGC_82)*dZWMinus_QED2/2d0
      coupl(nGC_2788) = 3d0*coupl(nGC_45)*dZGMinus/2d0
      coupl(nGC_3094) = -coupl(nGC_2320) + coupl(nGC_63)*dZHMinusGMinus_QED2/  &
                        2d0 - coupl(nGC_63)*dZHlHh_QED2/2d0 - coupl(nGC_68)*   &
                        dZHh_QED2/2d0 - coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_3095) = -coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_3097) = -coupl(nGC_94)*dZZA_QED2/2d0
      coupl(nGC_2981) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_2983) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_2643) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2644) = coupl(nGC_185)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_189 &
                        )*dZnu_tauL_QED2/2d0 + coupl(nGC_189)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_2418)
      coupl(nGC_2645) = coupl(nGC_189)*dZGMinus/2d0
      coupl(nGC_2770) = coupl(nGC_62)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2771) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_2775) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3228) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_3227) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_3226) = coupl(nGC_2604) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_3225) = coupl(nGC_2603) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_137_Hh) + coupl&
                        (nGC_TS_GC_141_Hl)
      coupl(nGC_3224) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_3223) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_2319) = coupl(nGC_1321)*dZee_QED2 + coupl(nGC_1322)*da_QED2 +  &
                        coupl(nGC_1323)*dsw_QED2 + coupl(nGC_1324)*db_QED2
      coupl(nGC_2313) = coupl(nGC_1317)*dZee_QED2 + coupl(nGC_1318)*da_QED2 +  &
                        coupl(nGC_1319)*dsw_QED2 + coupl(nGC_1320)*db_QED2
      coupl(nGC_2314) = coupl(nGC_1326)*dZee_QED2 + coupl(nGC_1327)*da_QED2 +  &
                        coupl(nGC_1328)*dsw_QED2 + coupl(nGC_1329)*db_QED2
      coupl(nGC_2316) = coupl(nGC_898)*dvev1_QED1 + coupl(nGC_899)*dvev2_QED1  &
                         + coupl(nGC_900)*dZee_QED2 + coupl(nGC_901)*dsw_QED2  &
                         + coupl(nGC_902)*db_QED2
      coupl(nGC_2404) = coupl(nGC_1065)*db_QED2 + coupl(nGC_1066)*dydo1_QED3 + &
                        coupl(nGC_1067)*dydo2_QED3
      coupl(nGC_2405) = coupl(nGC_1066)*dydo1_QED1_QCD2 + coupl(nGC_1067)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3139) = coupl(nGC_2598) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_2407) = coupl(nGC_1060)*dydo1_QED1_QCD2 + coupl(nGC_1061)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2402) = coupl(nGC_1047)*dyd13x3_QED3 + coupl(nGC_1048)*        &
                        dyb2_QED3 + coupl(nGC_1049)*da_QED2
      coupl(nGC_2403) = coupl(nGC_1047)*dyd13x3_QED1_QCD2 + coupl(nGC_1048)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3133) = coupl(nGC_88)*dZtL_QCD2
      coupl(nGC_3131) = coupl(nGC_2320) - coupl(nGC_64)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_64)*dZHhHl_QED2/2d0 + coupl(nGC_68)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_68)*dZHl_QED2/2d0 + coupl&
                        (nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_3130) = coupl(nGC_143)*dZbL_QCD2/2d0 + coupl(nGC_143)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2413)
      coupl(nGC_3135) = coupl(nGC_85)*dZtR_QCD2
      coupl(nGC_2794) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2795) = coupl(nGC_2320) - coupl(nGC_63)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHlHh_QED2/2d0 + coupl(nGC_68)*      &
                        dZHh_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_2797) = coupl(nGC_46)*dZG0/2d0
      coupl(nGC_3047) = coupl(nGC_2600) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_3045) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3044) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3040) = 3d0*coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3049) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3048) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_2638) = coupl(nGC_29)*dZG0/2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2406) = coupl(nGC_1059)*db_QED2 + coupl(nGC_1060)*dydo1_QED3 + &
                        coupl(nGC_1061)*dydo2_QED3
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2099) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +  &
                        coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2141) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0  &
                         - coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(  &
                        nGC_170)**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_2142) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 + &
                        coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(     &
                        nGC_170)**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2893) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_2322) = coupl(nGC_1313)*dZee_QED2 + coupl(nGC_1314)*da_QED2 +  &
                        coupl(nGC_1315)*dsw_QED2 + coupl(nGC_1316)*db_QED2
      coupl(nGC_2899) = coupl(nGC_145)*dZHlHh_QED2/2d0 + coupl(nGC_149)*       &
                        dZHh_QED2/2d0 + coupl(nGC_149)*dZdL_QED2/2d0 + coupl(  &
                        nGC_149)*dZdR_QED2/2d0 + coupl(nGC_2392)
      coupl(nGC_2898) = coupl(nGC_120)*dZG0/2d0
      coupl(nGC_2329) = coupl(nGC_893)*db_QED2 + coupl(nGC_894)*da_QED2 + coupl&
                        (nGC_895)*dcw_QED2 + coupl(nGC_896)*dZee_QED2 + coupl( &
                        nGC_897)*dsw_QED2
      coupl(nGC_2328) = coupl(nGC_1021)*db_QED2 + coupl(nGC_1022)*da_QED2 +    &
                        coupl(nGC_1023)*dcw_QED2 + coupl(nGC_1024)*dZee_QED2 + &
                        coupl(nGC_1025)*dsw_QED2
      coupl(nGC_3232) = -coupl(nGC_17)*dZGMinus
      coupl(nGC_3233) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_2350) = coupl(nGC_1414)*dZee_QED2 + coupl(nGC_1415)*dcw_QED2 + &
                        coupl(nGC_1416)*dsw_QED2
      coupl(nGC_2351) = coupl(nGC_1471)*dZee_QED2 + coupl(nGC_1472)*dcw_QED2 + &
                        coupl(nGC_1473)*dsw_QED2
      coupl(nGC_2352) = coupl(nGC_1411)*dZee_QED2 + coupl(nGC_1412)*dcw_QED2 + &
                        coupl(nGC_1413)*dsw_QED2
      coupl(nGC_3238) = coupl(nGC_17)*dZGMinus
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2431) = coupl(nGC_1104)*dye2_QED3 + coupl(nGC_1105)*da_QED2 +  &
                        coupl(nGC_1106)*dye1_QED3
      coupl(nGC_3129) = coupl(nGC_140)*dZG0Ha_QED2/2d0 + coupl(nGC_143)*       &
                        dZHa_QED2/2d0 + coupl(nGC_143)*dZbL_QED2/2d0 + coupl(  &
                        nGC_143)*dZbR_QED2/2d0 + coupl(nGC_2412)
      coupl(nGC_2432) = coupl(nGC_1137)*da_QED2 + coupl(nGC_1138)*dym1_QED3 +  &
                        coupl(nGC_1139)*dym2_QED3
      coupl(nGC_2435) = coupl(nGC_1113)*dye2_QED3 + coupl(nGC_1114)*db_QED2 +  &
                        coupl(nGC_1115)*dye1_QED3
      coupl(nGC_2434) = coupl(nGC_1098)*dye2_QED3 + coupl(nGC_1099)*db_QED2 +  &
                        coupl(nGC_1100)*dye1_QED3
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
