!******************************************************************************!
!                                                                              !
!    ctparameter149.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter149.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter149
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter149()
  dtHhHl_MTS_fin_QED2 = (cab*dtHl_MS_QED1*(-MHH**2d0*cab**2d0*cb*sb*tb + MHH** &
                        2d0*cab*cb*sab*sb*tb**2d0 - MHH**2d0*cab*cb*sab*sb +   &
                        MHH**2d0*cb*sab**2d0*sb*tb + MHL**2d0*ca*sa*tb - 2d0*  &
                        MHL**2d0*cab**2d0*cb*sb*tb + 2d0*MHL**2d0*cab*cb*sab*sb&
                        *tb**2d0 - 2d0*MHL**2d0*cab*cb*sab*sb + 2d0*MHL**2d0*cb&
                        *sab**2d0*sb*tb + 2d0*MSB**2d0*cab**2d0*cb*sb*tb - 3d0*&
                        MSB**2d0*cab*cb*sab*sb*tb**2d0 + 3d0*MSB**2d0*cab*cb*  &
                        sab*sb - 4d0*MSB**2d0*cb*sab**2d0*sb*tb)/MHL**2d0 + cab&
                        *dtHl_QED1*(MHH**2d0*cab**2d0*cb*sb*tb - MHH**2d0*cab* &
                        cb*sab*sb*tb**2d0 + MHH**2d0*cab*cb*sab*sb - MHH**2d0* &
                        cb*sab**2d0*sb*tb - MHL**2d0*ca*sa*tb + 2d0*MHL**2d0*  &
                        cab**2d0*cb*sb*tb - 2d0*MHL**2d0*cab*cb*sab*sb*tb**2d0 &
                         + 2d0*MHL**2d0*cab*cb*sab*sb - 2d0*MHL**2d0*cb*sab**  &
                        2d0*sb*tb - 2d0*MSB**2d0*cab**2d0*cb*sb*tb + 3d0*MSB** &
                        2d0*cab*cb*sab*sb*tb**2d0 - 3d0*MSB**2d0*cab*cb*sab*sb &
                         + 4d0*MSB**2d0*cb*sab**2d0*sb*tb)/MHL**2d0 +          &
                        dtHh_MS_QED1*sab*(MHH**2d0*ca*sa*tb - 2d0*MHH**2d0*cab &
                        **2d0*cb*sb*tb + 2d0*MHH**2d0*cab*cb*sab*sb*tb**2d0 -  &
                        2d0*MHH**2d0*cab*cb*sab*sb + 2d0*MHH**2d0*cb*sab**2d0* &
                        sb*tb - MHL**2d0*cab**2d0*cb*sb*tb + MHL**2d0*cab*cb*  &
                        sab*sb*tb**2d0 - MHL**2d0*cab*cb*sab*sb + MHL**2d0*cb* &
                        sab**2d0*sb*tb + 4d0*MSB**2d0*cab**2d0*cb*sb*tb - 3d0* &
                        MSB**2d0*cab*cb*sab*sb*tb**2d0 + 3d0*MSB**2d0*cab*cb*  &
                        sab*sb - 2d0*MSB**2d0*cb*sab**2d0*sb*tb)/MHH**2d0 +    &
                        dtHh_QED1*sab*(-MHH**2d0*ca*sa*tb + 2d0*MHH**2d0*cab** &
                        2d0*cb*sb*tb - 2d0*MHH**2d0*cab*cb*sab*sb*tb**2d0 + 2d0&
                        *MHH**2d0*cab*cb*sab*sb - 2d0*MHH**2d0*cb*sab**2d0*sb* &
                        tb + MHL**2d0*cab**2d0*cb*sb*tb - MHL**2d0*cab*cb*sab* &
                        sb*tb**2d0 + MHL**2d0*cab*cb*sab*sb - MHL**2d0*cb*sab**&
                        2d0*sb*tb - 4d0*MSB**2d0*cab**2d0*cb*sb*tb + 3d0*MSB** &
                        2d0*cab*cb*sab*sb*tb**2d0 - 3d0*MSB**2d0*cab*cb*sab*sb &
                         + 2d0*MSB**2d0*cb*sab**2d0*sb*tb)/MHH**2d0)/(cb*sb*tb*&
                        vev)
end subroutine set_ctparameter149
end module ctparameter149
