!******************************************************************************!
!                                                                              !
!    ctparameter177.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter177.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter177
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter177()
  dZHaG0_QED2 = ((-4d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143) - 4d0*Nc*cMB**&
                2d0*coupl(nGC_140)*coupl(nGC_144) - 4d0*Nc*cMC**2d0*coupl(     &
                nGC_132)*coupl(nGC_135) + 4d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(&
                nGC_136) - 4d0*Nc*cMD**2d0*coupl(nGC_147)*coupl(nGC_152) - 4d0*&
                Nc*cMD**2d0*coupl(nGC_148)*coupl(nGC_151) - 4d0*Nc*cMS**2d0*   &
                coupl(nGC_171)*coupl(nGC_176) - 4d0*Nc*cMS**2d0*coupl(nGC_172)*&
                coupl(nGC_175) - 4d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(nGC_182  &
                ) + 4d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(nGC_183) - 4d0*Nc*cMU &
                **2d0*coupl(nGC_194)*coupl(nGC_197) + 4d0*Nc*cMU**2d0*coupl(   &
                nGC_194)*coupl(nGC_198) - 4d0*cME**2d0*coupl(nGC_155)*coupl(   &
                nGC_160) - 4d0*cME**2d0*coupl(nGC_156)*coupl(nGC_159) + cMHH** &
                2d0*coupl(nGC_92)*coupl(nGC_94) + cMHL**2d0*coupl(nGC_91)*coupl&
                (nGC_94) - 4d0*cMM**2d0*coupl(nGC_163)*coupl(nGC_168) - 4d0*cMM&
                **2d0*coupl(nGC_164)*coupl(nGC_167) - 4d0*cMTA**2d0*coupl(     &
                nGC_186)*coupl(nGC_191) - 4d0*cMTA**2d0*coupl(nGC_187)*coupl(  &
                nGC_190) + cMZ**2d0*coupl(nGC_91)*coupl(nGC_94) + cMZ**2d0*    &
                coupl(nGC_92)*coupl(nGC_94))/cMHA**2d0 + (16d0*Nc*Ten489*coupl(&
                nGC_194)*(coupl(nGC_197) - coupl(nGC_198)) + 16d0*Nc*Ten490*   &
                coupl(nGC_132)*(coupl(nGC_135) - coupl(nGC_136)) + 16d0*Nc*    &
                Ten491*coupl(nGC_179)*(coupl(nGC_182) - coupl(nGC_183)) + 16d0*&
                Nc*Ten492*(coupl(nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl&
                (nGC_151)) + 16d0*Nc*Ten493*(coupl(nGC_171)*coupl(nGC_176) +   &
                coupl(nGC_172)*coupl(nGC_175)) + 16d0*Nc*Ten494*(coupl(nGC_139 &
                )*coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144)) + 4d0*Nc*    &
                Ten502*cMU**2d0*coupl(nGC_194)*(-coupl(nGC_197) + coupl(nGC_198&
                )) + 4d0*Nc*Ten503*cMC**2d0*coupl(nGC_132)*(-coupl(nGC_135) +  &
                coupl(nGC_136)) + 4d0*Nc*Ten504*cMT**2d0*coupl(nGC_179)*(-coupl&
                (nGC_182) + coupl(nGC_183)) + 4d0*Nc*Ten505*cMD**2d0*(coupl(   &
                nGC_147)*coupl(nGC_151) + coupl(nGC_148)*coupl(nGC_152)) + 4d0*&
                Nc*Ten506*cMS**2d0*(coupl(nGC_171)*coupl(nGC_175) + coupl(     &
                nGC_172)*coupl(nGC_176)) + 4d0*Nc*Ten507*cMB**2d0*(coupl(      &
                nGC_139)*coupl(nGC_144) + coupl(nGC_140)*coupl(nGC_143)) + cima&
                *Ten0*coupl(nGC_28) + cima*Ten1*coupl(nGC_47) + 2d0*cima*Ten13*&
                coupl(nGC_42) + cima*Ten14*coupl(nGC_46) + cima*Ten2*coupl(    &
                nGC_29) + 2d0*cima*Ten3*coupl(nGC_43) - 8d0*Ten484*coupl(nGC_91&
                )*coupl(nGC_94) - 8d0*Ten485*coupl(nGC_92)*coupl(nGC_94) + 16d0&
                *Ten486*(coupl(nGC_155)*coupl(nGC_160) + coupl(nGC_156)*coupl( &
                nGC_159)) + 16d0*Ten487*(coupl(nGC_163)*coupl(nGC_168) + coupl(&
                nGC_164)*coupl(nGC_167)) + 16d0*Ten488*(coupl(nGC_186)*coupl(  &
                nGC_191) + coupl(nGC_187)*coupl(nGC_190)) - 2d0*Ten495*coupl(  &
                nGC_113)*coupl(nGC_120) - 2d0*Ten496*coupl(nGC_109)*coupl(     &
                nGC_120) - 2d0*Ten497*coupl(nGC_112)*coupl(nGC_117) - 2d0*     &
                Ten498*coupl(nGC_112)*coupl(nGC_121) + 4d0*Ten499*cME**2d0*(   &
                coupl(nGC_155)*coupl(nGC_159) + coupl(nGC_156)*coupl(nGC_160   &
                )) + 4d0*Ten500*cMM**2d0*(coupl(nGC_163)*coupl(nGC_167) + coupl&
                (nGC_164)*coupl(nGC_168)) + 4d0*Ten501*cMTA**2d0*(coupl(nGC_186&
                )*coupl(nGC_190) + coupl(nGC_187)*coupl(nGC_191)))/cMHA**2d0)/(&
                16d0*pi**2d0) + 2d0*cima*(coupl(nGC_120)*dtHl_QED1/cMHL**2d0 + &
                coupl(nGC_112)*dtHh_QED1/cMHH**2d0)/cMHA**2d0
end subroutine set_ctparameter177
end module ctparameter177
