!******************************************************************************!
!                                                                              !
!    ctparameter18.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter18.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter18
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter18()
  if (dZmuMinusL_QED2_scheme .eq. 0) then
    dZmuMinusL_QED2 = (2d0*Ten863*coupl(nGC_4)**2d0 + Ten864*(coupl(nGC_167)*  &
                      coupl(nGC_168) + 2d0*coupl(nGC_89)**2d0) - Ten865*coupl( &
                      nGC_163)*coupl(nGC_164) - Ten866*coupl(nGC_165)**2d0 -   &
                      Ten867*coupl(nGC_161)**2d0 + 2d0*Ten868*coupl(nGC_4)**2d0&
                       - 2d0*Ten869*coupl(nGC_80)**2d0 + Ten871*(coupl(nGC_167 &
                      )*coupl(nGC_168) + 2d0*coupl(nGC_89)**2d0) + Ten875*cMM* &
                      rMM*(coupl(nGC_163)**2d0 + coupl(nGC_164)**2d0) + 2d0*   &
                      Ten876*cMM*coupl(nGC_165)**2d0*rMM + 2d0*Ten877*cMM*coupl&
                      (nGC_161)**2d0*rMM + 4d0*Ten878*coupl(nGC_4)**2d0*rMM*(- &
                      2d0*cMM + rMM) + Ten879*rMM*(cMM*coupl(nGC_167)**2d0 +   &
                      cMM*coupl(nGC_168)**2d0 - 8d0*cMM*coupl(nGC_86)*coupl(   &
                      nGC_89) + 2d0*coupl(nGC_167)*coupl(nGC_168)*rMM + 2d0*   &
                      coupl(nGC_86)**2d0*rMM + 2d0*coupl(nGC_89)**2d0*rMM) -   &
                      2d0*Ten880*coupl(nGC_163)*coupl(nGC_164)*rMM**2d0 - 2d0* &
                      Ten881*coupl(nGC_165)**2d0*rMM**2d0 - 2d0*Ten882*coupl(  &
                      nGC_161)**2d0*rMM**2d0 + 4d0*Ten883*coupl(nGC_4)**2d0*rMM&
                      **2d0 - Ten884*rMM**2d0*(coupl(nGC_166)**2d0 + 2d0*coupl(&
                      nGC_80)**2d0) - Ten885*coupl(nGC_162)**2d0*rMM**2d0 + 2d0&
                      *Ten886*rMM**2d0*(coupl(nGC_167)*coupl(nGC_168) + coupl( &
                      nGC_86)**2d0 + coupl(nGC_89)**2d0) - coupl(nGC_4)**2d0 - &
                      coupl(nGC_80)**2d0 - coupl(nGC_89)**2d0)/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter18
end module ctparameter18
