!******************************************************************************!
!                                                                              !
!    ctparameter43.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter43.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter43
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter43()
  if (dZbR_QED2_scheme .eq. 2) then
    dZbR_QED2 = (Ten556*coupl(nGC_1)**2d0 - Ten617*(coupl(nGC_139)*coupl(      &
                nGC_140) + 2d0*coupl(nGC_84)**2d0) - Ten618*coupl(nGC_143)*    &
                coupl(nGC_144) - Ten619*coupl(nGC_137)**2d0 - Ten620*coupl(    &
                nGC_141)**2d0 + Ten802*coupl(nGC_138)**2d0 + Ten803*coupl(     &
                nGC_138)**2d0 - Ten804*coupl(nGC_142)**2d0 - coupl(nGC_84)**2d0&
                )/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter43
end module ctparameter43
