!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(2330)%branchR2(0:0))
      call avR2(2330, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2726)%branchR2(0:0))
      call avR2(2726, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(780)%branchR2(0:1))
      call avR2(780, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(780, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3037)%branchR2(0:0))
      call avR2(3037, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3729)%branchR2(0:0))
      call avR2(3729, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3730)%branchR2(0:1))
      call avR2(3730, 0, 48, 1, 0, VVS0, (/2, 1/), (/nGC_1815/))

      call avR2(3730, 1, 47, 1, 0, VVS0, (/2, 1/), (/nGC_1814/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2250)%branchR2(0:1))
      call avR2(2250, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(2250, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1748/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2056/))

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(788)%branchR2(0:1))
      call avR2(788, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(788, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2187)%branchR2(0:0))
      call avR2(2187, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1616)%branchR2(0:0))
      call avR2(1616, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(471)%branchR2(0:1))
      call avR2(471, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(471, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1916)%branchR2(0:0))
      call avR2(1916, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3732)%branchR2(0:1))
      call avR2(3732, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2140/))

      call avR2(3732, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(3465)%branchR2(0:0))
      call avR2(3465, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1132)%branchR2(0:1))
      call avR2(1132, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(1132, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(286)%branchR2(0:1))
      call avR2(286, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1939, nGC_1941/))

      call avR2(286, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1940, nGC_1942/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(522)%branchR2(0:1))
      call avR2(522, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(522, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1845/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3733)%branchR2(0:1))
      call avR2(3733, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2154/))

      call avR2(3733, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2591)%branchR2(0:1))
      call avR2(2591, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1737, nGC_1738/))

      call avR2(2591, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2240)%branchR2(0:0))
      call avR2(2240, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1939)%branchR2(0:0))
      call avR2(1939, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2261)%branchR2(0:1))
      call avR2(2261, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(2261, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(833)%branchR2(0:1))
      call avR2(833, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(833, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(731)%branchR2(0:23))
      call avR2(731, 0, 94, 1, 0, VVVV0, (/4, 0/), (/nGC_2213, nGC_2214,       &
      nGC_2213/))

      call avR2(731, 1, 91, 1, 0, VVVV0, (/4, 0/), (/nGC_2214, nGC_2213,       &
      nGC_2213/))

      call avR2(731, 2, 104, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,      &
      nGC_2223/))

      call avR2(731, 3, 2, 1, 0, VVVV0, (/4, 0/), (/nGC_2209, nGC_2209,        &
      nGC_2208/))

      call avR2(731, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2219,        &
      nGC_2218/))

      call avR2(731, 5, 100, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,      &
      nGC_2223/))

      call avR2(731, 6, 97, 1, 0, VVVV0, (/4, 0/), (/nGC_2211, nGC_2212,       &
      nGC_2210/))

      call avR2(731, 7, 90, 1, 0, VVVV0, (/4, 0/), (/nGC_2211, nGC_2210,       &
      nGC_2212/))

      call avR2(731, 8, 103, 1, 0, VVVV0, (/4, 0/), (/nGC_2224, nGC_2224,      &
      nGC_2224/))

      call avR2(731, 9, 93, 1, 0, VVVV0, (/4, 0/), (/nGC_2215, nGC_2216,       &
      nGC_2214/))

      call avR2(731, 10, 106, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,     &
      nGC_2223/))

      call avR2(731, 11, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2222,       &
      nGC_2221/))

      call avR2(731, 12, 96, 1, 0, VVVV0, (/4, 0/), (/nGC_2210, nGC_2212,      &
      nGC_2211/))

      call avR2(731, 13, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_2217, nGC_2219,       &
      nGC_2218/))

      call avR2(731, 14, 102, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,     &
      nGC_2223/))

      call avR2(731, 15, 99, 1, 0, VVVV0, (/4, 0/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(731, 16, 92, 1, 0, VVVV0, (/4, 0/), (/nGC_2211, nGC_2212,      &
      nGC_2210/))

      call avR2(731, 17, 89, 1, 0, VVVV0, (/4, 0/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(731, 18, 95, 1, 0, VVVV0, (/4, 0/), (/nGC_2210, nGC_2212,      &
      nGC_2211/))

      call avR2(731, 19, 105, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,     &
      nGC_2223/))

      call avR2(731, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2222,       &
      nGC_2221/))

      call avR2(731, 21, 3, 1, 0, VVVV0, (/4, 0/), (/nGC_2209, nGC_2209,       &
      nGC_2208/))

      call avR2(731, 22, 98, 1, 0, VVVV0, (/4, 0/), (/nGC_2211, nGC_2210,      &
      nGC_2212/))

      call avR2(731, 23, 101, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2223,     &
      nGC_2223/))

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(3363)%branchR2(0:1))
      call avR2(3363, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1691, nGC_1692,       &
      nGC_1692, nGC_1690/))

      call avR2(3363, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1693,       &
      nGC_1693, nGC_1681/))

      allocate(vertices(2525)%branchR2(0:1))
      call avR2(2525, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(2525, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3046)%branchR2(0:0))
      call avR2(3046, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1750/))

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1549)%branchR2(0:1))
      call avR2(1549, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(1549, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(2534)%branchR2(0:0))
      call avR2(2534, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3734)%branchR2(0:0))
      call avR2(3734, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(3735)%branchR2(0:1))
      call avR2(3735, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      call avR2(3735, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(2473)%branchR2(0:1))
      call avR2(2473, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(2473, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(237)%branchR2(0:1))
      call avR2(237, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(237, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2054,        &
      nGC_2055/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3013)%branchR2(0:0))
      call avR2(3013, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3736)%branchR2(0:1))
      call avR2(3736, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3736, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2153)%branchR2(0:0))
      call avR2(2153, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2036/))

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3737)%branchR2(0:1))
      call avR2(3737, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2137/))

      call avR2(3737, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(794)%branchR2(0:0))
      call avR2(794, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2056/))

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1971)%branchR2(0:0))
      call avR2(1971, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(966)%branchR2(0:1))
      call avR2(966, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(966, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1750/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1761/))

      allocate(vertices(2928)%branchR2(0:0))
      call avR2(2928, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1701, nGC_1700/))

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1855/))

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2037)%branchR2(0:1))
      call avR2(2037, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(2037, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(2462)%branchR2(0:0))
      call avR2(2462, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1851/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1797/))

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1849/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1853/))

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2056/))

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(2185)%branchR2(0:1))
      call avR2(2185, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(2185, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(3739)%branchR2(0:1))
      call avR2(3739, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2141/))

      call avR2(3739, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1850/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2026/))

      allocate(vertices(939)%branchR2(0:0))
      call avR2(939, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(770)%branchR2(0:1))
      call avR2(770, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(770, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(3740)%branchR2(0:0))
      call avR2(3740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2228/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1797/))

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(3583)%branchR2(0:0))
      call avR2(3583, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(5)%branchR2(0:3))
      call avR2(5, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(5, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(5, 2, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(5, 3, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1846)%branchR2(0:0))
      call avR2(1846, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1044)%branchR2(0:0))
      call avR2(1044, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1697, nGC_1696/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2341)%branchR2(0:1))
      call avR2(2341, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(2341, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(269)%branchR2(0:0))
      call avR2(269, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1759/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1760/))

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2794)%branchR2(0:0))
      call avR2(2794, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(3742)%branchR2(0:0))
      call avR2(3742, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(3743)%branchR2(0:1))
      call avR2(3743, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3743, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(367)%branchR2(0:1))
      call avR2(367, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(367, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(760)%branchR2(0:1))
      call avR2(760, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1939, nGC_1941/))

      call avR2(760, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1940, nGC_1942/))

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2220)%branchR2(0:0))
      call avR2(2220, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3149)%branchR2(0:1))
      call avR2(3149, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1683, nGC_1686,       &
      nGC_1686, nGC_1682/))

      call avR2(3149, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1687,       &
      nGC_1687, nGC_1681/))

      allocate(vertices(2762)%branchR2(0:0))
      call avR2(2762, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3744)%branchR2(0:1))
      call avR2(3744, 0, 49, 1, 0, SVV0, (/2, 1/), (/nGC_1815/))

      call avR2(3744, 1, 50, 1, 0, SVV0, (/2, 1/), (/nGC_1814/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(266)%branchR2(0:1))
      call avR2(266, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(266, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(3339)%branchR2(0:0))
      call avR2(3339, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1655/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040,       &
      nGC_2041/))

      allocate(vertices(596)%branchR2(0:1))
      call avR2(596, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(596, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(1969)%branchR2(0:0))
      call avR2(1969, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1434)%branchR2(0:1))
      call avR2(1434, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(1434, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(202)%branchR2(0:0))
      call avR2(202, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(474)%branchR2(0:0))
      call avR2(474, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2036/))

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1110)%branchR2(0:1))
      call avR2(1110, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(1110, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(2826)%branchR2(0:1))
      call avR2(2826, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_1670, nGC_1668,        &
      nGC_1669/))

      call avR2(2826, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_1667, nGC_1665,        &
      nGC_1666/))

      allocate(vertices(3746)%branchR2(0:1))
      call avR2(3746, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2138/))

      call avR2(3746, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2137/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2177)%branchR2(0:0))
      call avR2(2177, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1124)%branchR2(0:1))
      call avR2(1124, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(1124, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2049, nGC_2049,       &
      nGC_2049/))

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(1863)%branchR2(0:0))
      call avR2(1863, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2175)%branchR2(0:0))
      call avR2(2175, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2966)%branchR2(0:0))
      call avR2(2966, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2609)%branchR2(0:0))
      call avR2(2609, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1847/))

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2230/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(3095)%branchR2(0:0))
      call avR2(3095, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(607)%branchR2(0:0))
      call avR2(607, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3503)%branchR2(0:0))
      call avR2(3503, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3500)%branchR2(0:0))
      call avR2(3500, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(2891)%branchR2(0:0))
      call avR2(2891, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2667)%branchR2(0:1))
      call avR2(2667, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(2667, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(1422)%branchR2(0:0))
      call avR2(1422, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(3748)%branchR2(0:1))
      call avR2(3748, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3748, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(3749)%branchR2(0:1))
      call avR2(3749, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2145/))

      call avR2(3749, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(1474)%branchR2(0:0))
      call avR2(1474, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2239)%branchR2(0:0))
      call avR2(2239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3225)%branchR2(0:0))
      call avR2(3225, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2144/))

      call avR2(3750, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2143/))

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(2833)%branchR2(0:0))
      call avR2(2833, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(501)%branchR2(0:0))
      call avR2(501, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3751)%branchR2(0:1))
      call avR2(3751, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2141/))

      call avR2(3751, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2089, nGC_2090,        &
      nGC_2088/))

      allocate(vertices(1734)%branchR2(0:1))
      call avR2(1734, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(1734, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(116)%branchR2(0:1))
      call avR2(116, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(116, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1478)%branchR2(0:1))
      call avR2(1478, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(1478, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(1753)%branchR2(0:1))
      call avR2(1753, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1737, nGC_1738/))

      call avR2(1753, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(3752)%branchR2(0:5))
      call avR2(3752, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      call avR2(3752, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2122, nGC_2122,      &
      nGC_2122/))

      call avR2(3752, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3752, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3752, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3752, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(3753)%branchR2(0:1))
      call avR2(3753, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2151/))

      call avR2(3753, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1528)%branchR2(0:1))
      call avR2(1528, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1894/))

      call avR2(1528, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(1571)%branchR2(0:0))
      call avR2(1571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(412)%branchR2(0:0))
      call avR2(412, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1849/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(2605)%branchR2(0:1))
      call avR2(2605, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(2605, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3531)%branchR2(0:0))
      call avR2(3531, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3310)%branchR2(0:0))
      call avR2(3310, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1713, nGC_1712/))

      allocate(vertices(3754)%branchR2(0:0))
      call avR2(3754, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2047, nGC_2048,       &
      nGC_2048/))

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1416)%branchR2(0:1))
      call avR2(1416, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(1416, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(318)%branchR2(0:0))
      call avR2(318, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2204/))

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2569)%branchR2(0:0))
      call avR2(2569, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2804)%branchR2(0:0))
      call avR2(2804, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(2888)%branchR2(0:1))
      call avR2(2888, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1683, nGC_1684,       &
      nGC_1684, nGC_1682/))

      call avR2(2888, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1685,       &
      nGC_1685, nGC_1681/))

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3756)%branchR2(0:1))
      call avR2(3756, 0, 49, 1, 0, SVV0, (/2, 1/), (/nGC_1817/))

      call avR2(3756, 1, 50, 1, 0, SVV0, (/2, 1/), (/nGC_1816/))

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3757)%branchR2(0:1))
      call avR2(3757, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      call avR2(3757, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2708)%branchR2(0:0))
      call avR2(2708, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3113)%branchR2(0:0))
      call avR2(3113, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2469)%branchR2(0:0))
      call avR2(2469, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1850/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1845/))

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1405)%branchR2(0:3))
      call avR2(1405, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(1405, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1405, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(1405, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2039)%branchR2(0:0))
      call avR2(2039, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(1904)%branchR2(0:1))
      call avR2(1904, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1904/))

      call avR2(1904, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1753/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2130)%branchR2(0:1))
      call avR2(2130, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(2130, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(3758)%branchR2(0:1))
      call avR2(3758, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2137/))

      call avR2(3758, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(485)%branchR2(0:1))
      call avR2(485, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(485, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3759)%branchR2(0:0))
      call avR2(3759, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1845/))

      allocate(vertices(1931)%branchR2(0:0))
      call avR2(1931, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(999)%branchR2(0:1))
      call avR2(999, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(999, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3182)%branchR2(0:0))
      call avR2(3182, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1852/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2965)%branchR2(0:1))
      call avR2(2965, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1688, nGC_1690/))

      call avR2(2965, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1689,       &
      nGC_1689, nGC_1681/))

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1849/))

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2085)%branchR2(0:0))
      call avR2(2085, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1795/))

      allocate(vertices(2914)%branchR2(0:0))
      call avR2(2914, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(1086)%branchR2(0:0))
      call avR2(1086, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3760)%branchR2(0:1))
      call avR2(3760, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2151/))

      call avR2(3760, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(3761)%branchR2(0:1))
      call avR2(3761, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2143/))

      call avR2(3761, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2144/))

      allocate(vertices(1966)%branchR2(0:3))
      call avR2(1966, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1842, nGC_1843/))

      call avR2(1966, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1966, 2, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1840, nGC_1841/))

      call avR2(1966, 3, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3199)%branchR2(0:0))
      call avR2(3199, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1664, nGC_1662,        &
      nGC_1663/))

      allocate(vertices(1961)%branchR2(0:0))
      call avR2(1961, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(3762)%branchR2(0:0))
      call avR2(3762, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2048, nGC_2048,       &
      nGC_2047/))

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3201)%branchR2(0:0))
      call avR2(3201, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3322)%branchR2(0:1))
      call avR2(3322, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1683, nGC_1684,       &
      nGC_1684, nGC_1682/))

      call avR2(3322, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1685,       &
      nGC_1685, nGC_1681/))

      allocate(vertices(708)%branchR2(0:0))
      call avR2(708, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1725/))

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1752/))

      allocate(vertices(3763)%branchR2(0:1))
      call avR2(3763, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2139/))

      call avR2(3763, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(3764)%branchR2(0:1))
      call avR2(3764, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2139/))

      call avR2(3764, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(558)%branchR2(0:1))
      call avR2(558, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(558, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(883)%branchR2(0:1))
      call avR2(883, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(883, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(1784)%branchR2(0:0))
      call avR2(1784, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1252)%branchR2(0:1))
      call avR2(1252, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(1252, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(3765)%branchR2(0:0))
      call avR2(3765, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2557)%branchR2(0:1))
      call avR2(2557, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1774, nGC_1775/))

      call avR2(2557, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2227/))

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2056,       &
      nGC_2054/))

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1286)%branchR2(0:0))
      call avR2(1286, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(479)%branchR2(0:1))
      call avR2(479, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(479, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(3064)%branchR2(0:0))
      call avR2(3064, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2014)%branchR2(0:0))
      call avR2(2014, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1515)%branchR2(0:1))
      call avR2(1515, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1515, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(2659)%branchR2(0:0))
      call avR2(2659, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1744)%branchR2(0:0))
      call avR2(1744, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2545)%branchR2(0:0))
      call avR2(2545, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3219)%branchR2(0:0))
      call avR2(3219, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3766)%branchR2(0:1))
      call avR2(3766, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2152/))

      call avR2(3766, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2151/))

      allocate(vertices(2947)%branchR2(0:0))
      call avR2(2947, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(3314)%branchR2(0:0))
      call avR2(3314, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3462)%branchR2(0:0))
      call avR2(3462, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3175)%branchR2(0:0))
      call avR2(3175, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3366)%branchR2(0:0))
      call avR2(3366, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3767)%branchR2(0:1))
      call avR2(3767, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3767, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(507)%branchR2(0:1))
      call avR2(507, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(507, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3162)%branchR2(0:0))
      call avR2(3162, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1770)%branchR2(0:3))
      call avR2(1770, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(1770, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1770, 2, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1770, 3, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1828, nGC_1829/))

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3771)%branchR2(0:1))
      call avR2(3771, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      call avR2(3771, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2104)%branchR2(0:3))
      call avR2(2104, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(2104, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2104, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(2104, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2817)%branchR2(0:0))
      call avR2(2817, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(3772)%branchR2(0:0))
      call avR2(3772, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2254)%branchR2(0:1))
      call avR2(2254, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1894/))

      call avR2(2254, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3371)%branchR2(0:0))
      call avR2(3371, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(353)%branchR2(0:0))
      call avR2(353, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1848/))

      allocate(vertices(435)%branchR2(0:1))
      call avR2(435, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(435, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1853/))

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1043)%branchR2(0:1))
      call avR2(1043, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(1043, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1676, nGC_1678,       &
      nGC_1678, nGC_1675/))

      allocate(vertices(2108)%branchR2(0:0))
      call avR2(2108, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(93)%branchR2(0:3))
      call avR2(93, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(93, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(93, 2, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(93, 3, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1826, nGC_1827/))

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1491)%branchR2(0:0))
      call avR2(1491, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1461)%branchR2(0:3))
      call avR2(1461, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(1461, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1461, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1461, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1828, nGC_1829/))

      allocate(vertices(3774)%branchR2(0:1))
      call avR2(3774, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3774, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(2475)%branchR2(0:0))
      call avR2(2475, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1854/))

      allocate(vertices(2903)%branchR2(0:0))
      call avR2(2903, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1905)%branchR2(0:1))
      call avR2(1905, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(1905, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(3014)%branchR2(0:0))
      call avR2(3014, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(1069)%branchR2(0:1))
      call avR2(1069, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(1069, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(2074)%branchR2(0:0))
      call avR2(2074, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1854/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(3775)%branchR2(0:1))
      call avR2(3775, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      call avR2(3775, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      allocate(vertices(563)%branchR2(0:1))
      call avR2(563, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(563, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(3776)%branchR2(0:0))
      call avR2(3776, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1974)%branchR2(0:1))
      call avR2(1974, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(1974, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(3777)%branchR2(0:0))
      call avR2(3777, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(3778)%branchR2(0:1))
      call avR2(3778, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      call avR2(3778, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2619)%branchR2(0:1))
      call avR2(2619, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(2619, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2051)%branchR2(0:0))
      call avR2(2051, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1504)%branchR2(0:1))
      call avR2(1504, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1904/))

      call avR2(1504, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2467)%branchR2(0:0))
      call avR2(2467, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2442)%branchR2(0:0))
      call avR2(2442, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1441)%branchR2(0:1))
      call avR2(1441, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2013, nGC_2011/))

      call avR2(1441, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2014, nGC_2012/))

      allocate(vertices(1636)%branchR2(0:0))
      call avR2(1636, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,       &
      nGC_2040/))

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(1002)%branchR2(0:3))
      call avR2(1002, 0, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1002, 1, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1828, nGC_1829/))

      call avR2(1002, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(1002, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(3779)%branchR2(0:1))
      call avR2(3779, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2153/))

      call avR2(3779, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1597)%branchR2(0:1))
      call avR2(1597, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(1597, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1815)%branchR2(0:0))
      call avR2(1815, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2189)%branchR2(0:1))
      call avR2(2189, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(2189, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(1603)%branchR2(0:1))
      call avR2(1603, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1959, nGC_1957/))

      call avR2(1603, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1960, nGC_1958/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2909)%branchR2(0:0))
      call avR2(2909, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(2994)%branchR2(0:0))
      call avR2(2994, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2117)%branchR2(0:3))
      call avR2(2117, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2117, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1826, nGC_1827/))

      call avR2(2117, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(2117, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1655/))

      allocate(vertices(1826)%branchR2(0:3))
      call avR2(1826, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(1826, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1826, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(1826, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(1477)%branchR2(0:1))
      call avR2(1477, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(1477, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(492)%branchR2(0:1))
      call avR2(492, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(492, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(3780)%branchR2(0:1))
      call avR2(3780, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      call avR2(3780, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3781)%branchR2(0:0))
      call avR2(3781, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2086)%branchR2(0:0))
      call avR2(2086, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(2228)%branchR2(0:0))
      call avR2(2228, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1663)%branchR2(0:1))
      call avR2(1663, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(1663, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(365)%branchR2(0:1))
      call avR2(365, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(365, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(3783)%branchR2(0:0))
      call avR2(3783, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(915)%branchR2(0:1))
      call avR2(915, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(915, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1850/))

      allocate(vertices(2116)%branchR2(0:0))
      call avR2(2116, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3785)%branchR2(0:1))
      call avR2(3785, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2151/))

      call avR2(3785, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1287)%branchR2(0:1))
      call avR2(1287, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(1287, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2228/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3369)%branchR2(0:0))
      call avR2(3369, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2090, nGC_2088,       &
      nGC_2089/))

      allocate(vertices(3787)%branchR2(0:1))
      call avR2(3787, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2139/))

      call avR2(3787, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(2042)%branchR2(0:0))
      call avR2(2042, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(2608)%branchR2(0:0))
      call avR2(2608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2054)%branchR2(0:0))
      call avR2(2054, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3790)%branchR2(0:1))
      call avR2(3790, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2138/))

      call avR2(3790, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2137/))

      allocate(vertices(2257)%branchR2(0:0))
      call avR2(2257, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2703)%branchR2(0:0))
      call avR2(2703, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2088, nGC_2090,       &
      nGC_2089/))

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1978)%branchR2(0:1))
      call avR2(1978, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1978, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2603)%branchR2(0:0))
      call avR2(2603, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1509)%branchR2(0:3))
      call avR2(1509, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(1509, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1509, 2, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(1509, 3, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3164)%branchR2(0:0))
      call avR2(3164, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3791)%branchR2(0:1))
      call avR2(3791, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2143/))

      call avR2(3791, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2144/))

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1798/))

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(3397)%branchR2(0:0))
      call avR2(3397, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1358)%branchR2(0:1))
      call avR2(1358, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(1358, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(3792)%branchR2(0:1))
      call avR2(3792, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2146/))

      call avR2(3792, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2145/))

      allocate(vertices(395)%branchR2(0:1))
      call avR2(395, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(395, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(1197)%branchR2(0:1))
      call avR2(1197, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(1197, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(3456)%branchR2(0:0))
      call avR2(3456, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2056,       &
      nGC_2055/))

      allocate(vertices(2866)%branchR2(0:0))
      call avR2(2866, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2409)%branchR2(0:0))
      call avR2(2409, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1849/))

      allocate(vertices(3331)%branchR2(0:0))
      call avR2(3331, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3065)%branchR2(0:0))
      call avR2(3065, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(102)%branchR2(0:1))
      call avR2(102, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(102, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(3312)%branchR2(0:0))
      call avR2(3312, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(3793)%branchR2(0:1))
      call avR2(3793, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2145/))

      call avR2(3793, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1883)%branchR2(0:0))
      call avR2(1883, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(378)%branchR2(0:1))
      call avR2(378, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1904/))

      call avR2(378, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

    end subroutine fill_vertices_mdl11
end module vertices_info11
