!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2006)%branchR2(0:0))
      call avR2(2006, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(661)%branchR2(0:1))
      call avR2(661, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1904/))

      call avR2(661, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2599)%branchR2(0:0))
      call avR2(2599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1794)%branchR2(0:1))
      call avR2(1794, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2013, nGC_2011/))

      call avR2(1794, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2014, nGC_2012/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(2073)%branchR2(0:3))
      call avR2(2073, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1842, nGC_1843/))

      call avR2(2073, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2073, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1840, nGC_1841/))

      call avR2(2073, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3794)%branchR2(0:1))
      call avR2(3794, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2141/))

      call avR2(3794, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(2768)%branchR2(0:0))
      call avR2(2768, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1749/))

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1752/))

      allocate(vertices(3252)%branchR2(0:1))
      call avR2(3252, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1691, nGC_1694,       &
      nGC_1694, nGC_1690/))

      call avR2(3252, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1695,       &
      nGC_1695, nGC_1681/))

      allocate(vertices(1707)%branchR2(0:1))
      call avR2(1707, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1707, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(2000)%branchR2(0:0))
      call avR2(2000, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(2493)%branchR2(0:0))
      call avR2(2493, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2494)%branchR2(0:0))
      call avR2(2494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(722)%branchR2(0:1))
      call avR2(722, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(722, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1799/))

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(3374)%branchR2(0:0))
      call avR2(3374, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1032)%branchR2(0:3))
      call avR2(1032, 0, 29, 1, 0, VFFa1, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(1032, 1, 29, 1, 0, VFFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1032, 2, 28, 1, 0, VFFa1, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(1032, 3, 28, 1, 0, VFFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(948)%branchR2(0:1))
      call avR2(948, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1894/))

      call avR2(948, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2687)%branchR2(0:0))
      call avR2(2687, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3342)%branchR2(0:0))
      call avR2(3342, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(400)%branchR2(0:0))
      call avR2(400, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1604)%branchR2(0:1))
      call avR2(1604, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(1604, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3795)%branchR2(0:1))
      call avR2(3795, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3795, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(748)%branchR2(0:1))
      call avR2(748, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(748, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      call avR2(3796, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2430)%branchR2(0:1))
      call avR2(2430, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(2430, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2158)%branchR2(0:1))
      call avR2(2158, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(2158, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2244)%branchR2(0:0))
      call avR2(2244, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3797)%branchR2(0:1))
      call avR2(3797, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2141/))

      call avR2(3797, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2010)%branchR2(0:0))
      call avR2(2010, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2089, nGC_2088,       &
      nGC_2090/))

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2082)%branchR2(0:0))
      call avR2(2082, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1852/))

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(3799)%branchR2(0:1))
      call avR2(3799, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3799, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(1839)%branchR2(0:1))
      call avR2(1839, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(1839, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1901)%branchR2(0:1))
      call avR2(1901, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(1901, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(2373)%branchR2(0:0))
      call avR2(2373, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(2518)%branchR2(0:0))
      call avR2(2518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(41)%branchR2(0:1))
      call avR2(41, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(41, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2128, nGC_2127,        &
      nGC_2128/))

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3077)%branchR2(0:0))
      call avR2(3077, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2528)%branchR2(0:0))
      call avR2(2528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(3800)%branchR2(0:1))
      call avR2(3800, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2145/))

      call avR2(3800, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(3801)%branchR2(0:1))
      call avR2(3801, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      call avR2(3801, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1888, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1851/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,       &
      nGC_2042/))

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1350)%branchR2(0:0))
      call avR2(1350, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3803)%branchR2(0:1))
      call avR2(3803, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2141/))

      call avR2(3803, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2367)%branchR2(0:0))
      call avR2(2367, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2031/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3458)%branchR2(0:0))
      call avR2(3458, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(2247)%branchR2(0:1))
      call avR2(2247, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(2247, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2969)%branchR2(0:0))
      call avR2(2969, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2226/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2032/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3804)%branchR2(0:0))
      call avR2(3804, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1761/))

      allocate(vertices(2641)%branchR2(0:0))
      call avR2(2641, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3132)%branchR2(0:0))
      call avR2(3132, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(2095)%branchR2(0:1))
      call avR2(2095, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(2095, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1334)%branchR2(0:0))
      call avR2(1334, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2291)%branchR2(0:1))
      call avR2(2291, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(2291, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3805)%branchR2(0:0))
      call avR2(3805, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(952)%branchR2(0:1))
      call avR2(952, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(952, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1850/))

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1798/))

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,        &
      nGC_2040/))

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3092)%branchR2(0:0))
      call avR2(3092, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2056/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(851)%branchR2(0:1))
      call avR2(851, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(851, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2974)%branchR2(0:0))
      call avR2(2974, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1928)%branchR2(0:0))
      call avR2(1928, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3414)%branchR2(0:0))
      call avR2(3414, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1128)%branchR2(0:1))
      call avR2(1128, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1128, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2057)%branchR2(0:1))
      call avR2(2057, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(2057, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2820)%branchR2(0:0))
      call avR2(2820, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(3807)%branchR2(0:0))
      call avR2(3807, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(79)%branchR2(0:1))
      call avR2(79, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(79, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(3408)%branchR2(0:0))
      call avR2(3408, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2647)%branchR2(0:1))
      call avR2(2647, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1904/))

      call avR2(2647, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(2815)%branchR2(0:0))
      call avR2(2815, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1466)%branchR2(0:1))
      call avR2(1466, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1466, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(3539)%branchR2(0:0))
      call avR2(3539, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2694)%branchR2(0:0))
      call avR2(2694, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1340)%branchR2(0:1))
      call avR2(1340, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1340, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1787)%branchR2(0:0))
      call avR2(1787, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1800/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1295)%branchR2(0:0))
      call avR2(1295, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(1711)%branchR2(0:0))
      call avR2(1711, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(537)%branchR2(0:1))
      call avR2(537, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(537, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(3808)%branchR2(0:0))
      call avR2(3808, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2063, nGC_2063,       &
      nGC_2063/))

      allocate(vertices(3809)%branchR2(0:1))
      call avR2(3809, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      call avR2(3809, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2417)%branchR2(0:0))
      call avR2(2417, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1008)%branchR2(0:1))
      call avR2(1008, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1008, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(3257)%branchR2(0:0))
      call avR2(3257, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(59)%branchR2(0:1))
      call avR2(59, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1904/))

      call avR2(59, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3080)%branchR2(0:0))
      call avR2(3080, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3052)%branchR2(0:0))
      call avR2(3052, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1707, nGC_1706/))

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(2364)%branchR2(0:0))
      call avR2(2364, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3214)%branchR2(0:0))
      call avR2(3214, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3810)%branchR2(0:0))
      call avR2(3810, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(3811)%branchR2(0:0))
      call avR2(3811, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(951)%branchR2(0:1))
      call avR2(951, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(951, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(3812)%branchR2(0:1))
      call avR2(3812, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2145/))

      call avR2(3812, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(847)%branchR2(0:0))
      call avR2(847, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2030)%branchR2(0:1))
      call avR2(2030, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2030, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3381)%branchR2(0:0))
      call avR2(3381, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1705, nGC_1704/))

      allocate(vertices(1355)%branchR2(0:0))
      call avR2(1355, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3813)%branchR2(0:1))
      call avR2(3813, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2164/))

      call avR2(3813, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2163/))

      allocate(vertices(1324)%branchR2(0:1))
      call avR2(1324, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(1324, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(624)%branchR2(0:1))
      call avR2(624, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(624, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(3814)%branchR2(0:1))
      call avR2(3814, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2137/))

      call avR2(3814, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1254)%branchR2(0:0))
      call avR2(1254, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2688)%branchR2(0:0))
      call avR2(2688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3320)%branchR2(0:0))
      call avR2(3320, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(3126)%branchR2(0:0))
      call avR2(3126, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2371)%branchR2(0:0))
      call avR2(2371, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1676, nGC_1678,       &
      nGC_1678, nGC_1675/))

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1707, nGC_1706/))

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      call avR2(3815, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      allocate(vertices(845)%branchR2(0:1))
      call avR2(845, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(845, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(1136)%branchR2(0:1))
      call avR2(1136, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(1136, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2400)%branchR2(0:1))
      call avR2(2400, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(2400, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(98)%branchR2(0:1))
      call avR2(98, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(98, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(3473)%branchR2(0:0))
      call avR2(3473, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(2970)%branchR2(0:0))
      call avR2(2970, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2996)%branchR2(0:0))
      call avR2(2996, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(908)%branchR2(0:1))
      call avR2(908, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1894/))

      call avR2(908, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1760/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(194)%branchR2(0:0))
      call avR2(194, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2398)%branchR2(0:1))
      call avR2(2398, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(2398, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3443)%branchR2(0:0))
      call avR2(3443, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2705)%branchR2(0:0))
      call avR2(2705, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1016)%branchR2(0:1))
      call avR2(1016, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1904/))

      call avR2(1016, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(2483)%branchR2(0:1))
      call avR2(2483, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1894/))

      call avR2(2483, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2838)%branchR2(0:0))
      call avR2(2838, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(2411)%branchR2(0:0))
      call avR2(2411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3242)%branchR2(0:0))
      call avR2(3242, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1644)%branchR2(0:1))
      call avR2(1644, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(1644, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(2870)%branchR2(0:0))
      call avR2(2870, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(442)%branchR2(0:0))
      call avR2(442, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(541)%branchR2(0:1))
      call avR2(541, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(541, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(3817)%branchR2(0:1))
      call avR2(3817, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2148/))

      call avR2(3817, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2149/))

      allocate(vertices(3818)%branchR2(0:1))
      call avR2(3818, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3818, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(2477)%branchR2(0:1))
      call avR2(2477, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1894/))

      call avR2(2477, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3131)%branchR2(0:0))
      call avR2(3131, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(3820)%branchR2(0:0))
      call avR2(3820, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(262)%branchR2(0:3))
      call avR2(262, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(262, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(262, 2, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(262, 3, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2611)%branchR2(0:1))
      call avR2(2611, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(2611, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2034/))

      allocate(vertices(2763)%branchR2(0:0))
      call avR2(2763, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1915)%branchR2(0:0))
      call avR2(1915, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1852/))

      allocate(vertices(3274)%branchR2(0:0))
      call avR2(3274, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3555)%branchR2(0:0))
      call avR2(3555, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2090, nGC_2088,        &
      nGC_2089/))

      allocate(vertices(2476)%branchR2(0:0))
      call avR2(2476, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1575)%branchR2(0:0))
      call avR2(1575, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(324)%branchR2(0:0))
      call avR2(324, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1853/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(1071)%branchR2(0:1))
      call avR2(1071, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(1071, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3821)%branchR2(0:0))
      call avR2(3821, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2234/))

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3822)%branchR2(0:0))
      call avR2(3822, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2095, nGC_2095,       &
      nGC_2095/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(2243)%branchR2(0:0))
      call avR2(2243, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1229)%branchR2(0:1))
      call avR2(1229, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(1229, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3823)%branchR2(0:1))
      call avR2(3823, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2164/))

      call avR2(3823, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2163/))

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2697)%branchR2(0:0))
      call avR2(2697, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2088, nGC_2089,       &
      nGC_2090/))

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2756)%branchR2(0:0))
      call avR2(2756, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3825)%branchR2(0:0))
      call avR2(3825, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3826)%branchR2(0:1))
      call avR2(3826, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3826, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1721)%branchR2(0:1))
      call avR2(1721, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(1721, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(2748)%branchR2(0:0))
      call avR2(2748, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3827)%branchR2(0:1))
      call avR2(3827, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2143/))

      call avR2(3827, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2144/))

      allocate(vertices(3072)%branchR2(0:0))
      call avR2(3072, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1550)%branchR2(0:0))
      call avR2(1550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(3237)%branchR2(0:0))
      call avR2(3237, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1849/))

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1887)%branchR2(0:1))
      call avR2(1887, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1904/))

      call avR2(1887, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(2585)%branchR2(0:0))
      call avR2(2585, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(3828)%branchR2(0:1))
      call avR2(3828, 0, 51, 1, 0, VSV0, (/2, 1/), (/nGC_1817/))

      call avR2(3828, 1, 52, 1, 0, VSV0, (/2, 1/), (/nGC_1816/))

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2516)%branchR2(0:0))
      call avR2(2516, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3521)%branchR2(0:0))
      call avR2(3521, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2458)%branchR2(0:1))
      call avR2(2458, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2458, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(3568)%branchR2(0:0))
      call avR2(3568, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3829)%branchR2(0:0))
      call avR2(3829, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2046, nGC_2046,       &
      nGC_2046/))

      allocate(vertices(3367)%branchR2(0:1))
      call avR2(3367, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1691, nGC_1694,       &
      nGC_1694, nGC_1690/))

      call avR2(3367, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1695,       &
      nGC_1695, nGC_1681/))

      allocate(vertices(3830)%branchR2(0:0))
      call avR2(3830, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1676, nGC_1674,       &
      nGC_1674, nGC_1675/))

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2128, nGC_2127,        &
      nGC_2128/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(806)%branchR2(0:1))
      call avR2(806, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(806, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1850/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2233/))

      allocate(vertices(2316)%branchR2(0:1))
      call avR2(2316, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(2316, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1309)%branchR2(0:1))
      call avR2(1309, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(1309, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(3325)%branchR2(0:0))
      call avR2(3325, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3831)%branchR2(0:5))
      call avR2(3831, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      call avR2(3831, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2157, nGC_2157,      &
      nGC_2157/))

      call avR2(3831, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3831, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3831, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3831, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(671)%branchR2(0:1))
      call avR2(671, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(671, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2040/))

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(850)%branchR2(0:1))
      call avR2(850, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(850, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2234/))

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1619)%branchR2(0:1))
      call avR2(1619, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(1619, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1854/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2231/))

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2340)%branchR2(0:1))
      call avR2(2340, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(2340, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(3833)%branchR2(0:0))
      call avR2(3833, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(1014)%branchR2(0:1))
      call avR2(1014, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(1014, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3834)%branchR2(0:1))
      call avR2(3834, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2140/))

      call avR2(3834, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3835)%branchR2(0:0))
      call avR2(3835, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1832)%branchR2(0:3))
      call avR2(1832, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(1832, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1832, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(1832, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(406)%branchR2(0:1))
      call avR2(406, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(406, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(544)%branchR2(0:1))
      call avR2(544, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(544, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(1391)%branchR2(0:0))
      call avR2(1391, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1741)%branchR2(0:0))
      call avR2(1741, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(3836)%branchR2(0:1))
      call avR2(3836, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3836, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(2711)%branchR2(0:0))
      call avR2(2711, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(2543)%branchR2(0:0))
      call avR2(2543, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1236)%branchR2(0:3))
      call avR2(1236, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(1236, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1236, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(1236, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(600)%branchR2(0:1))
      call avR2(600, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1904/))

      call avR2(600, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2434)%branchR2(0:0))
      call avR2(2434, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1799/))

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1661, nGC_1659,        &
      nGC_1660/))

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2090, nGC_2089,       &
      nGC_2088/))

      allocate(vertices(3515)%branchR2(0:0))
      call avR2(3515, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(2821)%branchR2(0:0))
      call avR2(2821, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1438)%branchR2(0:1))
      call avR2(1438, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1959, nGC_1957/))

      call avR2(1438, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1960, nGC_1958/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1607)%branchR2(0:0))
      call avR2(1607, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(602)%branchR2(0:1))
      call avR2(602, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(602, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(1864)%branchR2(0:0))
      call avR2(1864, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3190)%branchR2(0:0))
      call avR2(3190, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2023/))

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1756)%branchR2(0:0))
      call avR2(1756, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3837)%branchR2(0:1))
      call avR2(3837, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2151/))

      call avR2(3837, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1844/))

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1635)%branchR2(0:0))
      call avR2(1635, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(3838)%branchR2(0:0))
      call avR2(3838, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2178)%branchR2(0:1))
      call avR2(2178, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(2178, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(3839)%branchR2(0:5))
      call avR2(3839, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      call avR2(3839, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3839, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3839, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3839, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2122, nGC_2122,      &
      nGC_2122/))

      call avR2(3839, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1752/))

      allocate(vertices(2219)%branchR2(0:0))
      call avR2(2219, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3840)%branchR2(0:0))
      call avR2(3840, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3463)%branchR2(0:0))
      call avR2(3463, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(3070)%branchR2(0:0))
      call avR2(3070, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2221)%branchR2(0:0))
      call avR2(2221, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(1249)%branchR2(0:1))
      call avR2(1249, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(1249, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1795/))

      allocate(vertices(354)%branchR2(0:1))
      call avR2(354, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(354, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(2983)%branchR2(0:1))
      call avR2(2983, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1683, nGC_1686,       &
      nGC_1686, nGC_1682/))

      call avR2(2983, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1687,       &
      nGC_1687, nGC_1681/))

      allocate(vertices(1706)%branchR2(0:0))
      call avR2(1706, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1994)%branchR2(0:0))
      call avR2(1994, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2636)%branchR2(0:0))
      call avR2(2636, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1512)%branchR2(0:1))
      call avR2(1512, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1939, nGC_1941/))

      call avR2(1512, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1940, nGC_1942/))

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2335)%branchR2(0:0))
      call avR2(2335, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2263)%branchR2(0:1))
      call avR2(2263, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(2263, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(3211)%branchR2(0:0))
      call avR2(3211, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(63)%branchR2(0:1))
      call avR2(63, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(63, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1851/))

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1451)%branchR2(0:1))
      call avR2(1451, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(1451, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3842)%branchR2(0:1))
      call avR2(3842, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2146/))

      call avR2(3842, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2145/))

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3843)%branchR2(0:0))
      call avR2(3843, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3845)%branchR2(0:1))
      call avR2(3845, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      call avR2(3845, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1845/))

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(3184)%branchR2(0:0))
      call avR2(3184, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(199)%branchR2(0:1))
      call avR2(199, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(199, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3161)%branchR2(0:0))
      call avR2(3161, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2615)%branchR2(0:0))
      call avR2(2615, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2628)%branchR2(0:0))
      call avR2(2628, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(887)%branchR2(0:1))
      call avR2(887, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1904/))

      call avR2(887, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(2686)%branchR2(0:0))
      call avR2(2686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3846)%branchR2(0:1))
      call avR2(3846, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2139/))

      call avR2(3846, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1846/))

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3847)%branchR2(0:0))
      call avR2(3847, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2971)%branchR2(0:0))
      call avR2(2971, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1703, nGC_1702/))

      allocate(vertices(1330)%branchR2(0:1))
      call avR2(1330, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(1330, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1795/))

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(868)%branchR2(0:1))
      call avR2(868, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(868, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1569)%branchR2(0:0))
      call avR2(1569, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(2736)%branchR2(0:0))
      call avR2(2736, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1750/))

      allocate(vertices(3848)%branchR2(0:0))
      call avR2(3848, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2231/))

      allocate(vertices(856)%branchR2(0:1))
      call avR2(856, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(856, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(3850)%branchR2(0:0))
      call avR2(3850, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(1900)%branchR2(0:0))
      call avR2(1900, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(195)%branchR2(0:1))
      call avR2(195, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1959, nGC_1957/))

      call avR2(195, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1960, nGC_1958/))

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(224)%branchR2(0:1))
      call avR2(224, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1737, nGC_1738/))

      call avR2(224, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2892)%branchR2(0:0))
      call avR2(2892, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(1990)%branchR2(0:1))
      call avR2(1990, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(1990, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1848/))

      allocate(vertices(3548)%branchR2(0:0))
      call avR2(3548, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1735)%branchR2(0:1))
      call avR2(1735, 0, 0, 1, 0, VVV0, (/3, 0/), (/nGC_3292/))

      call avR2(1735, 1, 1, 1, 0, VVV0, (/3, 0/), (/nGC_3293/))

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1805)%branchR2(0:0))
      call avR2(1805, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2048, nGC_2047,       &
      nGC_2048/))

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1749/))

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1806)%branchR2(0:3))
      call avR2(1806, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1842, nGC_1843/))

      call avR2(1806, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1806, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1840, nGC_1841/))

      call avR2(1806, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(1201)%branchR2(0:1))
      call avR2(1201, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(1201, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2471)%branchR2(0:0))
      call avR2(2471, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2781)%branchR2(0:0))
      call avR2(2781, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1557)%branchR2(0:0))
      call avR2(1557, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2111/))

    end subroutine fill_vertices_mdl12
end module vertices_info12
