!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(1360)%branchR2(0:0))
      call avR2(1360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2663)%branchR2(0:0))
      call avR2(2663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(1479)%branchR2(0:0))
      call avR2(1479, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1699)%branchR2(0:1))
      call avR2(1699, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(1699, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2026)%branchR2(0:1))
      call avR2(2026, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1904/))

      call avR2(2026, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2664)%branchR2(0:3))
      call avR2(2664, 0, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2664, 1, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1826, nGC_1827/))

      call avR2(2664, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(2664, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(954)%branchR2(0:1))
      call avR2(954, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(954, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3852)%branchR2(0:1))
      call avR2(3852, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2138/))

      call avR2(3852, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2137/))

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1851)%branchR2(0:1))
      call avR2(1851, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(1851, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(2293)%branchR2(0:0))
      call avR2(2293, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2230/))

      allocate(vertices(2455)%branchR2(0:0))
      call avR2(2455, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2100)%branchR2(0:1))
      call avR2(2100, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(2100, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1655/))

      allocate(vertices(2119)%branchR2(0:1))
      call avR2(2119, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(2119, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(677)%branchR2(0:0))
      call avR2(677, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3332)%branchR2(0:0))
      call avR2(3332, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3855)%branchR2(0:1))
      call avR2(3855, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2145/))

      call avR2(3855, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(2558)%branchR2(0:1))
      call avR2(2558, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(2558, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(1548)%branchR2(0:0))
      call avR2(1548, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1898)%branchR2(0:0))
      call avR2(1898, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3387)%branchR2(0:0))
      call avR2(3387, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1857)%branchR2(0:0))
      call avR2(1857, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1717)%branchR2(0:1))
      call avR2(1717, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(1717, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(3856)%branchR2(0:1))
      call avR2(3856, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2151/))

      call avR2(3856, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(641)%branchR2(0:0))
      call avR2(641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(828)%branchR2(0:1))
      call avR2(828, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(828, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(3193)%branchR2(0:0))
      call avR2(3193, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1855/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(2565)%branchR2(0:0))
      call avR2(2565, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2655)%branchR2(0:1))
      call avR2(2655, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(2655, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2230/))

      allocate(vertices(1062)%branchR2(0:1))
      call avR2(1062, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(1062, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3859)%branchR2(0:0))
      call avR2(3859, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(764)%branchR2(0:1))
      call avR2(764, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(764, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(3860)%branchR2(0:0))
      call avR2(3860, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1845/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2091/))

    end subroutine fill_vertices_mdl13
end module vertices_info13
