!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1676, nGC_1677,       &
      nGC_1677, nGC_1675/))

      allocate(vertices(2916)%branchR2(0:0))
      call avR2(2916, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(214)%branchR2(0:1))
      call avR2(214, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(214, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(2168)%branchR2(0:0))
      call avR2(2168, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1545)%branchR2(0:0))
      call avR2(1545, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(620)%branchR2(0:1))
      call avR2(620, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(620, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3170)%branchR2(0:0))
      call avR2(3170, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2227/))

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2227/))

      allocate(vertices(3600)%branchR2(0:0))
      call avR2(3600, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2933)%branchR2(0:0))
      call avR2(2933, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2963)%branchR2(0:0))
      call avR2(2963, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(6)%branchR2(0:1))
      call avR2(6, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(6, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(3601)%branchR2(0:5))
      call avR2(3601, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3601, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3601, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2157, nGC_2157,      &
      nGC_2157/))

      call avR2(3601, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      call avR2(3601, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3601, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      allocate(vertices(1825)%branchR2(0:1))
      call avR2(1825, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1894/))

      call avR2(1825, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(3602)%branchR2(0:1))
      call avR2(3602, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3602, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2218)%branchR2(0:1))
      call avR2(2218, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(2218, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(2122)%branchR2(0:1))
      call avR2(2122, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(2122, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2464)%branchR2(0:1))
      call avR2(2464, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2013, nGC_2011/))

      call avR2(2464, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2014, nGC_2012/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(184)%branchR2(0:3))
      call avR2(184, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(184, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(184, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(184, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3603)%branchR2(0:0))
      call avR2(3603, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1561)%branchR2(0:3))
      call avR2(1561, 0, 29, 1, 0, VFFa1, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(1561, 1, 29, 1, 0, VFFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(1561, 2, 28, 1, 0, VFFa1, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(1561, 3, 28, 1, 0, VFFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1094)%branchR2(0:1))
      call avR2(1094, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(1094, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1853/))

      allocate(vertices(3604)%branchR2(0:1))
      call avR2(3604, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2148/))

      call avR2(3604, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2149/))

      allocate(vertices(2235)%branchR2(0:0))
      call avR2(2235, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1563)%branchR2(0:0))
      call avR2(1563, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1754/))

      allocate(vertices(2526)%branchR2(0:0))
      call avR2(2526, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1853/))

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1664, nGC_1662,        &
      nGC_1663/))

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(598)%branchR2(0:1))
      call avR2(598, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(598, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2749)%branchR2(0:0))
      call avR2(2749, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1847/))

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(105)%branchR2(0:3))
      call avR2(105, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(105, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(105, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(105, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1984)%branchR2(0:1))
      call avR2(1984, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(1984, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1724)%branchR2(0:0))
      call avR2(1724, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2036)%branchR2(0:0))
      call avR2(2036, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(1189)%branchR2(0:0))
      call avR2(1189, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(7)%branchR2(0:0))
      call avR2(7, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1532)%branchR2(0:1))
      call avR2(1532, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(1532, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(3309)%branchR2(0:0))
      call avR2(3309, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1758)%branchR2(0:1))
      call avR2(1758, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1939, nGC_1941/))

      call avR2(1758, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1940, nGC_1942/))

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1449)%branchR2(0:1))
      call avR2(1449, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(1449, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1910)%branchR2(0:0))
      call avR2(1910, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(2304)%branchR2(0:0))
      call avR2(2304, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3607)%branchR2(0:0))
      call avR2(3607, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2880)%branchR2(0:1))
      call avR2(2880, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1688, nGC_1690/))

      call avR2(2880, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1689,       &
      nGC_1689, nGC_1681/))

      allocate(vertices(380)%branchR2(0:1))
      call avR2(380, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(380, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(981)%branchR2(0:0))
      call avR2(981, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1827)%branchR2(0:1))
      call avR2(1827, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1904/))

      call avR2(1827, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3608)%branchR2(0:1))
      call avR2(3608, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2152/))

      call avR2(3608, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2151/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3609)%branchR2(0:0))
      call avR2(3609, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2063, nGC_2063,       &
      nGC_2063/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2183)%branchR2(0:0))
      call avR2(2183, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1529)%branchR2(0:1))
      call avR2(1529, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(1529, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3610)%branchR2(0:0))
      call avR2(3610, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2049, nGC_2049,       &
      nGC_2049/))

      allocate(vertices(3611)%branchR2(0:1))
      call avR2(3611, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2142/))

      call avR2(3611, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2141/))

      allocate(vertices(980)%branchR2(0:1))
      call avR2(980, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(980, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2056,       &
      nGC_2055/))

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2127, nGC_2128,       &
      nGC_2128/))

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3137)%branchR2(0:0))
      call avR2(3137, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(634)%branchR2(0:1))
      call avR2(634, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1894/))

      call avR2(634, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2054,       &
      nGC_2055/))

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(2931)%branchR2(0:0))
      call avR2(2931, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(453)%branchR2(0:1))
      call avR2(453, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(453, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1760/))

      allocate(vertices(3431)%branchR2(0:0))
      call avR2(3431, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1853/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3612)%branchR2(0:1))
      call avR2(3612, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2145/))

      call avR2(3612, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(3158)%branchR2(0:0))
      call avR2(3158, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(3613)%branchR2(0:1))
      call avR2(3613, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2140/))

      call avR2(3613, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(313)%branchR2(0:3))
      call avR2(313, 0, 29, 1, 0, VFFa1, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(313, 1, 29, 1, 0, VFFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(313, 2, 28, 1, 0, VFFa1, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(313, 3, 28, 1, 0, VFFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(2509)%branchR2(0:1))
      call avR2(2509, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(2509, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2105)%branchR2(0:0))
      call avR2(2105, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(2154)%branchR2(0:0))
      call avR2(2154, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2026/))

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1932)%branchR2(0:0))
      call avR2(1932, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2513)%branchR2(0:0))
      call avR2(2513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(710)%branchR2(0:0))
      call avR2(710, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1580)%branchR2(0:0))
      call avR2(1580, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3460)%branchR2(0:0))
      call avR2(3460, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(946)%branchR2(0:1))
      call avR2(946, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(946, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3614)%branchR2(0:0))
      call avR2(3614, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(3432)%branchR2(0:0))
      call avR2(3432, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3615)%branchR2(0:1))
      call avR2(3615, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3615, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(3616)%branchR2(0:1))
      call avR2(3616, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      call avR2(3616, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      allocate(vertices(3540)%branchR2(0:0))
      call avR2(3540, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1494)%branchR2(0:1))
      call avR2(1494, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(1494, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1711, nGC_1710/))

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,        &
      nGC_2056/))

      allocate(vertices(201)%branchR2(0:3))
      call avR2(201, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1838, nGC_1839/))

      call avR2(201, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(201, 2, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1836, nGC_1837/))

      call avR2(201, 3, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(3617)%branchR2(0:1))
      call avR2(3617, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2151/))

      call avR2(3617, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(1385)%branchR2(0:1))
      call avR2(1385, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(1385, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(82)%branchR2(0:3))
      call avR2(82, 0, 29, 1, 0, VFFa1, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(82, 1, 29, 1, 0, VFFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(82, 2, 28, 1, 0, VFFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(82, 3, 28, 1, 0, VFFa1, (/1, 2/), (/nGC_1826, nGC_1827/))

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1553)%branchR2(0:1))
      call avR2(1553, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1989, nGC_1987/))

      call avR2(1553, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1990, nGC_1988/))

      allocate(vertices(2668)%branchR2(0:0))
      call avR2(2668, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(1090)%branchR2(0:1))
      call avR2(1090, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(1090, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2297)%branchR2(0:0))
      call avR2(2297, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1484)%branchR2(0:0))
      call avR2(1484, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1845/))

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1709, nGC_1708/))

      allocate(vertices(3417)%branchR2(0:0))
      call avR2(3417, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(308)%branchR2(0:1))
      call avR2(308, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(308, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1914)%branchR2(0:1))
      call avR2(1914, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(1914, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(132)%branchR2(0:1))
      call avR2(132, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1894/))

      call avR2(132, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(3360)%branchR2(0:0))
      call avR2(3360, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1987)%branchR2(0:1))
      call avR2(1987, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(1987, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(3618)%branchR2(0:1))
      call avR2(3618, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3618, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(3619)%branchR2(0:0))
      call avR2(3619, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2444)%branchR2(0:0))
      call avR2(2444, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(1298)%branchR2(0:1))
      call avR2(1298, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1904/))

      call avR2(1298, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(3620)%branchR2(0:0))
      call avR2(3620, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3578)%branchR2(0:0))
      call avR2(3578, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1711, nGC_1710/))

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3621)%branchR2(0:1))
      call avR2(3621, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3621, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1655/))

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1214)%branchR2(0:1))
      call avR2(1214, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(1214, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2737)%branchR2(0:0))
      call avR2(2737, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2140/))

      call avR2(3622, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3485)%branchR2(0:0))
      call avR2(3485, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2089, nGC_2090,       &
      nGC_2088/))

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3143)%branchR2(0:0))
      call avR2(3143, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3623)%branchR2(0:1))
      call avR2(3623, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3623, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(595)%branchR2(0:1))
      call avR2(595, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(595, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(754)%branchR2(0:0))
      call avR2(754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1983)%branchR2(0:0))
      call avR2(1983, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3376)%branchR2(0:0))
      call avR2(3376, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1851/))

      allocate(vertices(3624)%branchR2(0:1))
      call avR2(3624, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2163/))

      call avR2(3624, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2164/))

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3508)%branchR2(0:0))
      call avR2(3508, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1655/))

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(2904)%branchR2(0:0))
      call avR2(2904, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2092)%branchR2(0:1))
      call avR2(2092, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(2092, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3063)%branchR2(0:0))
      call avR2(3063, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3625)%branchR2(0:0))
      call avR2(3625, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2063, nGC_2063,       &
      nGC_2063/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(970)%branchR2(0:0))
      call avR2(970, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1234)%branchR2(0:0))
      call avR2(1234, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1642)%branchR2(0:3))
      call avR2(1642, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1842, nGC_1843/))

      call avR2(1642, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(1642, 2, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1840, nGC_1841/))

      call avR2(1642, 3, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(3626)%branchR2(0:1))
      call avR2(3626, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2140/))

      call avR2(3626, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(3627)%branchR2(0:0))
      call avR2(3627, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(889)%branchR2(0:1))
      call avR2(889, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1894/))

      call avR2(889, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2040)%branchR2(0:3))
      call avR2(2040, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(2040, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2040, 2, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(2040, 3, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2869)%branchR2(0:0))
      call avR2(2869, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2049, nGC_2049,       &
      nGC_2049/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3630)%branchR2(0:1))
      call avR2(3630, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2140/))

      call avR2(3630, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(1293)%branchR2(0:0))
      call avR2(1293, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3632)%branchR2(0:1))
      call avR2(3632, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2148/))

      call avR2(3632, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2149/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(3145)%branchR2(0:0))
      call avR2(3145, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3633)%branchR2(0:0))
      call avR2(3633, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2480)%branchR2(0:0))
      call avR2(2480, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3634)%branchR2(0:1))
      call avR2(3634, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      call avR2(3634, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(109)%branchR2(0:1))
      call avR2(109, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(109, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(2587)%branchR2(0:3))
      call avR2(2587, 0, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2587, 1, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1826, nGC_1827/))

      call avR2(2587, 2, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(2587, 3, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2170)%branchR2(0:0))
      call avR2(2170, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(2819)%branchR2(0:0))
      call avR2(2819, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(3106)%branchR2(0:0))
      call avR2(3106, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2025/))

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3291)%branchR2(0:0))
      call avR2(3291, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(3635)%branchR2(0:0))
      call avR2(3635, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3636)%branchR2(0:1))
      call avR2(3636, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2148/))

      call avR2(3636, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2149/))

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1851/))

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3565)%branchR2(0:0))
      call avR2(3565, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1218)%branchR2(0:1))
      call avR2(1218, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(1218, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(584)%branchR2(0:3))
      call avR2(584, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(584, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(584, 2, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(584, 3, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1828, nGC_1829/))

      allocate(vertices(3638)%branchR2(0:1))
      call avR2(3638, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      call avR2(3638, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1762)%branchR2(0:1))
      call avR2(1762, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(1762, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3640)%branchR2(0:5))
      call avR2(3640, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      call avR2(3640, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3640, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3640, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3640, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2157, nGC_2157,      &
      nGC_2157/))

      call avR2(3640, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      allocate(vertices(3276)%branchR2(0:0))
      call avR2(3276, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3209)%branchR2(0:0))
      call avR2(3209, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(3641)%branchR2(0:1))
      call avR2(3641, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3641, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(449)%branchR2(0:1))
      call avR2(449, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(449, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(519)%branchR2(0:0))
      call avR2(519, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2576)%branchR2(0:0))
      call avR2(2576, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2054,        &
      nGC_2055/))

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3642)%branchR2(0:1))
      call avR2(3642, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2139/))

      call avR2(3642, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(1726)%branchR2(0:1))
      call avR2(1726, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(1726, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(3643)%branchR2(0:0))
      call avR2(3643, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1720)%branchR2(0:0))
      call avR2(1720, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2463)%branchR2(0:1))
      call avR2(2463, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(2463, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2041,        &
      nGC_2042/))

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(2213)%branchR2(0:0))
      call avR2(2213, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3235)%branchR2(0:0))
      call avR2(3235, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2228/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1748/))

      allocate(vertices(2289)%branchR2(0:0))
      call avR2(2289, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,       &
      nGC_2042/))

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2429)%branchR2(0:1))
      call avR2(2429, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1774, nGC_1775/))

      call avR2(2429, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1854/))

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(3645)%branchR2(0:1))
      call avR2(3645, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2145/))

      call avR2(3645, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(3569)%branchR2(0:0))
      call avR2(3569, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(594)%branchR2(0:1))
      call avR2(594, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(594, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3646)%branchR2(0:1))
      call avR2(3646, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2138/))

      call avR2(3646, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2137/))

      allocate(vertices(46)%branchR2(0:1))
      call avR2(46, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(46, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3647)%branchR2(0:1))
      call avR2(3647, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      call avR2(3647, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2127, nGC_2128,        &
      nGC_2128/))

      allocate(vertices(1943)%branchR2(0:1))
      call avR2(1943, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1963, nGC_1961/))

      call avR2(1943, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1964, nGC_1962/))

      allocate(vertices(3055)%branchR2(0:0))
      call avR2(3055, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3648)%branchR2(0:1))
      call avR2(3648, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2151/))

      call avR2(3648, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(3649)%branchR2(0:0))
      call avR2(3649, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(765)%branchR2(0:3))
      call avR2(765, 0, 30, 1, 0, VFaF0, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(765, 1, 30, 1, 0, VFaF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(765, 2, 31, 1, 0, VFaF0, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(765, 3, 31, 1, 0, VFaF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2282)%branchR2(0:1))
      call avR2(2282, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(2282, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(1795)%branchR2(0:0))
      call avR2(1795, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3651)%branchR2(0:0))
      call avR2(3651, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2048, nGC_2048,       &
      nGC_2047/))

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1365)%branchR2(0:0))
      call avR2(1365, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1145)%branchR2(0:1))
      call avR2(1145, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(1145, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2401)%branchR2(0:0))
      call avR2(2401, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3484)%branchR2(0:0))
      call avR2(3484, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(364)%branchR2(0:1))
      call avR2(364, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(364, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(3282)%branchR2(0:0))
      call avR2(3282, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1944)%branchR2(0:0))
      call avR2(1944, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1846/))

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(940)%branchR2(0:1))
      call avR2(940, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(940, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1968)%branchR2(0:0))
      call avR2(1968, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2072)%branchR2(0:0))
      call avR2(2072, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2025/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3060)%branchR2(0:0))
      call avR2(3060, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2065)%branchR2(0:0))
      call avR2(2065, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1850/))

      allocate(vertices(174)%branchR2(0:1))
      call avR2(174, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(174, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(614)%branchR2(0:0))
      call avR2(614, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3652)%branchR2(0:1))
      call avR2(3652, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2139/))

      call avR2(3652, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1852/))

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2088, nGC_2090,        &
      nGC_2089/))

      allocate(vertices(3066)%branchR2(0:0))
      call avR2(3066, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2377)%branchR2(0:1))
      call avR2(2377, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1959, nGC_1957/))

      call avR2(2377, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1960, nGC_1958/))

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(1556)%branchR2(0:1))
      call avR2(1556, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1776, nGC_1778/))

      call avR2(1556, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1727/))

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3476)%branchR2(0:0))
      call avR2(3476, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(573)%branchR2(0:3))
      call avR2(573, 0, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(573, 1, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1826, nGC_1827/))

      call avR2(573, 2, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1824, nGC_1825/))

      call avR2(573, 3, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2775)%branchR2(0:0))
      call avR2(2775, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1851/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2099, nGC_2099,      &
      nGC_2099/))

      call avR2(3653, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2100, nGC_2100,      &
      nGC_2100/))

      allocate(vertices(3654)%branchR2(0:1))
      call avR2(3654, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      call avR2(3654, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042,       &
      nGC_2041/))

      allocate(vertices(2355)%branchR2(0:3))
      call avR2(2355, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1832, nGC_1833/))

      call avR2(2355, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(2355, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1834, nGC_1835/))

      call avR2(2355, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(1427)%branchR2(0:1))
      call avR2(1427, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(1427, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(3655)%branchR2(0:0))
      call avR2(3655, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3656)%branchR2(0:1))
      call avR2(3656, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      call avR2(3656, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2123)%branchR2(0:0))
      call avR2(2123, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1873, nGC_1872/))

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1388)%branchR2(0:1))
      call avR2(1388, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1894/))

      call avR2(1388, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2790)%branchR2(0:0))
      call avR2(2790, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(576)%branchR2(0:1))
      call avR2(576, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(576, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1846/))

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2047, nGC_2048,       &
      nGC_2048/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2946)%branchR2(0:0))
      call avR2(2946, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2710)%branchR2(0:0))
      call avR2(2710, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2658)%branchR2(0:1))
      call avR2(2658, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(2658, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2141/))

      call avR2(3658, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(3659)%branchR2(0:1))
      call avR2(3659, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2152/))

      call avR2(3659, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2151/))

      allocate(vertices(1115)%branchR2(0:1))
      call avR2(1115, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(1115, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1849/))

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2204/))

      allocate(vertices(637)%branchR2(0:1))
      call avR2(637, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(637, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1801/))

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1034)%branchR2(0:1))
      call avR2(1034, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(1034, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(48)%branchR2(0:1))
      call avR2(48, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1737, nGC_1738/))

      call avR2(48, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2284)%branchR2(0:1))
      call avR2(2284, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1933, nGC_1931/))

      call avR2(2284, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1934, nGC_1932/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2805)%branchR2(0:0))
      call avR2(2805, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3661)%branchR2(0:1))
      call avR2(3661, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2137/))

      call avR2(3661, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(2422)%branchR2(0:0))
      call avR2(2422, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(1733)%branchR2(0:0))
      call avR2(1733, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1718)%branchR2(0:1))
      call avR2(1718, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1979, nGC_1978/))

      call avR2(1718, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3662)%branchR2(0:5))
      call avR2(3662, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      call avR2(3662, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3662, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2155, nGC_2155,      &
      nGC_2155/))

      call avR2(3662, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      call avR2(3662, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2157, nGC_2157,      &
      nGC_2157/))

      call avR2(3662, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2156, nGC_2156,      &
      nGC_2156/))

      allocate(vertices(2368)%branchR2(0:1))
      call avR2(2368, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2368, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(2547)%branchR2(0:0))
      call avR2(2547, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2056,       &
      nGC_2055/))

      allocate(vertices(2278)%branchR2(0:3))
      call avR2(2278, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_1840, nGC_1841/))

      call avR2(2278, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(2278, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_1842, nGC_1843/))

      call avR2(2278, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3348)%branchR2(0:0))
      call avR2(3348, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2517)%branchR2(0:1))
      call avR2(2517, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(2517, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1755/))

      allocate(vertices(2810)%branchR2(0:0))
      call avR2(2810, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1699, nGC_1698/))

      allocate(vertices(1150)%branchR2(0:1))
      call avR2(1150, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1902, nGC_1900/))

      call avR2(1150, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1903, nGC_1901/))

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(3536)%branchR2(0:0))
      call avR2(3536, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(465)%branchR2(0:0))
      call avR2(465, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(2167)%branchR2(0:1))
      call avR2(2167, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(2167, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(3663)%branchR2(0:1))
      call avR2(3663, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2154/))

      call avR2(3663, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3664)%branchR2(0:1))
      call avR2(3664, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2163/))

      call avR2(3664, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2164/))

      allocate(vertices(2375)%branchR2(0:1))
      call avR2(2375, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(2375, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2049, nGC_2049,       &
      nGC_2049/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3666)%branchR2(0:1))
      call avR2(3666, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2141/))

      call avR2(3666, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2142/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3271)%branchR2(0:0))
      call avR2(3271, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(3148)%branchR2(0:0))
      call avR2(3148, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1273)%branchR2(0:1))
      call avR2(1273, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(1273, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1771)%branchR2(0:0))
      call avR2(1771, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1727/))

      allocate(vertices(3667)%branchR2(0:1))
      call avR2(3667, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2145/))

      call avR2(3667, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2146/))

      allocate(vertices(1592)%branchR2(0:0))
      call avR2(1592, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1844/))

      allocate(vertices(3068)%branchR2(0:0))
      call avR2(3068, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2227/))

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1797/))

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(51)%branchR2(0:1))
      call avR2(51, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1894/))

      call avR2(51, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1643)%branchR2(0:1))
      call avR2(1643, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(1643, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1844/))

      allocate(vertices(3228)%branchR2(0:0))
      call avR2(3228, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1730, nGC_1731/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(2900)%branchR2(0:0))
      call avR2(2900, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2056,       &
      nGC_2054/))

      allocate(vertices(2440)%branchR2(0:0))
      call avR2(2440, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1163)%branchR2(0:1))
      call avR2(1163, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(1163, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(2077)%branchR2(0:1))
      call avR2(2077, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1904/))

      call avR2(2077, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2662)%branchR2(0:1))
      call avR2(2662, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(2662, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1411)%branchR2(0:0))
      call avR2(1411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3016)%branchR2(0:0))
      call avR2(3016, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3669)%branchR2(0:1))
      call avR2(3669, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2140/))

      call avR2(3669, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(645)%branchR2(0:1))
      call avR2(645, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1894/))

      call avR2(645, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(3446)%branchR2(0:0))
      call avR2(3446, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2845)%branchR2(0:0))
      call avR2(2845, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(3670)%branchR2(0:0))
      call avR2(3670, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2063, nGC_2063,       &
      nGC_2063/))

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1754/))

      allocate(vertices(3671)%branchR2(0:1))
      call avR2(3671, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2153/))

      call avR2(3671, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1811/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
