!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_2437) = coupl(nGC_1146)*db_QED2 + coupl(nGC_1147)*dym1_QED3 +  &
                        coupl(nGC_1148)*dym2_QED3
      coupl(nGC_2436) = coupl(nGC_1143)*db_QED2 + coupl(nGC_1144)*dym1_QED3 +  &
                        coupl(nGC_1145)*dym2_QED3
      coupl(nGC_2439) = coupl(nGC_1310)*db_QED2 + coupl(nGC_1311)*dytau2_QED3  &
                         + coupl(nGC_1312)*dytau1_QED3
      coupl(nGC_2438) = coupl(nGC_1333)*db_QED2 + coupl(nGC_1334)*dytau2_QED3  &
                         + coupl(nGC_1335)*dytau1_QED3
      coupl(nGC_3123) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_3124) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2986) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_1725) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3055) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_3056) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_3051) = coupl(nGC_186)*dZHa_QED2/2d0 + coupl(nGC_186)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_186)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_190)*dZG0Ha_QED2/2d0 + coupl(nGC_2439)
      coupl(nGC_3052) = coupl(nGC_187)*dZHa_QED2/2d0 + coupl(nGC_187)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_187)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_191)*dZG0Ha_QED2/2d0 + coupl(nGC_2438)
      coupl(nGC_3058) = coupl(nGC_2596) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_3059) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1946) = -coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1779) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1778) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1777) = coupl(nGC_7)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1775) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_621)*coupl&
                        (nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*coupl(    &
                        nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1947) = -coupl(nGC_177)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1771) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1689) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1688) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1683) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1682) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1681) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_1680) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1687) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1686) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1684) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1998) = -coupl(nGC_172)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1997) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_172) + coupl(nGC_131&
                        )*coupl(nGC_132)*coupl(nGC_170) + coupl(nGC_132)*coupl(&
                        nGC_134)*coupl(nGC_174) + coupl(nGC_169)**2d0*coupl(   &
                        nGC_171) + coupl(nGC_169)*coupl(nGC_619)*coupl(nGC_84  &
                        ) + coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_94) + coupl(&
                        nGC_170)*coupl(nGC_72)*coupl(nGC_80) + coupl(nGC_171)* &
                        coupl(nGC_172)**2d0 + coupl(nGC_171)*coupl(nGC_173)**  &
                        2d0 + coupl(nGC_171)*coupl(nGC_176)**2d0 - 8d0*coupl(  &
                        nGC_172)*coupl(nGC_84)*coupl(nGC_87) + coupl(nGC_173)* &
                        coupl(nGC_651)*coupl(nGC_84) + coupl(nGC_173)*coupl(   &
                        nGC_87)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_1996) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_173) + coupl(nGC_131&
                        )*coupl(nGC_133)*coupl(nGC_170) + coupl(nGC_133)*coupl(&
                        nGC_134)*coupl(nGC_174) + coupl(nGC_169)**2d0*coupl(   &
                        nGC_173) + coupl(nGC_170)*coupl(nGC_633)*coupl(nGC_80  &
                        ) + coupl(nGC_171)**2d0*coupl(nGC_173) + coupl(nGC_171 &
                        )*coupl(nGC_651)*coupl(nGC_84) + coupl(nGC_171)*coupl( &
                        nGC_87)*coupl(nGC_92) + coupl(nGC_173)**3d0 + coupl(   &
                        nGC_173)*coupl(nGC_175)**2d0 - 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) + coupl(nGC_174)*coupl(nGC_68)* &
                        coupl(nGC_80) + coupl(nGC_175)*coupl(nGC_619)*coupl(   &
                        nGC_84) + coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1995) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_173) + coupl(nGC_131&
                        )*coupl(nGC_133)*coupl(nGC_170) + coupl(nGC_133)*coupl(&
                        nGC_134)*coupl(nGC_174) + coupl(nGC_169)**2d0*coupl(   &
                        nGC_173) + coupl(nGC_170)*coupl(nGC_64)*coupl(nGC_80   &
                        ) + coupl(nGC_172)**2d0*coupl(nGC_173) + coupl(nGC_172 &
                        )*coupl(nGC_651)*coupl(nGC_87) + coupl(nGC_172)*coupl( &
                        nGC_84)*coupl(nGC_92) + coupl(nGC_173)**3d0 + coupl(   &
                        nGC_173)*coupl(nGC_176)**2d0 - 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) + coupl(nGC_174)*coupl(nGC_649)*&
                        coupl(nGC_80) + coupl(nGC_176)*coupl(nGC_619)*coupl(   &
                        nGC_87) + coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1994) = -coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1993) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_169) + coupl(nGC_130&
                        )*coupl(nGC_131)*coupl(nGC_170) + coupl(nGC_130)*coupl(&
                        nGC_134)*coupl(nGC_174) + coupl(nGC_169)**3d0 + coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 + coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 + coupl(nGC_169)*coupl(nGC_175)**2d0 -   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) + coupl(&
                        nGC_170)*coupl(nGC_649)*coupl(nGC_80) + coupl(nGC_171)*&
                        coupl(nGC_619)*coupl(nGC_84) + coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_94) + coupl(nGC_174)*coupl(nGC_63)*  &
                        coupl(nGC_80) + coupl(nGC_175)*coupl(nGC_653)*coupl(   &
                        nGC_84) + coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1992) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_169) + coupl(nGC_130&
                        )*coupl(nGC_131)*coupl(nGC_170) + coupl(nGC_130)*coupl(&
                        nGC_134)*coupl(nGC_174) + coupl(nGC_169)**3d0 + coupl( &
                        nGC_169)*coupl(nGC_172)**2d0 + coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 + coupl(nGC_169)*coupl(nGC_176)**2d0 -   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) + coupl(&
                        nGC_170)*coupl(nGC_68)*coupl(nGC_80) + coupl(nGC_172)* &
                        coupl(nGC_619)*coupl(nGC_87) + coupl(nGC_172)*coupl(   &
                        nGC_84)*coupl(nGC_94) + coupl(nGC_174)*coupl(nGC_629)* &
                        coupl(nGC_80) + coupl(nGC_176)*coupl(nGC_653)*coupl(   &
                        nGC_87) + coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1991) = -coupl(nGC_169)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2717) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_1990) = -coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2152) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_2153) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2151) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_2156) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl&
                        (nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0&
                        *Nc)
      coupl(nGC_2157) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(32d0*pi**2d0*&
                        Nc**2d0)
      coupl(nGC_2154) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 + &
                        coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(     &
                        nGC_173)**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2155) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0&
                        )
      coupl(nGC_2880) = coupl(nGC_44)*dZGMinus/2d0
      coupl(nGC_2333) = coupl(nGC_1201)*db_QED2 + coupl(nGC_1202)*dZee_QED2 +  &
                        coupl(nGC_1203)*dcw_QED2 + coupl(nGC_1204)*da_QED2
      coupl(nGC_2330) = coupl(nGC_1095)*dZee_QED2 + coupl(nGC_1096)*dcw_QED2 + &
                        coupl(nGC_1097)*dsw_QED2
      coupl(nGC_2336) = coupl(nGC_1445)*db_QED2 + coupl(nGC_1446)*dvev1_QED1 + &
                        coupl(nGC_1447)*dcw_QED2 + coupl(nGC_1448)*dZee_QED2 + &
                        coupl(nGC_1449)*dvev2_QED1
      coupl(nGC_2337) = coupl(nGC_1283)*db_QED2 + coupl(nGC_1284)*dvev1_QED1 + &
                        coupl(nGC_1285)*dcw_QED2 + coupl(nGC_1286)*dZee_QED2 + &
                        coupl(nGC_1287)*dvev2_QED1
      coupl(nGC_2334) = coupl(nGC_1379)*db_QED2 + coupl(nGC_1380)*dZee_QED2 +  &
                        coupl(nGC_1381)*dcw_QED2 + coupl(nGC_1382)*da_QED2
      coupl(nGC_2888) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_2330) + coupl( &
                        nGC_96)*dZZ_QED2/2d0
      coupl(nGC_2889) = coupl(nGC_96)*dZGMinus
      coupl(nGC_2338) = coupl(nGC_1330)*dZee_QED2 + coupl(nGC_1331)*dcw_QED2
      coupl(nGC_3205) = coupl(nGC_2319) + coupl(nGC_64)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_64)*dZHh_QED2/2d0 + coupl(nGC_64)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHlHh_QED2/2d0 -    &
                        coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3206) = -coupl(nGC_2322) - coupl(nGC_63)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_63)*dZHh_QED2/2d0 - coupl(nGC_63)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_68)*dZGMinusHMinus_QED2/ &
                        2d0 - coupl(nGC_69)*dZHlHh_QED2/2d0
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3115) = coupl(nGC_98)*dZGMinus/2d0
      coupl(nGC_3114) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3117) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_3110) = -coupl(nGC_94)*dZG0/2d0
      coupl(nGC_3112) = -coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3119) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_3118) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_2350) + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZuR_QED2
      coupl(nGC_2428) = coupl(nGC_1110)*dye2_QED3 + coupl(nGC_1111)*da_QED2 +  &
                        coupl(nGC_1112)*dye1_QED3
      coupl(nGC_2429) = coupl(nGC_1149)*da_QED2 + coupl(nGC_1150)*dym1_QED3 +  &
                        coupl(nGC_1151)*dym2_QED3
      coupl(nGC_2425) = coupl(nGC_1155)*db_QED2 + coupl(nGC_1156)*dym1_QED3 +  &
                        coupl(nGC_1157)*dym2_QED3
      coupl(nGC_2422) = coupl(nGC_1134)*dye2_QED3 + coupl(nGC_1135)*db_QED2 +  &
                        coupl(nGC_1136)*dye1_QED3
      coupl(nGC_2423) = coupl(nGC_1125)*dye2_QED3 + coupl(nGC_1126)*db_QED2 +  &
                        coupl(nGC_1127)*dye1_QED3
      coupl(nGC_2420) = coupl(nGC_1140)*db_QED2 + coupl(nGC_1141)*dym1_QED3 +  &
                        coupl(nGC_1142)*dym2_QED3
      coupl(nGC_2421) = coupl(nGC_1259)*db_QED2 + coupl(nGC_1260)*dytau2_QED3  &
                         + coupl(nGC_1261)*dytau1_QED3
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3060) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3064) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_3067) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_2325) = coupl(nGC_868)*dsw_QED2 + coupl(nGC_869)*da_QED2 +     &
                        coupl(nGC_870)*dvev1_QED1 + coupl(nGC_871)*dvev2_QED1  &
                         + coupl(nGC_872)*dZee_QED2
      coupl(nGC_2951) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2892) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_2326) = coupl(nGC_863)*dsw_QED2 + coupl(nGC_864)*da_QED2 +     &
                        coupl(nGC_865)*dvev1_QED1 + coupl(nGC_866)*dvev2_QED1  &
                         + coupl(nGC_867)*dZee_QED2
      coupl(nGC_1769) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1764) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) + 4d0*   &
                        coupl(nGC_615)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_80)**&
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1765) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1766) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) + 4d0*   &
                        coupl(nGC_615)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_80)**&
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1767) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1760) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1761) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1762) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) + 4d0*   &
                        coupl(nGC_615)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_80)**&
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_2323) = coupl(nGC_1305)*dZee_QED2 + coupl(nGC_1306)*dsw_QED2
      coupl(nGC_3236) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3230) = coupl(nGC_2241) + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_82)*dZWMinus_QED2 + coupl(nGC_82)*dZZ_QED2/2d0
      coupl(nGC_1698) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + 4d0*coupl(nGC_154)*coupl(   &
                        nGC_158) + 4d0*coupl(nGC_162)*coupl(nGC_166) + 4d0*    &
                        coupl(nGC_185)*coupl(nGC_189) + coupl(nGC_629)*coupl(  &
                        nGC_639) + coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_633 &
                        )*coupl(nGC_639) + coupl(nGC_64)*coupl(nGC_68))/(192d0*&
                        pi**2d0)
      coupl(nGC_1699) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_629)*coupl(nGC_639) - cMHH**2d0*coupl(nGC_64)*coupl&
                        (nGC_68) - cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - cMHL&
                        **2d0*coupl(nGC_633)*coupl(nGC_639) - 4d0*cMM**2d0*    &
                        coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0*coupl(   &
                        nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(nGC_629)*coupl&
                        (nGC_639) - cMW**2d0*coupl(nGC_63)*coupl(nGC_68) - cMW &
                        **2d0*coupl(nGC_633)*coupl(nGC_639) - cMW**2d0*coupl(  &
                        nGC_64)*coupl(nGC_68) + 8d0*coupl(nGC_102)*coupl(      &
                        nGC_107) + 8d0*coupl(nGC_126)*coupl(nGC_127))/(64d0*pi &
                        **2d0)
      coupl(nGC_1690) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1691) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1692) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1693) = cMS*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1694) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1695) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1988) = -coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1989) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_175) + coupl(nGC_131&
                        )*coupl(nGC_135)*coupl(nGC_170) + coupl(nGC_134)*coupl(&
                        nGC_135)*coupl(nGC_174) + coupl(nGC_169)**2d0*coupl(   &
                        nGC_176) + coupl(nGC_169)*coupl(nGC_653)*coupl(nGC_87  &
                        ) + coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) + coupl(&
                        nGC_171)**2d0*coupl(nGC_176) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_176) + coupl(nGC_173)*coupl(nGC_619)*coupl(  &
                        nGC_87) + coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) + &
                        coupl(nGC_174)*coupl(nGC_609)*coupl(nGC_80) + coupl(   &
                        nGC_175)**2d0*coupl(nGC_176) - 8d0*coupl(nGC_175)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1984) = -coupl(nGC_148)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1987) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_176) + coupl(nGC_131&
                        )*coupl(nGC_136)*coupl(nGC_170) + coupl(nGC_134)*coupl(&
                        nGC_136)*coupl(nGC_174) + coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) + coupl(nGC_169)*coupl(nGC_653)*coupl(nGC_84  &
                        ) + coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) + coupl(&
                        nGC_172)**2d0*coupl(nGC_175) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) + coupl(nGC_173)*coupl(nGC_619)*coupl(  &
                        nGC_84) + coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) + &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) + coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 - 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_1980) = -coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1981) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_149) + coupl(nGC_145&
                        )**2d0*coupl(nGC_149) + coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) + coupl(nGC_146)*coupl(nGC_64)*coupl(   &
                        nGC_80) + coupl(nGC_148)**2d0*coupl(nGC_149) + coupl(  &
                        nGC_148)*coupl(nGC_651)*coupl(nGC_87) + coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_92) + coupl(nGC_149)**3d0 +    &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 - 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) + coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) + coupl(nGC_150)*coupl(nGC_649 &
                        )*coupl(nGC_80) + coupl(nGC_152)*coupl(nGC_619)*coupl( &
                        nGC_87) + coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1982) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_149) + coupl(nGC_145&
                        )**2d0*coupl(nGC_149) + coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) + coupl(nGC_146)*coupl(nGC_633)*coupl(  &
                        nGC_80) + coupl(nGC_147)**2d0*coupl(nGC_149) + coupl(  &
                        nGC_147)*coupl(nGC_651)*coupl(nGC_84) + coupl(nGC_147)*&
                        coupl(nGC_87)*coupl(nGC_92) + coupl(nGC_149)**3d0 +    &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 - 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) + coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) + coupl(nGC_150)*coupl(nGC_68)*&
                        coupl(nGC_80) + coupl(nGC_151)*coupl(nGC_619)*coupl(   &
                        nGC_84) + coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1983) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_148) + coupl(nGC_145&
                        )**2d0*coupl(nGC_147) + coupl(nGC_145)*coupl(nGC_619)* &
                        coupl(nGC_84) + coupl(nGC_145)*coupl(nGC_87)*coupl(    &
                        nGC_94) + coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_194  &
                        ) + coupl(nGC_146)*coupl(nGC_72)*coupl(nGC_80) + coupl(&
                        nGC_147)*coupl(nGC_148)**2d0 + coupl(nGC_147)*coupl(   &
                        nGC_149)**2d0 + coupl(nGC_147)*coupl(nGC_152)**2d0 -   &
                        8d0*coupl(nGC_148)*coupl(nGC_84)*coupl(nGC_87) + coupl(&
                        nGC_149)*coupl(nGC_651)*coupl(nGC_84) + coupl(nGC_149)*&
                        coupl(nGC_87)*coupl(nGC_92) + coupl(nGC_150)*coupl(    &
                        nGC_194)*coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_2710) = coupl(nGC_147)*dZHa_QED2/2d0 + coupl(nGC_147)*dZdL_QED2&
                        /2d0 + coupl(nGC_147)*dZdR_QED2/2d0 + coupl(nGC_151)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2406)
      coupl(nGC_2711) = coupl(nGC_147)*dZdL_QCD2/2d0 + coupl(nGC_147)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2407)
      coupl(nGC_2712) = coupl(nGC_148)*dZHa_QED2/2d0 + coupl(nGC_148)*dZdL_QED2&
                        /2d0 + coupl(nGC_148)*dZdR_QED2/2d0 + coupl(nGC_152)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2404)
      coupl(nGC_1675) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_89)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2713) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2405)
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1677) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_2187) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) + 12d0*cima*coupl(nGC_14 &
                        )*coupl(nGC_15) + 20d0*cima*coupl(nGC_153)*coupl(      &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*    &
                        coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(   &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) - 5d0*cima*coupl&
                        (nGC_17)**2d0*coupl(nGC_629)*coupl(nGC_633) - 5d0*cima*&
                        coupl(nGC_17)**2d0*coupl(nGC_649)**2d0 + 20d0*cima*    &
                        coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_188)*coupl(    &
                        nGC_189) - 5d0*cima*coupl(nGC_609)*coupl(nGC_619)*coupl&
                        (nGC_72)*coupl(nGC_94) - 5d0*cima*coupl(nGC_609)*coupl(&
                        nGC_635)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_609)*coupl(nGC_649)*coupl(nGC_94)*coupl(nGC_96) -  &
                        5d0*cima*coupl(nGC_609)*coupl(nGC_653)*coupl(nGC_72)*  &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_629)*coupl(nGC_63)* &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_629)* &
                        coupl(nGC_633)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(    &
                        nGC_629)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) -   &
                        5d0*cima*coupl(nGC_629)*coupl(nGC_651)*coupl(nGC_72)*  &
                        coupl(nGC_96) - 5d0*cima*coupl(nGC_63)**2d0*coupl(     &
                        nGC_649)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_633)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_63)*coupl(nGC_635)*coupl(nGC_653)*coupl(nGC_72) -  &
                        10d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_649)*  &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_633)*coupl(nGC_64)* &
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_64)** &
                        2d0*coupl(nGC_649)*coupl(nGC_69) - 5d0*cima*coupl(     &
                        nGC_649)**2d0*coupl(nGC_96)**2d0 + 12d0*cima*coupl(    &
                        nGC_65)*coupl(nGC_66) + 12d0*cima*coupl(nGC_70)**2d0 + &
                        3d0*coupl(nGC_10)*coupl(nGC_633)*coupl(nGC_649) + 3d0* &
                        coupl(nGC_13)*coupl(nGC_629)*coupl(nGC_633) + 3d0*coupl&
                        (nGC_13)*coupl(nGC_649)**2d0 - 3d0*coupl(nGC_14)*coupl(&
                        nGC_609)*coupl(nGC_92) - 3d0*coupl(nGC_14)*coupl(      &
                        nGC_633)*coupl(nGC_96) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_629)*coupl(nGC_96) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_653)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_609)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(      &
                        nGC_619)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_649)*coupl(nGC_96) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_36) - 3d0*coupl(nGC_17)*coupl(nGC_629)*coupl(nGC_66&
                        ) - 3d0*coupl(nGC_17)*coupl(nGC_633)*coupl(nGC_65) -   &
                        6d0*coupl(nGC_17)*coupl(nGC_649)*coupl(nGC_70) + 3d0*  &
                        coupl(nGC_22)*coupl(nGC_633)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_22)*coupl(nGC_64)*coupl(nGC_649) + 3d0*coupl(nGC_23&
                        )*coupl(nGC_629)*coupl(nGC_69) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_63)*coupl(nGC_649) + 3d0*coupl(nGC_24)*coupl(&
                        nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_30)*coupl(nGC_633)*coupl(nGC_64) +   &
                        3d0*coupl(nGC_32)*coupl(nGC_629)*coupl(nGC_63) + 3d0*  &
                        coupl(nGC_34)*coupl(nGC_649)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_35)*coupl(nGC_649)*coupl(nGC_69) + 6d0*coupl(nGC_36&
                        )*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl&
                        (nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_96&
                        )**2d0 + 3d0*coupl(nGC_37)*coupl(nGC_609)*coupl(nGC_72 &
                        ) + 3d0*coupl(nGC_41)*coupl(nGC_609)*coupl(nGC_63) +   &
                        3d0*coupl(nGC_41)*coupl(nGC_635)*coupl(nGC_651) + 3d0* &
                        coupl(nGC_41)*coupl(nGC_635)*coupl(nGC_653) + 3d0*coupl&
                        (nGC_41)*coupl(nGC_635)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_41)*coupl(nGC_635)*coupl(nGC_92) + 3d0*coupl(nGC_41&
                        )*coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl&
                        (nGC_651)*coupl(nGC_94) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_619)*coupl(nGC_91) + 3d0*coupl(nGC_44)*coupl(nGC_63&
                        )*coupl(nGC_639) + 3d0*coupl(nGC_44)*coupl(nGC_64)*    &
                        coupl(nGC_649) + 3d0*coupl(nGC_45)*coupl(nGC_63)*coupl(&
                        nGC_649) + 3d0*coupl(nGC_45)*coupl(nGC_639)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_48)*coupl(nGC_609)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_619)*coupl(nGC_635) +  &
                        3d0*coupl(nGC_48)*coupl(nGC_635)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_619)*coupl(nGC_635) + 3d0*coupl&
                        (nGC_49)*coupl(nGC_635)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_57 &
                        )*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_57)*coupl&
                        (nGC_649)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_619)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_58)*coupl(nGC_651)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 3d0*coupl(nGC_60)*coupl(nGC_639)**2d0 + 3d0*coupl( &
                        nGC_629)*coupl(nGC_649)*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_2186) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl&
                        (nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(&
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima* &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(    &
                        nGC_193) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)* &
                        coupl(nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*&
                        coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_177)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_193)*coupl(nGC_196  &
                        ) + 24d0*cima*coupl(nGC_14)*coupl(nGC_16) + 20d0*cima* &
                        coupl(nGC_153)**2d0*coupl(nGC_154)*coupl(nGC_158) +    &
                        20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_162)*coupl(    &
                        nGC_166) - 10d0*cima*coupl(nGC_17)**2d0*coupl(nGC_629)*&
                        coupl(nGC_649) + 20d0*cima*coupl(nGC_184)**2d0*coupl(  &
                        nGC_185)*coupl(nGC_189) - 5d0*cima*coupl(nGC_609)*coupl&
                        (nGC_635)*coupl(nGC_64)*coupl(nGC_94) - 5d0*cima*coupl(&
                        nGC_609)*coupl(nGC_649)*coupl(nGC_91)*coupl(nGC_96) -  &
                        10d0*cima*coupl(nGC_609)*coupl(nGC_653)*coupl(nGC_72)* &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_619)*coupl(nGC_629)*&
                        coupl(nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(nGC_629)*&
                        coupl(nGC_63)**2d0*coupl(nGC_69) - 10d0*cima*coupl(    &
                        nGC_629)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) -   &
                        10d0*cima*coupl(nGC_629)*coupl(nGC_649)*coupl(nGC_96)**&
                        2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_649)*coupl(    &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_635)*coupl( &
                        nGC_653)*coupl(nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(&
                        nGC_64)*coupl(nGC_649)*coupl(nGC_68)*coupl(nGC_69) +   &
                        24d0*cima*coupl(nGC_65)*coupl(nGC_70) + 3d0*coupl(     &
                        nGC_11)*coupl(nGC_629)*coupl(nGC_649) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_633)*coupl(nGC_649) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_609)*coupl(nGC_94) - 6d0*coupl(nGC_14&
                        )*coupl(nGC_649)*coupl(nGC_96) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_629)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(&
                        nGC_653)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_24) - 6d0*coupl(nGC_17)*coupl(nGC_629)*coupl(nGC_70&
                        ) - 6d0*coupl(nGC_17)*coupl(nGC_649)*coupl(nGC_65) +   &
                        6d0*coupl(nGC_22)*coupl(nGC_649)*coupl(nGC_69) + 6d0*  &
                        coupl(nGC_23)*coupl(nGC_629)*coupl(nGC_63) + 6d0*coupl(&
                        nGC_24)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_24 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_24)*coupl&
                        (nGC_96)**2d0 + 3d0*coupl(nGC_28)*coupl(nGC_609)*coupl(&
                        nGC_72) + 6d0*coupl(nGC_30)*coupl(nGC_64)*coupl(nGC_649&
                        ) + 6d0*coupl(nGC_35)*coupl(nGC_629)*coupl(nGC_69) +   &
                        6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_68) + 6d0*   &
                        coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_69) + 6d0*coupl( &
                        nGC_41)*coupl(nGC_619)*coupl(nGC_635) + 6d0*coupl(     &
                        nGC_41)*coupl(nGC_635)*coupl(nGC_94) + 6d0*coupl(nGC_41&
                        )*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl&
                        (nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_653)*coupl(nGC_91) + 3d0*coupl(nGC_44)*coupl(      &
                        nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_44)*coupl(      &
                        nGC_649)*coupl(nGC_68) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_629)*coupl(nGC_63) + 3d0*coupl(nGC_45)*coupl(      &
                        nGC_633)*coupl(nGC_64) + 6d0*coupl(nGC_48)*coupl(      &
                        nGC_609)*coupl(nGC_63) + 6d0*coupl(nGC_48)*coupl(      &
                        nGC_635)*coupl(nGC_653) + 6d0*coupl(nGC_48)*coupl(     &
                        nGC_635)*coupl(nGC_91) + 3d0*coupl(nGC_57)*coupl(      &
                        nGC_629)*coupl(nGC_649) + 3d0*coupl(nGC_57)*coupl(     &
                        nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl(nGC_619&
                        )*coupl(nGC_91) + 3d0*coupl(nGC_58)*coupl(nGC_653)*    &
                        coupl(nGC_94) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl( &
                        nGC_68) + 3d0*coupl(nGC_60)*coupl(nGC_633)*coupl(      &
                        nGC_639) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69&
                        ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_629)*coupl(nGC_633)*coupl(nGC_9) + 3d0*coupl&
                        (nGC_649)**2d0*coupl(nGC_9))/(96d0*pi**2d0)
      coupl(nGC_2637) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*       &
                        dZHh_QED2/2d0 + coupl(nGC_165)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_165)*dZmuMinusR_QED2/2d0 + coupl(nGC_2429)
      coupl(nGC_2636) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_2634) = -coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_2633) = -coupl(nGC_2319) - coupl(nGC_64)*dZHl_QED2/2d0 - coupl(&
                        nGC_64)*dZWMinus_QED2/2d0 + coupl(nGC_68)*             &
                        dZHMinusGMinus_QED2/2d0 - coupl(nGC_69)*dZHhHl_QED2/2d0
      coupl(nGC_2632) = coupl(nGC_14)*dZHl_QED2/2d0 + coupl(nGC_14)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(&
                        nGC_16)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_2334) + coupl(nGC_65)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2631) = coupl(nGC_14)*dZGMinus/2d0
      coupl(nGC_2630) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3107) = -coupl(nGC_2328) - coupl(nGC_91)*dZG0Ha_QED2/2d0 -     &
                        coupl(nGC_92)*dZHhHl_QED2/2d0 - coupl(nGC_94)*dZHa_QED2&
                        /2d0 - coupl(nGC_94)*dZHl_QED2/2d0 - coupl(nGC_94)*    &
                        dZZ_QED2/2d0
      coupl(nGC_3108) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_3109) = -coupl(nGC_2328) - coupl(nGC_91)*dZHlHh_QED2/2d0 -     &
                        coupl(nGC_92)*dZHaG0_QED2/2d0 - coupl(nGC_94)*dZHh_QED2&
                        /2d0 - coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_2988) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*     &
                        dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl(  &
                        nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2376)
      coupl(nGC_2459) = coupl(nGC_1550)*dyup1_QED1_QCD2 + coupl(nGC_1552)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2458) = coupl(nGC_1550)*dyup1_QED3 + coupl(nGC_1551)*da_QED2 + &
                        coupl(nGC_1552)*dyup2_QED3
      coupl(nGC_2453) = coupl(nGC_1307)*dyup1_QED1_QCD2 + coupl(nGC_1309)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2452) = coupl(nGC_1307)*dyup1_QED3 + coupl(nGC_1308)*da_QED2 + &
                        coupl(nGC_1309)*dyup2_QED3
      coupl(nGC_2451) = coupl(nGC_425)*dyt1_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2450) = coupl(nGC_423)*db_QED2 + coupl(nGC_425)*dyt1_QED3 +    &
                        coupl(nGC_427)*dyt2_QED3
      coupl(nGC_2457) = coupl(nGC_1108)*dyt1_QED1_QCD2 + coupl(nGC_1109)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2456) = coupl(nGC_1107)*da_QED2 + coupl(nGC_1108)*dyt1_QED3 +  &
                        coupl(nGC_1109)*dyt2_QED3
      coupl(nGC_2455) = coupl(nGC_991)*dyc1_QED1_QCD2 + coupl(nGC_992)*        &
                        dyc2_QED1_QCD2
      coupl(nGC_2454) = coupl(nGC_991)*dyc1_QED3 + coupl(nGC_992)*dyc2_QED3 +  &
                        coupl(nGC_993)*da_QED2
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3217) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_3214) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3215) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3212) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_3213) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3218) = coupl(nGC_2347) + coupl(nGC_7)*dZbL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_3219) = coupl(nGC_7)*dZbL_QED2
      coupl(nGC_3078) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3075) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_3072) = -coupl(nGC_2241) - coupl(nGC_3)*dZAZ_QED2/2d0 - coupl( &
                        nGC_82)*dZZ_QED2/2d0
      coupl(nGC_3073) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3070) = -coupl(nGC_2319) - coupl(nGC_64)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_64)*dZHh_QED2/2d0 - coupl(nGC_64)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_68)*dZHlHh_QED2/2d0 +    &
                        coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3071) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_2856) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2855) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2854) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2853) = coupl(nGC_2322) + coupl(nGC_63)*dZHl_QED2/2d0 + coupl( &
                        nGC_63)*dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/ &
                        2d0 - coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_2859) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_2309) + coupl(nGC_97&
                        )*dZZA_QED2
      coupl(nGC_2858) = coupl(nGC_18)*dZGMinus
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3120) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2351) + coupl(  &
                        nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZdL_QED2
      coupl(nGC_3121) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_1679) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1759) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1758) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_613) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_615&
                        )*coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_615)*coupl(nGC_69   &
                        ) - coupl(nGC_125)*coupl(nGC_615)*coupl(nGC_63) + 6d0* &
                        coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_615) - coupl(    &
                        nGC_128)*coupl(nGC_615)*coupl(nGC_649) - coupl(nGC_129 &
                        )*coupl(nGC_615)*coupl(nGC_633))/(32d0*pi**2d0)
      coupl(nGC_1757) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_613) - coupl(nGC_107)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl(nGC_615&
                        )*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_615)*coupl(nGC_633  &
                        ) - coupl(nGC_125)*coupl(nGC_615)*coupl(nGC_639) + 6d0*&
                        coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_615) - coupl(    &
                        nGC_128)*coupl(nGC_615)*coupl(nGC_63) - coupl(nGC_129)*&
                        coupl(nGC_615)*coupl(nGC_68))/(32d0*pi**2d0)
      coupl(nGC_3209) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_1928) = -coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1926) = -coupl(nGC_132)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1915) = -(coupl(nGC_130)**2d0*coupl(nGC_135) + coupl(nGC_130)* &
                        coupl(nGC_653)*coupl(nGC_88) + coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_91) + coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) + coupl(nGC_132)**2d0*coupl(nGC_135) +  &
                        coupl(nGC_133)**2d0*coupl(nGC_135) + coupl(nGC_133)*   &
                        coupl(nGC_619)*coupl(nGC_88) + coupl(nGC_133)*coupl(   &
                        nGC_85)*coupl(nGC_94) + coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176) + coupl(nGC_134)*coupl(nGC_609)*coupl(  &
                        nGC_80) + coupl(nGC_135)*coupl(nGC_136)**2d0 - 8d0*    &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1920) = -coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2251) = coupl(nGC_1235)*db_QED2 + coupl(nGC_1236)*dl3_QED4 +   &
                        coupl(nGC_1237)*dl2_QED4 + coupl(nGC_1238)*dl1_QED4 +  &
                        coupl(nGC_1239)*dl4_QED4 + coupl(nGC_1240)*dl5_QED4
      coupl(nGC_2250) = coupl(nGC_1373)*dl3_QED4 + coupl(nGC_1374)*dl2_QED4 +  &
                        coupl(nGC_1375)*dl1_QED4 + coupl(nGC_1376)*dl4_QED4 +  &
                        coupl(nGC_1377)*dl5_QED4 + coupl(nGC_1378)*da_QED2
      coupl(nGC_2252) = coupl(nGC_1519)*db_QED2 + coupl(nGC_1520)*dl3_QED4 +   &
                        coupl(nGC_1521)*dl2_QED4 + coupl(nGC_1522)*dl1_QED4 +  &
                        coupl(nGC_1523)*dl4_QED4 + coupl(nGC_1524)*dl5_QED4 +  &
                        coupl(nGC_1525)*da_QED2
      coupl(nGC_2255) = coupl(nGC_1474)*db_QED2 + coupl(nGC_1475)*dl3_QED4 +   &
                        coupl(nGC_1476)*dl2_QED4 + coupl(nGC_1477)*dl1_QED4 +  &
                        coupl(nGC_1478)*dl4_QED4 + coupl(nGC_1479)*dl5_QED4 +  &
                        coupl(nGC_1480)*da_QED2
      coupl(nGC_2254) = coupl(nGC_1205)*db_QED2 + coupl(nGC_1206)*dl3_QED4 +   &
                        coupl(nGC_1207)*dl2_QED4 + coupl(nGC_1208)*dl1_QED4 +  &
                        coupl(nGC_1209)*dl4_QED4 + coupl(nGC_1210)*dl5_QED4
      coupl(nGC_2257) = coupl(nGC_1291)*db_QED2 + coupl(nGC_1292)*dl3_QED4 +   &
                        coupl(nGC_1293)*dl2_QED4 + coupl(nGC_1294)*dl1_QED4 +  &
                        coupl(nGC_1295)*dl4_QED4 + coupl(nGC_1296)*dl5_QED4
      coupl(nGC_2256) = coupl(nGC_1214)*db_QED2 + coupl(nGC_1215)*dl3_QED4 +   &
                        coupl(nGC_1216)*dl2_QED4 + coupl(nGC_1217)*dl1_QED4 +  &
                        coupl(nGC_1218)*dl4_QED4 + coupl(nGC_1219)*dl5_QED4
      coupl(nGC_2259) = coupl(nGC_1576)*db_QED2 + coupl(nGC_1577)*dl3_QED4 +   &
                        coupl(nGC_1578)*dl2_QED4 + coupl(nGC_1579)*dl1_QED4 +  &
                        coupl(nGC_1580)*dl4_QED4 + coupl(nGC_1581)*dl5_QED4 +  &
                        coupl(nGC_1582)*da_QED2
      coupl(nGC_2258) = coupl(nGC_1265)*db_QED2 + coupl(nGC_1266)*dl3_QED4 +   &
                        coupl(nGC_1267)*dl2_QED4 + coupl(nGC_1268)*dl1_QED4 +  &
                        coupl(nGC_1269)*dl4_QED4 + coupl(nGC_1270)*dl5_QED4
      coupl(nGC_2701) = coupl(nGC_2323) + coupl(nGC_62)*dZHMinus_QED2 + coupl( &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_2700) = coupl(nGC_2243) - coupl(nGC_5)*dZAZ_QED2 - coupl(nGC_79&
                        )*dZZA_QED2 + coupl(nGC_83)*dZA_QED2/2d0 + coupl(nGC_83&
                        )*dZWMinus_QED2 + coupl(nGC_83)*dZZ_QED2/2d0
      coupl(nGC_3043) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_2001) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_140) + coupl(nGC_137&
                        )**2d0*coupl(nGC_139) + coupl(nGC_137)*coupl(nGC_619)* &
                        coupl(nGC_84) + coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) + coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) + coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) + coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 + coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 + coupl(nGC_139)*coupl(nGC_143)**2d0 -   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) + coupl(&
                        nGC_141)*coupl(nGC_653)*coupl(nGC_84) + coupl(nGC_141)*&
                        coupl(nGC_87)*coupl(nGC_91) + coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2387) = coupl(nGC_858)*dyd12x2_QED1_QCD2 + coupl(nGC_859)*     &
                        dys2_QED1_QCD2
      coupl(nGC_2386) = coupl(nGC_857)*db_QED2 + coupl(nGC_858)*dyd12x2_QED3 + &
                        coupl(nGC_859)*dys2_QED3
      coupl(nGC_2385) = coupl(nGC_971)*dyd12x2_QED1_QCD2 + coupl(nGC_972)*     &
                        dys2_QED1_QCD2
      coupl(nGC_2384) = coupl(nGC_970)*db_QED2 + coupl(nGC_971)*dyd12x2_QED3 + &
                        coupl(nGC_972)*dys2_QED3
      coupl(nGC_3252) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3253) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3250) = coupl(nGC_2601) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_169_Hl) + coupl&
                        (nGC_TS_GC_173_Hh)
      coupl(nGC_2388) = coupl(nGC_1041)*db_QED2 + coupl(nGC_1042)*dyd13x3_QED3 &
                         + coupl(nGC_1043)*dyb2_QED3
      coupl(nGC_3257) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2005) = -coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3032) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1986) = -coupl(nGC_147)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3030) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_3031) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_3037) = -coupl(nGC_2329) - coupl(nGC_91)*dZHl_QED2/2d0 - coupl(&
                        nGC_91)*dZZ_QED2/2d0 - coupl(nGC_94)*dZHaG0_QED2/2d0 - &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_1922) = -(coupl(nGC_130)**2d0*coupl(nGC_133) + coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) + coupl(nGC_131)*coupl(  &
                        nGC_629)*coupl(nGC_80) + coupl(nGC_132)**2d0*coupl(    &
                        nGC_133) + coupl(nGC_132)*coupl(nGC_651)*coupl(nGC_85  &
                        ) + coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) + coupl(&
                        nGC_133)**3d0 + coupl(nGC_133)*coupl(nGC_136)**2d0 -   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 - 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) + coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) + coupl(nGC_136)*coupl(nGC_619)* &
                        coupl(nGC_85) + coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_3039) = coupl(nGC_2328) + coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_92)*dZHhHl_QED2/2d0 + coupl(nGC_94)*dZHa_QED2/2d0 &
                         + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(nGC_94)*dZZ_QED2&
                        /2d0
      coupl(nGC_2953) = coupl(nGC_185)*dZHMinus_QED2/2d0 + coupl(nGC_185)*     &
                        dZnu_tauL_QED2/2d0 + coupl(nGC_185)*dZtauMinusR_QED2/  &
                        2d0 + coupl(nGC_189)*dZGMinusHMinus_QED2/2d0 + coupl(  &
                        nGC_2421)
      coupl(nGC_3138) = coupl(nGC_2597) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_177_Hl) + coupl&
                        (nGC_TS_GC_180_Hh)
      coupl(nGC_1804) = (4d0*Nc*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_609) - 4d0*coupl(      &
                        nGC_189)*coupl(nGC_190)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(      &
                        nGC_615)*coupl(nGC_619)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_615)*coupl(nGC_63)*coupl(nGC_653) + coupl(nGC_63)* &
                        coupl(nGC_635)*coupl(nGC_91) + coupl(nGC_633)**2d0*    &
                        coupl(nGC_72) + coupl(nGC_635)*coupl(nGC_68)*coupl(    &
                        nGC_94) + coupl(nGC_639)**2d0*coupl(nGC_72) + coupl(   &
                        nGC_72)**3d0)/(96d0*pi**2d0)
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2408) = coupl(nGC_1180)*db_QED2 + coupl(nGC_1181)*dyd12x2_QED3 &
                         + coupl(nGC_1182)*dys2_QED3
      coupl(nGC_2409) = coupl(nGC_1181)*dyd12x2_QED1_QCD2 + coupl(nGC_1182)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3134) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_2350) + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2
      coupl(nGC_2318) = coupl(nGC_1348)*dZee_QED2 + coupl(nGC_1349)*da_QED2 +  &
                        coupl(nGC_1350)*dsw_QED2 + coupl(nGC_1351)*db_QED2
      coupl(nGC_TS_GC_112_Hh) = -coupl(nGC_112)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2818) = coupl(nGC_2261) + coupl(nGC_23)*dZHhHl_QED2 + coupl(   &
                        nGC_24)*dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2
      coupl(nGC_2790) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_2791) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_2792) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_2793) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_2813) = coupl(nGC_2247) + 2d0*coupl(nGC_45)*dZHMinusGMinus_QED2
      coupl(nGC_2812) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_2817) = coupl(nGC_35)*dZGMinus
      coupl(nGC_2815) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_2750) = coupl(nGC_116)*dZGMinus
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1847) = (coupl(nGC_153)*coupl(nGC_69)*coupl(nGC_80) + coupl(   &
                        nGC_154)*coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_154)*  &
                        coupl(nGC_635)*coupl(nGC_90) + 8d0*coupl(nGC_154)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_154)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_156)*coupl(nGC_72)*coupl(    &
                        nGC_80) + coupl(nGC_157)*coupl(nGC_63)*coupl(nGC_80))/(&
                        32d0*pi**2d0)
      coupl(nGC_2311) = coupl(nGC_1365)*dZee_QED2 + coupl(nGC_1366)*dsw_QED2
      coupl(nGC_2312) = coupl(nGC_1352)*dZee_QED2 + coupl(nGC_1353)*da_QED2 +  &
                        coupl(nGC_1354)*dsw_QED2 + coupl(nGC_1355)*db_QED2
      coupl(nGC_2924) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2389)
      coupl(nGC_2923) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*dZbR_QED2&
                        /2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl(nGC_2388)
      coupl(nGC_2922) = coupl(nGC_139)*dZG0/2d0
      coupl(nGC_2929) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_2928) = coupl(nGC_2254) + coupl(nGC_42)*dZG0Ha_QED2 + coupl(   &
                        nGC_42)*dZGMinusHMinus_QED2 + coupl(nGC_50)*           &
                        dZHMinus_QED2 + coupl(nGC_50)*dZHa_QED2
      coupl(nGC_1846) = (coupl(nGC_153)*coupl(nGC_633)*coupl(nGC_80) + coupl(  &
                        nGC_157)*coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_158)*&
                        coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_158)*coupl(     &
                        nGC_635)*coupl(nGC_90) + 8d0*coupl(nGC_158)*coupl(     &
                        nGC_86)*coupl(nGC_90) + coupl(nGC_158)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_160)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_1966) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2317) = coupl(nGC_1356)*dZee_QED2 + coupl(nGC_1357)*dsw_QED2
      coupl(nGC_2108) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_609)**2d0*coupl(nGC_619)*coupl(nGC_64) + 4d0*cima* &
                        coupl(nGC_609)**2d0*coupl(nGC_629)*coupl(nGC_94) + 4d0*&
                        cima*coupl(nGC_609)**2d0*coupl(nGC_639)*coupl(nGC_91   &
                        ) + 4d0*cima*coupl(nGC_609)**2d0*coupl(nGC_651)*coupl( &
                        nGC_69) + 4d0*cima*coupl(nGC_609)*coupl(nGC_91)*coupl( &
                        nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_609)*coupl( &
                        nGC_92)*coupl(nGC_94)*coupl(nGC_96) + 9d0*cima*coupl(  &
                        nGC_615)*coupl(nGC_64)*coupl(nGC_82)*coupl(nGC_94) +   &
                        9d0*cima*coupl(nGC_615)*coupl(nGC_68)*coupl(nGC_82)*   &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_619)*coupl(nGC_635)*&
                        coupl(nGC_64)*coupl(nGC_96) + 4d0*cima*coupl(nGC_629)* &
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*  &
                        coupl(nGC_635)*coupl(nGC_653)*coupl(nGC_68)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_649)*coupl( &
                        nGC_72)*coupl(nGC_96) + 6d0*coupl(nGC_14)*coupl(nGC_609&
                        )*coupl(nGC_639) - 6d0*coupl(nGC_15)*coupl(nGC_615)*   &
                        coupl(nGC_94) + 6d0*coupl(nGC_15)*coupl(nGC_619)*coupl(&
                        nGC_635) + 6d0*coupl(nGC_16)*coupl(nGC_609)*coupl(     &
                        nGC_629) - 6d0*coupl(nGC_16)*coupl(nGC_615)*coupl(     &
                        nGC_91) + 6d0*coupl(nGC_16)*coupl(nGC_635)*coupl(      &
                        nGC_653) - 6d0*coupl(nGC_64)*coupl(nGC_79)*coupl(nGC_94&
                        ) - 6d0*coupl(nGC_68)*coupl(nGC_79)*coupl(nGC_91))/(   &
                        192d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1869) = -(coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_633)*coupl(nGC_80) + coupl(nGC_163)**2d0*    &
                        coupl(nGC_165) + coupl(nGC_163)*coupl(nGC_651)*coupl(  &
                        nGC_86) + coupl(nGC_163)*coupl(nGC_89)*coupl(nGC_92) + &
                        coupl(nGC_165)**3d0 + coupl(nGC_165)*coupl(nGC_167)**  &
                        2d0 - 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 - 8d0*coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_68)*coupl(nGC_80) + coupl(nGC_167)*coupl(    &
                        nGC_619)*coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1867) = -(coupl(nGC_161)**3d0 + coupl(nGC_161)*coupl(nGC_163)**&
                        2d0 + coupl(nGC_161)*coupl(nGC_165)**2d0 + coupl(      &
                        nGC_161)*coupl(nGC_167)**2d0 - 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_649)*coupl(nGC_80   &
                        ) + coupl(nGC_163)*coupl(nGC_619)*coupl(nGC_86) + coupl&
                        (nGC_163)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*&
                        coupl(nGC_63)*coupl(nGC_80) + coupl(nGC_167)*coupl(    &
                        nGC_653)*coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1866) = -(coupl(nGC_161)**3d0 + coupl(nGC_161)*coupl(nGC_164)**&
                        2d0 + coupl(nGC_161)*coupl(nGC_165)**2d0 + coupl(      &
                        nGC_161)*coupl(nGC_168)**2d0 - 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_68)*coupl(nGC_80) + &
                        coupl(nGC_164)*coupl(nGC_619)*coupl(nGC_89) + coupl(   &
                        nGC_164)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)* &
                        coupl(nGC_629)*coupl(nGC_80) + coupl(nGC_168)*coupl(   &
                        nGC_653)*coupl(nGC_89) + coupl(nGC_168)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1711) = cima*(-16d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141   &
                        ) - 16d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) -   &
                        16d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149) - 16d0* &
                        Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173) - 16d0*Nc*cMT&
                        **2d0*coupl(nGC_177)*coupl(nGC_180) - 16d0*Nc*cMU**2d0*&
                        coupl(nGC_192)*coupl(nGC_195) - 16d0*cME**2d0*coupl(   &
                        nGC_153)*coupl(nGC_157) - cMHA**2d0*coupl(nGC_619)*    &
                        coupl(nGC_92) - cMHA**2d0*coupl(nGC_651)*coupl(nGC_94  &
                        ) - cMHC**2d0*coupl(nGC_629)*coupl(nGC_69) - cMHC**2d0*&
                        coupl(nGC_63)*coupl(nGC_639) - cMHC**2d0*coupl(nGC_633 &
                        )*coupl(nGC_68) - cMHC**2d0*coupl(nGC_64)*coupl(nGC_649&
                        ) - 16d0*cMM**2d0*coupl(nGC_161)*coupl(nGC_165) - 16d0*&
                        cMTA**2d0*coupl(nGC_184)*coupl(nGC_188) - 2d0*cMW**2d0*&
                        coupl(nGC_629)*coupl(nGC_68) - cMW**2d0*coupl(nGC_629)*&
                        coupl(nGC_69) - cMW**2d0*coupl(nGC_63)*coupl(nGC_639   &
                        ) - 2d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_649) - cMW**  &
                        2d0*coupl(nGC_633)*coupl(nGC_68) - 2d0*cMW**2d0*coupl( &
                        nGC_633)*coupl(nGC_69) - 2d0*cMW**2d0*coupl(nGC_639)*  &
                        coupl(nGC_64) - cMW**2d0*coupl(nGC_64)*coupl(nGC_649   &
                        ) - 2d0*cMZ**2d0*coupl(nGC_619)*coupl(nGC_91) - cMZ**  &
                        2d0*coupl(nGC_619)*coupl(nGC_92) - cMZ**2d0*coupl(     &
                        nGC_651)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_653)*  &
                        coupl(nGC_94) + 8d0*coupl(nGC_124)*coupl(nGC_125) + 4d0&
                        *coupl(nGC_128)*coupl(nGC_129))/(64d0*pi**2d0)
      coupl(nGC_1710) = cima*(8d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*   &
                        coupl(nGC_137)*coupl(nGC_141) + 8d0*Nc*coupl(nGC_145)* &
                        coupl(nGC_149) + 8d0*Nc*coupl(nGC_169)*coupl(nGC_173   &
                        ) + 8d0*Nc*coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*coupl&
                        (nGC_192)*coupl(nGC_195) + 8d0*coupl(nGC_153)*coupl(   &
                        nGC_157) + 8d0*coupl(nGC_161)*coupl(nGC_165) + 8d0*    &
                        coupl(nGC_184)*coupl(nGC_188) + coupl(nGC_619)*coupl(  &
                        nGC_91) + coupl(nGC_619)*coupl(nGC_92) + coupl(nGC_629 &
                        )*coupl(nGC_68) + coupl(nGC_629)*coupl(nGC_69) + coupl(&
                        nGC_63)*coupl(nGC_639) + coupl(nGC_63)*coupl(nGC_649   &
                        ) + coupl(nGC_633)*coupl(nGC_68) + coupl(nGC_633)*coupl&
                        (nGC_69) + coupl(nGC_639)*coupl(nGC_64) + coupl(nGC_64 &
                        )*coupl(nGC_649) + coupl(nGC_651)*coupl(nGC_94) + coupl&
                        (nGC_653)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_1861) = -(coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_633)*coupl(nGC_80) + coupl(nGC_155)**2d0*    &
                        coupl(nGC_157) + coupl(nGC_155)*coupl(nGC_651)*coupl(  &
                        nGC_86) + coupl(nGC_155)*coupl(nGC_89)*coupl(nGC_92) + &
                        coupl(nGC_157)**3d0 + coupl(nGC_157)*coupl(nGC_159)**  &
                        2d0 - 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 - 8d0*coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_68)*coupl(nGC_80) + coupl(nGC_159)*coupl(    &
                        nGC_619)*coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1860) = -(coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_156)**2d0*coupl&
                        (nGC_157) + coupl(nGC_156)*coupl(nGC_651)*coupl(nGC_89 &
                        ) + coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_92) + coupl(&
                        nGC_157)**3d0 + coupl(nGC_157)*coupl(nGC_160)**2d0 -   &
                        8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_649)*coupl(nGC_80) + coupl(nGC_160)*coupl(   &
                        nGC_619)*coupl(nGC_89) + coupl(nGC_160)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
