!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_3180) = coupl(nGC_2594) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3111) = -coupl(nGC_2317) - coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_1794) = coupl(nGC_80)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_615)*coupl(nGC_90) - coupl(nGC_82)*coupl(nGC_89) + &
                        coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_12_Hh) = -coupl(nGC_12)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2035) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(  &
                        nGC_157)**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*&
                        coupl(nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl&
                        (nGC_111)*coupl(nGC_629)*coupl(nGC_639) + coupl(nGC_111&
                        )*coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_111)*coupl(  &
                        nGC_633)*coupl(nGC_649) + coupl(nGC_111)*coupl(nGC_64)*&
                        coupl(nGC_68) + coupl(nGC_112)*coupl(nGC_619)*coupl(   &
                        nGC_92) + coupl(nGC_112)*coupl(nGC_651)*coupl(nGC_94   &
                        ) + coupl(nGC_116)*coupl(nGC_639)*coupl(nGC_69) + coupl&
                        (nGC_116)*coupl(nGC_649)*coupl(nGC_68) + coupl(nGC_117 &
                        )*coupl(nGC_619)*coupl(nGC_94) + coupl(nGC_118)*coupl( &
                        nGC_629)*coupl(nGC_63) + coupl(nGC_118)*coupl(nGC_633)*&
                        coupl(nGC_64) + coupl(nGC_121)*coupl(nGC_651)*coupl(   &
                        nGC_92) - coupl(nGC_125)*coupl(nGC_629)*coupl(nGC_63   &
                        ) - coupl(nGC_125)*coupl(nGC_633)*coupl(nGC_64) - coupl&
                        (nGC_125)*coupl(nGC_639)*coupl(nGC_69) - coupl(nGC_125 &
                        )*coupl(nGC_649)*coupl(nGC_68) - coupl(nGC_129)*coupl( &
                        nGC_619)*coupl(nGC_94) - coupl(nGC_129)*coupl(nGC_651)*&
                        coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_2031) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(  &
                        nGC_153)**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*&
                        coupl(nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl&
                        (nGC_108)*coupl(nGC_629)*coupl(nGC_63) + coupl(nGC_108 &
                        )*coupl(nGC_633)*coupl(nGC_64) + coupl(nGC_109)*coupl( &
                        nGC_653)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_639)*&
                        coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_649)*coupl(   &
                        nGC_68) + coupl(nGC_113)*coupl(nGC_619)*coupl(nGC_94   &
                        ) + coupl(nGC_119)*coupl(nGC_629)*coupl(nGC_649) +     &
                        coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(    &
                        nGC_119)*coupl(nGC_633)*coupl(nGC_639) + coupl(nGC_119 &
                        )*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_120)*coupl(  &
                        nGC_619)*coupl(nGC_91) + coupl(nGC_120)*coupl(nGC_653)*&
                        coupl(nGC_94) - coupl(nGC_124)*coupl(nGC_629)*coupl(   &
                        nGC_63) - coupl(nGC_124)*coupl(nGC_633)*coupl(nGC_64   &
                        ) - coupl(nGC_124)*coupl(nGC_639)*coupl(nGC_69) - coupl&
                        (nGC_124)*coupl(nGC_649)*coupl(nGC_68) - coupl(nGC_128 &
                        )*coupl(nGC_619)*coupl(nGC_94) - coupl(nGC_128)*coupl( &
                        nGC_653)*coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2033) = (24d0*Nc*cMB*coupl(nGC_137)**2d0*coupl(nGC_141) + 24d0*&
                        Nc*cMC*coupl(nGC_130)*coupl(nGC_133)**2d0 + 24d0*Nc*cMD&
                        *coupl(nGC_145)*coupl(nGC_149)**2d0 + 24d0*Nc*cMS*coupl&
                        (nGC_169)*coupl(nGC_173)**2d0 + 24d0*Nc*cMT*coupl(     &
                        nGC_177)*coupl(nGC_180)**2d0 + 24d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_195)**2d0 + 24d0*cME*coupl(nGC_153)*&
                        coupl(nGC_157)**2d0 + 24d0*cMM*coupl(nGC_161)*coupl(   &
                        nGC_165)**2d0 + 24d0*cMTA*coupl(nGC_184)*coupl(nGC_188 &
                        )**2d0 + 4d0*cima*coupl(nGC_124)*coupl(nGC_61) + 2d0*  &
                        cima*coupl(nGC_128)*coupl(nGC_99) + coupl(nGC_108)*    &
                        coupl(nGC_639)*coupl(nGC_69) + coupl(nGC_108)*coupl(   &
                        nGC_649)*coupl(nGC_68) + coupl(nGC_109)*coupl(nGC_619)*&
                        coupl(nGC_94) + coupl(nGC_110)*coupl(nGC_629)*coupl(   &
                        nGC_63) + coupl(nGC_110)*coupl(nGC_633)*coupl(nGC_64   &
                        ) + 2d0*coupl(nGC_111)*coupl(nGC_629)*coupl(nGC_633) + &
                        2d0*coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_64) + coupl(&
                        nGC_111)*coupl(nGC_639)**2d0 + coupl(nGC_111)*coupl(   &
                        nGC_649)**2d0 + coupl(nGC_111)*coupl(nGC_68)**2d0 +    &
                        coupl(nGC_111)*coupl(nGC_69)**2d0 + 2d0*coupl(nGC_112)*&
                        coupl(nGC_619)*coupl(nGC_94) + coupl(nGC_112)*coupl(   &
                        nGC_651)*coupl(nGC_91) + coupl(nGC_112)*coupl(nGC_653)*&
                        coupl(nGC_92) + coupl(nGC_113)*coupl(nGC_651)*coupl(   &
                        nGC_92) + coupl(nGC_116)*coupl(nGC_629)*coupl(nGC_68   &
                        ) + coupl(nGC_116)*coupl(nGC_63)*coupl(nGC_649) + coupl&
                        (nGC_116)*coupl(nGC_633)*coupl(nGC_69) + coupl(nGC_116 &
                        )*coupl(nGC_639)*coupl(nGC_64) + coupl(nGC_117)*coupl( &
                        nGC_619)*coupl(nGC_91) + coupl(nGC_117)*coupl(nGC_653)*&
                        coupl(nGC_94) + coupl(nGC_118)*coupl(nGC_629)*coupl(   &
                        nGC_69) + coupl(nGC_118)*coupl(nGC_63)*coupl(nGC_639   &
                        ) + coupl(nGC_118)*coupl(nGC_633)*coupl(nGC_68) + coupl&
                        (nGC_118)*coupl(nGC_64)*coupl(nGC_649) + coupl(nGC_119 &
                        )*coupl(nGC_629)*coupl(nGC_639) + coupl(nGC_119)*coupl(&
                        nGC_63)*coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_633)* &
                        coupl(nGC_649) + coupl(nGC_119)*coupl(nGC_64)*coupl(   &
                        nGC_68) + coupl(nGC_120)*coupl(nGC_619)*coupl(nGC_92   &
                        ) + coupl(nGC_120)*coupl(nGC_651)*coupl(nGC_94) + coupl&
                        (nGC_121)*coupl(nGC_619)*coupl(nGC_92) + coupl(nGC_121 &
                        )*coupl(nGC_651)*coupl(nGC_94) - coupl(nGC_124)*coupl( &
                        nGC_629)*coupl(nGC_63) - coupl(nGC_124)*coupl(nGC_633)*&
                        coupl(nGC_64) - coupl(nGC_124)*coupl(nGC_639)*coupl(   &
                        nGC_69) - coupl(nGC_124)*coupl(nGC_649)*coupl(nGC_68   &
                        ) - coupl(nGC_125)*coupl(nGC_629)*coupl(nGC_68) - coupl&
                        (nGC_125)*coupl(nGC_629)*coupl(nGC_69) - coupl(nGC_125 &
                        )*coupl(nGC_63)*coupl(nGC_639) - coupl(nGC_125)*coupl( &
                        nGC_63)*coupl(nGC_649) - coupl(nGC_125)*coupl(nGC_633)*&
                        coupl(nGC_68) - coupl(nGC_125)*coupl(nGC_633)*coupl(   &
                        nGC_69) - coupl(nGC_125)*coupl(nGC_639)*coupl(nGC_64   &
                        ) - coupl(nGC_125)*coupl(nGC_64)*coupl(nGC_649) - coupl&
                        (nGC_128)*coupl(nGC_619)*coupl(nGC_94) - coupl(nGC_128 &
                        )*coupl(nGC_651)*coupl(nGC_92) - coupl(nGC_129)*coupl( &
                        nGC_619)*coupl(nGC_91) - coupl(nGC_129)*coupl(nGC_619)*&
                        coupl(nGC_92) - coupl(nGC_129)*coupl(nGC_651)*coupl(   &
                        nGC_94) - coupl(nGC_129)*coupl(nGC_653)*coupl(nGC_94   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2032) = (24d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_141)**2d0 + 24d0*&
                        Nc*cMC*coupl(nGC_130)**2d0*coupl(nGC_133) + 24d0*Nc*cMD&
                        *coupl(nGC_145)**2d0*coupl(nGC_149) + 24d0*Nc*cMS*coupl&
                        (nGC_169)**2d0*coupl(nGC_173) + 24d0*Nc*cMT*coupl(     &
                        nGC_177)**2d0*coupl(nGC_180) + 24d0*Nc*cMU*coupl(      &
                        nGC_192)**2d0*coupl(nGC_195) + 24d0*cME*coupl(nGC_153  &
                        )**2d0*coupl(nGC_157) + 24d0*cMM*coupl(nGC_161)**2d0*  &
                        coupl(nGC_165) + 24d0*cMTA*coupl(nGC_184)**2d0*coupl(  &
                        nGC_188) + 4d0*cima*coupl(nGC_125)*coupl(nGC_61) + 2d0*&
                        cima*coupl(nGC_129)*coupl(nGC_99) + coupl(nGC_108)*    &
                        coupl(nGC_629)*coupl(nGC_68) + coupl(nGC_108)*coupl(   &
                        nGC_63)*coupl(nGC_649) + coupl(nGC_108)*coupl(nGC_633)*&
                        coupl(nGC_69) + coupl(nGC_108)*coupl(nGC_639)*coupl(   &
                        nGC_64) + coupl(nGC_109)*coupl(nGC_619)*coupl(nGC_91   &
                        ) + coupl(nGC_109)*coupl(nGC_653)*coupl(nGC_94) + coupl&
                        (nGC_110)*coupl(nGC_629)*coupl(nGC_69) + coupl(nGC_110 &
                        )*coupl(nGC_63)*coupl(nGC_639) + coupl(nGC_110)*coupl( &
                        nGC_633)*coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_64)* &
                        coupl(nGC_649) + coupl(nGC_111)*coupl(nGC_629)*coupl(  &
                        nGC_649) + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_68   &
                        ) + coupl(nGC_111)*coupl(nGC_633)*coupl(nGC_639) +     &
                        coupl(nGC_111)*coupl(nGC_64)*coupl(nGC_69) + coupl(    &
                        nGC_112)*coupl(nGC_619)*coupl(nGC_91) + coupl(nGC_112)*&
                        coupl(nGC_653)*coupl(nGC_94) + coupl(nGC_113)*coupl(   &
                        nGC_619)*coupl(nGC_92) + coupl(nGC_113)*coupl(nGC_651)*&
                        coupl(nGC_94) + coupl(nGC_116)*coupl(nGC_629)*coupl(   &
                        nGC_63) + coupl(nGC_116)*coupl(nGC_633)*coupl(nGC_64   &
                        ) + coupl(nGC_117)*coupl(nGC_653)*coupl(nGC_91) + coupl&
                        (nGC_118)*coupl(nGC_639)*coupl(nGC_69) + coupl(nGC_118 &
                        )*coupl(nGC_649)*coupl(nGC_68) + 2d0*coupl(nGC_119)*   &
                        coupl(nGC_629)*coupl(nGC_633) + 2d0*coupl(nGC_119)*    &
                        coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_119)*coupl(    &
                        nGC_639)**2d0 + coupl(nGC_119)*coupl(nGC_649)**2d0 +   &
                        coupl(nGC_119)*coupl(nGC_68)**2d0 + coupl(nGC_119)*    &
                        coupl(nGC_69)**2d0 + 2d0*coupl(nGC_120)*coupl(nGC_619)*&
                        coupl(nGC_94) + coupl(nGC_120)*coupl(nGC_651)*coupl(   &
                        nGC_91) + coupl(nGC_120)*coupl(nGC_653)*coupl(nGC_92   &
                        ) + coupl(nGC_121)*coupl(nGC_619)*coupl(nGC_94) - coupl&
                        (nGC_124)*coupl(nGC_629)*coupl(nGC_68) - coupl(nGC_124 &
                        )*coupl(nGC_629)*coupl(nGC_69) - coupl(nGC_124)*coupl( &
                        nGC_63)*coupl(nGC_639) - coupl(nGC_124)*coupl(nGC_63)* &
                        coupl(nGC_649) - coupl(nGC_124)*coupl(nGC_633)*coupl(  &
                        nGC_68) - coupl(nGC_124)*coupl(nGC_633)*coupl(nGC_69   &
                        ) - coupl(nGC_124)*coupl(nGC_639)*coupl(nGC_64) - coupl&
                        (nGC_124)*coupl(nGC_64)*coupl(nGC_649) - coupl(nGC_125 &
                        )*coupl(nGC_629)*coupl(nGC_63) - coupl(nGC_125)*coupl( &
                        nGC_633)*coupl(nGC_64) - coupl(nGC_125)*coupl(nGC_639)*&
                        coupl(nGC_69) - coupl(nGC_125)*coupl(nGC_649)*coupl(   &
                        nGC_68) - coupl(nGC_128)*coupl(nGC_619)*coupl(nGC_91   &
                        ) - coupl(nGC_128)*coupl(nGC_619)*coupl(nGC_92) - coupl&
                        (nGC_128)*coupl(nGC_651)*coupl(nGC_94) - coupl(nGC_128 &
                        )*coupl(nGC_653)*coupl(nGC_94) - coupl(nGC_129)*coupl( &
                        nGC_619)*coupl(nGC_94) - coupl(nGC_129)*coupl(nGC_653)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2214) = (-5d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                        nGC_643)**2d0 - 6d0*cima*coupl(nGC_643)*coupl(nGC_8) + &
                        3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_6)**2d0*    &
                        coupl(nGC_643)*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_1886) = -(coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) + coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) + coupl(nGC_192 &
                        )**3d0 + coupl(nGC_192)*coupl(nGC_194)**2d0 + coupl(   &
                        nGC_192)*coupl(nGC_195)**2d0 + coupl(nGC_192)*coupl(   &
                        nGC_198)**2d0 - 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_88) + coupl(&
                        nGC_193)*coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_194)*&
                        coupl(nGC_619)*coupl(nGC_85) + coupl(nGC_194)*coupl(   &
                        nGC_88)*coupl(nGC_94) + coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) + coupl(nGC_198)*coupl(nGC_653)*coupl(   &
                        nGC_85) + coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2747) = coupl(nGC_2347) + coupl(nGC_7)*dZcR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2746) = coupl(nGC_7)*dZcL_QED2
      coupl(nGC_2745) = coupl(nGC_2347) + coupl(nGC_7)*dZcL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2212) = (10d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 6d0*Nc*cima*&
                        coupl(nGC_643)*coupl(nGC_645) - 6d0*Nc*cima*coupl(     &
                        nGC_645)*coupl(nGC_8) - 3d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_641)*sq2**2d0 + 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_643)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_645)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_8)*sq2**2d0 - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_2748) = coupl(nGC_7)*dZcR_QED2
      coupl(nGC_2219) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_641) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_645) - 60d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_2218) = (-8d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_643)**2d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 3d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_643)*sq2**2d0 +  &
                        39d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1669) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1668) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1780) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_615)*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1781) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2628) = coupl(nGC_2323) + coupl(nGC_62)*dZWMinus_QED2
      coupl(nGC_2629) = coupl(nGC_62)*dZG0
      coupl(nGC_2196) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 20d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_136)**2d0 +    &
                        20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl( &
                        nGC_141) + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_151)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_173)*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*&
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(     &
                        nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_198)**2d0 + 20d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )*coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)*coupl(&
                        nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*    &
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 +    &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167  &
                        )**2d0 + 80d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(&
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_165)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(  &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_190)**2d0 + 80d0*cima&
                        *coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 20d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_191)**2d0 - 5d0*cima*coupl(nGC_609)**2d0*    &
                        coupl(nGC_629)*coupl(nGC_649) - 5d0*cima*coupl(nGC_609 &
                        )**2d0*coupl(nGC_633)*coupl(nGC_639) - 10d0*cima*coupl(&
                        nGC_609)*coupl(nGC_629)*coupl(nGC_68)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_609)*coupl(nGC_629)*coupl(nGC_69)*  &
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_609)*coupl(nGC_63)* &
                        coupl(nGC_639)*coupl(nGC_72) - 10d0*cima*coupl(nGC_609 &
                        )*coupl(nGC_63)*coupl(nGC_649)*coupl(nGC_72) - 5d0*cima&
                        *coupl(nGC_609)*coupl(nGC_633)*coupl(nGC_68)*coupl(    &
                        nGC_72) - 10d0*cima*coupl(nGC_609)*coupl(nGC_633)*coupl&
                        (nGC_69)*coupl(nGC_72) - 10d0*cima*coupl(nGC_609)*coupl&
                        (nGC_639)*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_609)*coupl(nGC_64)*coupl(nGC_649)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_619)**2d0*coupl(nGC_91)*coupl(nGC_94&
                        ) - 5d0*cima*coupl(nGC_619)**2d0*coupl(nGC_92)*coupl(  &
                        nGC_94) - 5d0*cima*coupl(nGC_619)*coupl(nGC_651)*coupl(&
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_619)*coupl(nGC_653)* &
                        coupl(nGC_91)**2d0 - 5d0*cima*coupl(nGC_619)*coupl(    &
                        nGC_653)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_619)*coupl(nGC_653)*coupl(nGC_94)**2d0 - 5d0*cima* &
                        coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)**2d0 - 5d0*  &
                        cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)**2d0 -  &
                        5d0*cima*coupl(nGC_651)*coupl(nGC_653)*coupl(nGC_91)*  &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_653)**2d0*coupl(    &
                        nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl(nGC_619&
                        )*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(nGC_619)*   &
                        coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_653)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_13)*coupl(nGC_619)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_13)*coupl(nGC_653)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_23)*coupl(nGC_609)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_25)*coupl(nGC_619)**2d0 + 3d0*coupl(     &
                        nGC_25)*coupl(nGC_653)**2d0 + 3d0*coupl(nGC_25)*coupl( &
                        nGC_91)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_94)**2d0 +  &
                        3d0*coupl(nGC_28)*coupl(nGC_651)*coupl(nGC_653) + 3d0* &
                        coupl(nGC_28)*coupl(nGC_91)*coupl(nGC_92) + 3d0*coupl( &
                        nGC_29)*coupl(nGC_619)**2d0 + 3d0*coupl(nGC_29)*coupl( &
                        nGC_94)**2d0 + 3d0*coupl(nGC_33)*coupl(nGC_619)*coupl( &
                        nGC_653) + 3d0*coupl(nGC_33)*coupl(nGC_91)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_37)*coupl(nGC_619)*coupl(nGC_651) +  &
                        3d0*coupl(nGC_37)*coupl(nGC_619)*coupl(nGC_653) + 3d0* &
                        coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl( &
                        nGC_37)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_39 &
                        )*coupl(nGC_619)*coupl(nGC_653) + 3d0*coupl(nGC_39)*   &
                        coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl( &
                        nGC_609)*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl(      &
                        nGC_649)*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(      &
                        nGC_609)*coupl(nGC_68) + 3d0*coupl(nGC_41)*coupl(      &
                        nGC_639)*coupl(nGC_72) + 6d0*coupl(nGC_43)*coupl(nGC_63&
                        )*coupl(nGC_64) + 3d0*coupl(nGC_43)*coupl(nGC_639)**2d0&
                         + 3d0*coupl(nGC_43)*coupl(nGC_649)**2d0 + 3d0*coupl(  &
                        nGC_47)*coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_47&
                        )*coupl(nGC_651)*coupl(nGC_91) + 3d0*coupl(nGC_48)*    &
                        coupl(nGC_609)*coupl(nGC_64) + 3d0*coupl(nGC_48)*coupl(&
                        nGC_629)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_609)*coupl(nGC_63) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_633)*coupl(nGC_72) + 3d0*coupl(nGC_53)*coupl(nGC_63&
                        )*coupl(nGC_649) + 3d0*coupl(nGC_53)*coupl(nGC_639)*   &
                        coupl(nGC_64) + 3d0*coupl(nGC_55)*coupl(nGC_619)*coupl(&
                        nGC_91) + 3d0*coupl(nGC_56)*coupl(nGC_63)*coupl(nGC_639&
                        ) + 3d0*coupl(nGC_56)*coupl(nGC_64)*coupl(nGC_649) +   &
                        3d0*coupl(nGC_59)*coupl(nGC_651)*coupl(nGC_94) - 3d0*  &
                        coupl(nGC_62)*coupl(nGC_629)*coupl(nGC_68) - 3d0*coupl(&
                        nGC_62)*coupl(nGC_629)*coupl(nGC_69) - 3d0*coupl(nGC_62&
                        )*coupl(nGC_633)*coupl(nGC_68) - 3d0*coupl(nGC_62)*    &
                        coupl(nGC_633)*coupl(nGC_69) + 3d0*coupl(nGC_653)*coupl&
                        (nGC_9)*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_2197) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_149)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)*coupl(nGC_176) +    &
                        20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_176)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*coupl( &
                        nGC_183) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(     &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_195)**&
                        2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*coupl&
                        (nGC_99) + 20d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159 &
                        )**2d0 + 80d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159)* &
                        coupl(nGC_160) + 20d0*cima*coupl(nGC_157)**2d0*coupl(  &
                        nGC_160)**2d0 + 20d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)**2d0 + 80d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_165)**2d0&
                        *coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_188)**2d0*  &
                        coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_188)**2d0*   &
                        coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_188&
                        )**2d0*coupl(nGC_191)**2d0 - 5d0*cima*coupl(nGC_609)** &
                        2d0*coupl(nGC_639)**2d0 - 5d0*cima*coupl(nGC_609)**2d0*&
                        coupl(nGC_649)**2d0 - 10d0*cima*coupl(nGC_609)*coupl(  &
                        nGC_629)*coupl(nGC_63)*coupl(nGC_72) - 10d0*cima*coupl(&
                        nGC_609)*coupl(nGC_633)*coupl(nGC_64)*coupl(nGC_72) -  &
                        20d0*cima*coupl(nGC_609)*coupl(nGC_639)*coupl(nGC_69)* &
                        coupl(nGC_72) - 20d0*cima*coupl(nGC_609)*coupl(nGC_649 &
                        )*coupl(nGC_68)*coupl(nGC_72) + 12d0*cima*coupl(nGC_61 &
                        )*coupl(nGC_62) - 10d0*cima*coupl(nGC_619)**2d0*coupl( &
                        nGC_94)**2d0 - 10d0*cima*coupl(nGC_619)*coupl(nGC_651)*&
                        coupl(nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(nGC_619)*&
                        coupl(nGC_653)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*&
                        coupl(nGC_651)*coupl(nGC_653)*coupl(nGC_91)*coupl(     &
                        nGC_92) - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_72)**  &
                        2d0 - 5d0*cima*coupl(nGC_69)**2d0*coupl(nGC_72)**2d0 + &
                        3d0*coupl(nGC_10)*coupl(nGC_619)*coupl(nGC_91) + 3d0*  &
                        coupl(nGC_10)*coupl(nGC_653)*coupl(nGC_94) - 3d0*coupl(&
                        nGC_101)*coupl(nGC_619)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_101)*coupl(nGC_651)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_12)*coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_13&
                        )*coupl(nGC_653)*coupl(nGC_91) + 6d0*coupl(nGC_25)*    &
                        coupl(nGC_619)*coupl(nGC_653) + 6d0*coupl(nGC_25)*coupl&
                        (nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_29)*coupl(      &
                        nGC_619)*coupl(nGC_651) + 6d0*coupl(nGC_29)*coupl(     &
                        nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_32)*coupl(nGC_609&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_33)*coupl(nGC_619)**2d0&
                         + 6d0*coupl(nGC_33)*coupl(nGC_94)**2d0 + 6d0*coupl(   &
                        nGC_37)*coupl(nGC_651)*coupl(nGC_653) + 6d0*coupl(     &
                        nGC_37)*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_609)*coupl(nGC_63) + 6d0*coupl(nGC_40)*    &
                        coupl(nGC_633)*coupl(nGC_72) + 6d0*coupl(nGC_41)*coupl(&
                        nGC_609)*coupl(nGC_64) + 6d0*coupl(nGC_41)*coupl(      &
                        nGC_629)*coupl(nGC_72) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_629)*coupl(nGC_639) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_633&
                        )*coupl(nGC_649) + 3d0*coupl(nGC_43)*coupl(nGC_64)*    &
                        coupl(nGC_68) + 3d0*coupl(nGC_47)*coupl(nGC_619)*coupl(&
                        nGC_92) + 3d0*coupl(nGC_47)*coupl(nGC_651)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_53)*coupl(nGC_639)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_53)*coupl(nGC_649)*coupl(nGC_68) + 3d0*  &
                        coupl(nGC_55)*coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_56)*coupl(nGC_629)*coupl(nGC_63) + 3d0*coupl(nGC_56&
                        )*coupl(nGC_633)*coupl(nGC_64) + 3d0*coupl(nGC_59)*    &
                        coupl(nGC_651)*coupl(nGC_92) - 6d0*coupl(nGC_609)*coupl&
                        (nGC_61)*coupl(nGC_72) - 3d0*coupl(nGC_619)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_62)*coupl(nGC_629&
                        )*coupl(nGC_63) - 3d0*coupl(nGC_62)*coupl(nGC_633)*    &
                        coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_639)*coupl(&
                        nGC_69) - 3d0*coupl(nGC_62)*coupl(nGC_649)*coupl(nGC_68&
                        ) - 3d0*coupl(nGC_653)*coupl(nGC_91)*coupl(nGC_99))/(  &
                        96d0*pi**2d0)
      coupl(nGC_2627) = coupl(nGC_62)*dZGMinus
      coupl(nGC_2620) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_3113) = coupl(nGC_2317) + coupl(nGC_72)*dZWMinus_QED2/2d0
      coupl(nGC_2223) = cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1942) = coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1799) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_154)*coupl(nGC_160)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80) - 4d0*coupl&
                        (nGC_185)*coupl(nGC_191)*coupl(nGC_80) + coupl(nGC_609 &
                        )*coupl(nGC_629)*coupl(nGC_69) + coupl(nGC_609)*coupl( &
                        nGC_639)*coupl(nGC_64) - 6d0*coupl(nGC_615)*coupl(     &
                        nGC_64)*coupl(nGC_94) - 6d0*coupl(nGC_615)*coupl(nGC_68&
                        )*coupl(nGC_91) + coupl(nGC_619)*coupl(nGC_635)*coupl( &
                        nGC_64) + coupl(nGC_635)*coupl(nGC_653)*coupl(nGC_68   &
                        ))/(96d0*pi**2d0)
      coupl(nGC_1943) = -(coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) + coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) + coupl(nGC_177)*coupl(nGC_653)* &
                        coupl(nGC_85) + coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) + coupl(nGC_180)**2d0*coupl(nGC_183) + coupl(  &
                        nGC_180)*coupl(nGC_619)*coupl(nGC_85) + coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) + coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) + coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) - 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 - 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) + coupl(    &
                        nGC_183)*coupl(nGC_621)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2381) = coupl(nGC_1087)*dydo1_QED1_QCD2 + coupl(nGC_1088)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_1798) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_187)*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(    &
                        nGC_619)*coupl(nGC_64)*coupl(nGC_82) + coupl(nGC_629)* &
                        coupl(nGC_68)*coupl(nGC_72) + coupl(nGC_64)*coupl(     &
                        nGC_649)*coupl(nGC_72) + coupl(nGC_64)*coupl(nGC_94)*  &
                        coupl(nGC_96) - 6d0*coupl(nGC_651)*coupl(nGC_69)*coupl(&
                        nGC_82) + coupl(nGC_69)*coupl(nGC_92)*coupl(nGC_96))/( &
                        96d0*pi**2d0)
      coupl(nGC_1805) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_63) - 4d0*coupl(nGC_184&
                        )*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(nGC_609)*   &
                        coupl(nGC_615)*coupl(nGC_91) + coupl(nGC_609)*coupl(   &
                        nGC_635)*coupl(nGC_653) + coupl(nGC_629)*coupl(nGC_633 &
                        )**2d0 + coupl(nGC_629)*coupl(nGC_639)**2d0 + coupl(   &
                        nGC_629)*coupl(nGC_72)**2d0 + coupl(nGC_63)*coupl(     &
                        nGC_639)*coupl(nGC_68) - 6d0*coupl(nGC_63)*coupl(nGC_82&
                        )*coupl(nGC_96) + coupl(nGC_633)*coupl(nGC_68)*coupl(  &
                        nGC_69))/(96d0*pi**2d0)
      coupl(nGC_2380) = coupl(nGC_1086)*db_QED2 + coupl(nGC_1087)*dydo1_QED3 + &
                        coupl(nGC_1088)*dydo2_QED3
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2764) = coupl(nGC_147)*dZHaG0_QED2/2d0 + coupl(nGC_151)*       &
                        dZdL_QED2/2d0 + coupl(nGC_151)*dZdR_QED2/2d0 + coupl(  &
                        nGC_2380)
      coupl(nGC_795) = coupl(nGC_I)*dZG0
      coupl(nGC_2721) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_2996) = -coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_2997) = -coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2994) = -coupl(nGC_17)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2992) = coupl(nGC_33)*dZG0
      coupl(nGC_2990) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142 &
                        )*dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 +   &
                        coupl(nGC_142)*dZtL_QED2/2d0 + coupl(nGC_2378)
      coupl(nGC_2991) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2379)
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2448) = coupl(nGC_415)*db_QED2 + coupl(nGC_417)*dyt1_QED3 +    &
                        coupl(nGC_419)*dyt2_QED3
      coupl(nGC_2449) = coupl(nGC_417)*dyt1_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2363) = coupl(nGC_855)*dyd12x2_QED1_QCD2 + coupl(nGC_856)*     &
                        dys2_QED1_QCD2
      coupl(nGC_2362) = coupl(nGC_854)*db_QED2 + coupl(nGC_855)*dyd12x2_QED3 + &
                        coupl(nGC_856)*dys2_QED3
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2364) = coupl(nGC_1128)*db_QED2 + coupl(nGC_1129)*dyt1_QED3 +  &
                        coupl(nGC_1130)*dyt2_QED3
      coupl(nGC_2440) = coupl(nGC_1092)*db_QED2 + coupl(nGC_1093)*dyup1_QED3 + &
                        coupl(nGC_1094)*dyup2_QED3
      coupl(nGC_2441) = coupl(nGC_1093)*dyup1_QED1_QCD2 + coupl(nGC_1094)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2442) = coupl(nGC_903)*db_QED2 + coupl(nGC_904)*dyup1_QED3 +   &
                        coupl(nGC_905)*dyup2_QED3
      coupl(nGC_2443) = coupl(nGC_904)*dyup1_QED1_QCD2 + coupl(nGC_905)*       &
                        dyup2_QED1_QCD2
      coupl(nGC_2444) = coupl(nGC_1015)*db_QED2 + coupl(nGC_1016)*dyc1_QED3 +  &
                        coupl(nGC_1017)*dyc2_QED3
      coupl(nGC_2445) = coupl(nGC_1016)*dyc1_QED1_QCD2 + coupl(nGC_1017)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2446) = coupl(nGC_1009)*db_QED2 + coupl(nGC_1010)*dyc1_QED3 +  &
                        coupl(nGC_1011)*dyc2_QED3
      coupl(nGC_2447) = coupl(nGC_1010)*dyc1_QED1_QCD2 + coupl(nGC_1011)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2697) = coupl(nGC_15)*dZZA_QED2/2d0 + coupl(nGC_2314) + coupl( &
                        nGC_66)*dZA_QED2/2d0 + coupl(nGC_66)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_66)*dZHh_QED2/2d0 + coupl(nGC_66)*        &
                        dZWMinus_QED2/2d0 + coupl(nGC_70)*dZGMinusHMinus_QED2/ &
                        2d0 + coupl(nGC_70)*dZHlHh_QED2/2d0
      coupl(nGC_2699) = -coupl(nGC_2243)/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0 +    &
                        coupl(nGC_79)*dZZA_QED2/2d0 - coupl(nGC_83)*dZA_QED2/  &
                        4d0 - coupl(nGC_83)*dZWMinus_QED2/2d0 - coupl(nGC_83)* &
                        dZZ_QED2/4d0
      coupl(nGC_3261) = 2d0*coupl(nGC_10)*dZHlHh_QED2 + 2d0*coupl(nGC_12)*     &
                        dZHh_QED2 + coupl(nGC_2250)
      coupl(nGC_3183) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*       &
                        dZHh_QED2/2d0 + coupl(nGC_133)*dZcL_QED2/2d0 + coupl(  &
                        nGC_133)*dZcR_QED2/2d0 + coupl(nGC_2454)
      coupl(nGC_3187) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3184) = coupl(nGC_133)*dZcL_QCD2/2d0 + coupl(nGC_133)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2455)
      coupl(nGC_3185) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_679) = coupl(nGC_I)*dZGMinus
      coupl(nGC_1884) = -coupl(nGC_192)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1731) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1712) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137&
                        )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(    &
                        nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*   &
                        coupl(nGC_195)**2d0 + 4d0*coupl(nGC_157)**2d0 + 4d0*   &
                        coupl(nGC_165)**2d0 + 4d0*coupl(nGC_188)**2d0 + coupl( &
                        nGC_619)*coupl(nGC_94) + coupl(nGC_629)*coupl(nGC_63   &
                        ) + coupl(nGC_633)*coupl(nGC_64) + coupl(nGC_639)*coupl&
                        (nGC_69) + coupl(nGC_649)*coupl(nGC_68) + coupl(nGC_651&
                        )*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_1814) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC* &
                        coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169&
                        ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0)
      coupl(nGC_3162) = -coupl(nGC_17)*dZAZ_QED2/2d0 - coupl(nGC_2330) - coupl(&
                        nGC_96)*dZZ_QED2/2d0
      coupl(nGC_3003) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3007) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_3006) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_3005) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_3004) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_2844) = coupl(nGC_7)*dZsL_QED2
      coupl(nGC_2845) = coupl(nGC_2347) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZsR_QCD2
      coupl(nGC_2846) = coupl(nGC_7)*dZsR_QED2
      coupl(nGC_2847) = coupl(nGC_22)*dZHlHh_QED2 + coupl(nGC_2264) + coupl(   &
                        nGC_27)*dZGMinusHMinus_QED2 + coupl(nGC_34)*           &
                        dZHMinus_QED2 + coupl(nGC_34)*dZHh_QED2
      coupl(nGC_2840) = coupl(nGC_2244) + coupl(nGC_79)*dZWMinus_QED2 + coupl( &
                        nGC_79)*dZZ_QED2 - coupl(nGC_83)*dZAZ_QED2/2d0
      coupl(nGC_2841) = -2d0*coupl(nGC_2244) - 2d0*coupl(nGC_79)*dZWMinus_QED2 &
                         - 2d0*coupl(nGC_79)*dZZ_QED2 + coupl(nGC_83)*dZAZ_QED2
      coupl(nGC_2842) = coupl(nGC_2259) + coupl(nGC_26)*dZHlHh_QED2 + coupl(   &
                        nGC_29)*dZG0Ha_QED2 + coupl(nGC_38)*dZHa_QED2 + coupl( &
                        nGC_38)*dZHh_QED2
      coupl(nGC_2843) = coupl(nGC_2347) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZsL_QCD2
      coupl(nGC_3168) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_2434)
      coupl(nGC_2961) = coupl(nGC_2318) - coupl(nGC_64)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_64)*dZHlHh_QED2/2d0 + coupl(nGC_69)*      &
                        dZHh_QED2/2d0 + coupl(nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_2849) = coupl(nGC_76)*dZG0/2d0
      coupl(nGC_3169) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_2435)
      coupl(nGC_2655) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2371)
      coupl(nGC_2657) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*dZuL_QCD2&
                        /2d0 + coupl(nGC_2369)
      coupl(nGC_2124) = -cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0*Nc)
      coupl(nGC_2741) = coupl(nGC_131)*dZHMinus_QED2/2d0 + coupl(nGC_131)*     &
                        dZcR_QED2/2d0 + coupl(nGC_131)*dZsL_QED2/2d0 + coupl(  &
                        nGC_134)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2372)
      coupl(nGC_2891) = coupl(nGC_2587) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_103_Hl) + coupl(nGC_TS_GC_105_Hh)
      coupl(nGC_2650) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_2312) + coupl( &
                        nGC_65)*dZHlHh_QED2/2d0 + coupl(nGC_66)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZA_QED2/2d0 + &
                        coupl(nGC_70)*dZHh_QED2/2d0 + coupl(nGC_70)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_2653) = coupl(nGC_2256) + 2d0*coupl(nGC_44)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_51)*dZHMinus_QED2
      coupl(nGC_2652) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_2437)
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2400) = coupl(nGC_1167)*dyd12x2_QED3 + coupl(nGC_1168)*da_QED2 &
                         + coupl(nGC_1169)*dys2_QED3
      coupl(nGC_2401) = coupl(nGC_1167)*dyd12x2_QED1_QCD2 + coupl(nGC_1169)*   &
                        dys2_QED1_QCD2
      coupl(nGC_1747) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_142)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1745) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1742) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1743) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1740) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_621) + coupl(    &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1749) = (2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) +   &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) + 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) + 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) - 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) - 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) + 2d0*coupl(&
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) + 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4) - 3d0*coupl(nGC_3 &
                        )*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_3)*coupl(&
                        nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1878) = -(coupl(nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_72)*  &
                        coupl(nGC_80) + coupl(nGC_186)*coupl(nGC_187)**2d0 +   &
                        coupl(nGC_186)*coupl(nGC_188)**2d0 + coupl(nGC_186)*   &
                        coupl(nGC_191)**2d0 - 8d0*coupl(nGC_187)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_188)*coupl(nGC_651)*coupl(nGC_86) + coupl(   &
                        nGC_188)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2315) = coupl(nGC_929)*dvev1_QED1 + coupl(nGC_930)*dvev2_QED1  &
                         + coupl(nGC_931)*dZee_QED2 + coupl(nGC_932)*dsw_QED2  &
                         + coupl(nGC_933)*db_QED2
      coupl(nGC_1874) = -(coupl(nGC_184)**3d0 + coupl(nGC_184)*coupl(nGC_187)**&
                        2d0 + coupl(nGC_184)*coupl(nGC_188)**2d0 + coupl(      &
                        nGC_184)*coupl(nGC_191)**2d0 - 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_68)*coupl(nGC_80) + &
                        coupl(nGC_187)*coupl(nGC_619)*coupl(nGC_89) + coupl(   &
                        nGC_187)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)* &
                        coupl(nGC_629)*coupl(nGC_80) + coupl(nGC_191)*coupl(   &
                        nGC_653)*coupl(nGC_89) + coupl(nGC_191)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2060) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1875) = -(coupl(nGC_184)**3d0 + coupl(nGC_184)*coupl(nGC_186)**&
                        2d0 + coupl(nGC_184)*coupl(nGC_188)**2d0 + coupl(      &
                        nGC_184)*coupl(nGC_190)**2d0 - 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 - 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_649)*coupl(nGC_80   &
                        ) + coupl(nGC_186)*coupl(nGC_619)*coupl(nGC_86) + coupl&
                        (nGC_186)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*&
                        coupl(nGC_63)*coupl(nGC_80) + coupl(nGC_190)*coupl(    &
                        nGC_653)*coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2144) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_1829) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_621) - coupl(nGC_180 &
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1828) = coupl(nGC_7)*sq2*(-coupl(nGC_138)**2d0 - coupl(nGC_142 &
                        )**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_621) - coupl(nGC_180)**2d0 - coupl(nGC_182)*coupl( &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1876) = -(coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_187)**2d0*coupl&
                        (nGC_188) + coupl(nGC_187)*coupl(nGC_651)*coupl(nGC_89 &
                        ) + coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_92) + coupl(&
                        nGC_188)**3d0 + coupl(nGC_188)*coupl(nGC_191)**2d0 -   &
                        8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_649)*coupl(nGC_80) + coupl(nGC_191)*coupl(   &
                        nGC_619)*coupl(nGC_89) + coupl(nGC_191)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_2324) = coupl(nGC_1303)*dZee_QED2 + coupl(nGC_1304)*dsw_QED2
      coupl(nGC_2327) = coupl(nGC_1122)*dZee_QED2 + coupl(nGC_1123)*dcw_QED2 + &
                        coupl(nGC_1124)*dsw_QED2
      coupl(nGC_1701) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_63)*coupl(nGC_69) - cMHH**2d0*coupl(nGC_633)*coupl(&
                        nGC_649) - cMHL**2d0*coupl(nGC_629)*coupl(nGC_649) -   &
                        cMHL**2d0*coupl(nGC_64)*coupl(nGC_69) - 4d0*cMM**2d0*  &
                        coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0*coupl(   &
                        nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(nGC_629)*coupl&
                        (nGC_649) - cMW**2d0*coupl(nGC_63)*coupl(nGC_69) - cMW &
                        **2d0*coupl(nGC_633)*coupl(nGC_649) - cMW**2d0*coupl(  &
                        nGC_64)*coupl(nGC_69) + 8d0*coupl(nGC_102)*coupl(      &
                        nGC_107) + 8d0*coupl(nGC_126)*coupl(nGC_127))/(64d0*pi &
                        **2d0)
      coupl(nGC_2321) = coupl(nGC_1360)*dZee_QED2 + coupl(nGC_1361)*dsw_QED2
      coupl(nGC_2895) = coupl(nGC_112)*dZG0/2d0
      coupl(nGC_1953) = -(coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_181) + coupl(&
                        nGC_142)*coupl(nGC_144)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_179) + coupl(nGC_177)*coupl(nGC_619)* &
                        coupl(nGC_85) + coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_94) + coupl(nGC_178)*coupl(nGC_72)*coupl(nGC_80) + &
                        coupl(nGC_179)*coupl(nGC_180)**2d0 + coupl(nGC_179)*   &
                        coupl(nGC_182)**2d0 + coupl(nGC_179)*coupl(nGC_621)**  &
                        2d0 + coupl(nGC_180)*coupl(nGC_651)*coupl(nGC_85) +    &
                        coupl(nGC_180)*coupl(nGC_88)*coupl(nGC_92) - 8d0*coupl(&
                        nGC_2)**2d0*coupl(nGC_621) - 8d0*coupl(nGC_621)*coupl( &
                        nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1870) = -(coupl(nGC_161)**2d0*coupl(nGC_163) + coupl(nGC_161)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_161)*coupl(   &
                        nGC_89)*coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_72)*  &
                        coupl(nGC_80) + coupl(nGC_163)*coupl(nGC_164)**2d0 +   &
                        coupl(nGC_163)*coupl(nGC_165)**2d0 + coupl(nGC_163)*   &
                        coupl(nGC_168)**2d0 - 8d0*coupl(nGC_164)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_165)*coupl(nGC_651)*coupl(nGC_86) + coupl(   &
                        nGC_165)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_1951) = -(coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) + coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) + coupl(nGC_178)*coupl(nGC_63)*  &
                        coupl(nGC_80) + coupl(nGC_180)**3d0 + coupl(nGC_180)*  &
                        coupl(nGC_182)**2d0 - 8d0*coupl(nGC_180)*coupl(nGC_2)**&
                        2d0 + coupl(nGC_180)*coupl(nGC_621)**2d0 - 8d0*coupl(  &
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_181)* &
                        coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_182)*coupl(   &
                        nGC_619)*coupl(nGC_88) + coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_94) + coupl(nGC_621)*coupl(nGC_651)*coupl(   &
                        nGC_88) + coupl(nGC_621)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_1956) = -coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1955) = -(coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_181) + coupl(&
                        nGC_142)*coupl(nGC_143)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_621) + coupl(nGC_177)*coupl(nGC_619)* &
                        coupl(nGC_88) + coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_94) + coupl(nGC_178)*coupl(nGC_609)*coupl(nGC_80   &
                        ) + coupl(nGC_179)**2d0*coupl(nGC_621) - 8d0*coupl(    &
                        nGC_179)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_179)*coupl( &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_180)**2d0*coupl(     &
                        nGC_621) + coupl(nGC_180)*coupl(nGC_651)*coupl(nGC_88  &
                        ) + coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_92) + coupl(&
                        nGC_183)**2d0*coupl(nGC_621))/(32d0*pi**2d0)
      coupl(nGC_1872) = -(coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)* &
                        coupl(nGC_653)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_91) + coupl(nGC_187)**2d0*coupl(     &
                        nGC_190) + coupl(nGC_188)**2d0*coupl(nGC_190) + coupl( &
                        nGC_188)*coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) + coupl(nGC_190)*coupl(nGC_191)**&
                        2d0 - 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 - 8d0*coupl(&
                        nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_2248) = coupl(nGC_1543)*db_QED2 + coupl(nGC_1544)*dl3_QED4 +   &
                        coupl(nGC_1545)*dl2_QED4 + coupl(nGC_1546)*dl1_QED4 +  &
                        coupl(nGC_1547)*dl4_QED4 + coupl(nGC_1548)*dl5_QED4 +  &
                        coupl(nGC_1549)*da_QED2
      coupl(nGC_2249) = coupl(nGC_1495)*db_QED2 + coupl(nGC_1496)*dl3_QED4 +   &
                        coupl(nGC_1497)*dl2_QED4 + coupl(nGC_1498)*dl1_QED4 +  &
                        coupl(nGC_1499)*dl4_QED4 + coupl(nGC_1500)*dl5_QED4 +  &
                        coupl(nGC_1501)*da_QED2
      coupl(nGC_2714) = coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(nGC_195)*       &
                        dZHh_QED2/2d0 + coupl(nGC_195)*dZuL_QED2/2d0 + coupl(  &
                        nGC_195)*dZuR_QED2/2d0 + coupl(nGC_2452)
      coupl(nGC_2715) = coupl(nGC_195)*dZuL_QCD2/2d0 + coupl(nGC_195)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2453)
      coupl(nGC_1873) = -(coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_653)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_91) + coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) + coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_188)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_609)*coupl(nGC_80) + coupl(nGC_190)**2d0*coupl(    &
                        nGC_191) - 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 - 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_2242) = coupl(nGC_1367)*dZee_QED2 + coupl(nGC_1368)*dsw_QED2
      coupl(nGC_2169) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196)*coupl&
                        (nGC_197) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*   &
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_162&
                        )*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) + 20d0* &
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_609)*coupl(nGC_619)*    &
                        coupl(nGC_629)*coupl(nGC_96) - 5d0*cima*coupl(nGC_609)*&
                        coupl(nGC_629)*coupl(nGC_639)*coupl(nGC_72) - 5d0*cima*&
                        coupl(nGC_609)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72&
                        ) - 5d0*cima*coupl(nGC_609)*coupl(nGC_633)*coupl(      &
                        nGC_639)*coupl(nGC_72) - 5d0*cima*coupl(nGC_609)*coupl(&
                        nGC_639)*coupl(nGC_653)*coupl(nGC_96) - 5d0*cima*coupl(&
                        nGC_609)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72) -   &
                        5d0*cima*coupl(nGC_619)*coupl(nGC_629)*coupl(nGC_633)* &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_619)*coupl(nGC_629)*&
                        coupl(nGC_639)*coupl(nGC_94) - 5d0*cima*coupl(nGC_619)*&
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_619)*coupl(nGC_68)**2d0*coupl(nGC_91) - 5d0* &
                        cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_653)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_653)*coupl( &
                        nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_633)*coupl( &
                        nGC_639)*coupl(nGC_653)*coupl(nGC_91) - 5d0*cima*coupl(&
                        nGC_635)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_94) -   &
                        5d0*cima*coupl(nGC_635)*coupl(nGC_68)*coupl(nGC_72)*   &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_639)**2d0*coupl(    &
                        nGC_653)*coupl(nGC_94) + 3d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_43) - 6d0*coupl(nGC_19)*coupl(nGC_64)*coupl(nGC_94 &
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_24)*coupl(nGC_653)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_25)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_25&
                        )*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_619 &
                        )*coupl(nGC_94) + 3d0*coupl(nGC_33)*coupl(nGC_64)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_619)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_36)*coupl(nGC_653)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_39)*coupl(nGC_63)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_40)*coupl(nGC_609)*coupl(nGC_68) + 6d0*coupl&
                        (nGC_40)*coupl(nGC_619)*coupl(nGC_635) + 3d0*coupl(    &
                        nGC_40)*coupl(nGC_619)*coupl(nGC_96) + 3d0*coupl(nGC_40&
                        )*coupl(nGC_635)*coupl(nGC_94) + 3d0*coupl(nGC_40)*    &
                        coupl(nGC_639)*coupl(nGC_72) + 9d0*coupl(nGC_43)*coupl(&
                        nGC_609)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_72)**2d0 + &
                        3d0*coupl(nGC_43)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_45&
                        )*coupl(nGC_609)*coupl(nGC_72) + 3d0*coupl(nGC_47)*    &
                        coupl(nGC_609)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(&
                        nGC_609)*coupl(nGC_63) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_633)*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl(      &
                        nGC_635)*coupl(nGC_653) + 3d0*coupl(nGC_49)*coupl(     &
                        nGC_635)*coupl(nGC_91) + 3d0*coupl(nGC_49)*coupl(      &
                        nGC_653)*coupl(nGC_96) - 3d0*coupl(nGC_62)*coupl(      &
                        nGC_629)*coupl(nGC_639) - 3d0*coupl(nGC_62)*coupl(     &
                        nGC_633)*coupl(nGC_639))/(96d0*pi**2d0)
      coupl(nGC_2240) = coupl(nGC_1332)*dZee_QED2
      coupl(nGC_2822) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_2823) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2356) = coupl(nGC_1435)*db_QED2 + coupl(nGC_1436)*dyup1_QED3 + &
                        coupl(nGC_1437)*dyup2_QED3
      coupl(nGC_2390) = coupl(nGC_1029)*db_QED2 + coupl(nGC_1030)*dyd13x3_QED3 &
                         + coupl(nGC_1031)*dyb2_QED3
      coupl(nGC_2391) = coupl(nGC_1030)*dyd13x3_QED1_QCD2 + coupl(nGC_1031)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2394) = coupl(nGC_1183)*dyd12x2_QED3 + coupl(nGC_1184)*da_QED2 &
                         + coupl(nGC_1185)*dys2_QED3
      coupl(nGC_2395) = coupl(nGC_1183)*dyd12x2_QED1_QCD2 + coupl(nGC_1185)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2396) = coupl(nGC_1018)*dyd13x3_QED3 + coupl(nGC_1019)*        &
                        dyb2_QED3 + coupl(nGC_1020)*da_QED2
      coupl(nGC_2397) = coupl(nGC_1018)*dyd13x3_QED1_QCD2 + coupl(nGC_1019)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2398) = coupl(nGC_1056)*dydo2_QED3 + coupl(nGC_1057)*dydo1_QED3&
                         + coupl(nGC_1058)*da_QED2
      coupl(nGC_2399) = coupl(nGC_1056)*dydo2_QED1_QCD2 + coupl(nGC_1057)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2355) = coupl(nGC_1431)*dZee_QED2 + coupl(nGC_1432)*dcw_QED2 + &
                        coupl(nGC_1433)*dsw_QED2
      coupl(nGC_1930) = -coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2825) = coupl(nGC_102)*dZHMinus_QED2/2d0 + coupl(nGC_102)*     &
                        dZWMinus_QED2/2d0 + coupl(nGC_102)*dZZ_QED2/2d0 + coupl&
                        (nGC_107)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_126)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_2337) + coupl(nGC_TS_GC_15_Hh&
                        ) + coupl(nGC_TS_GC_16_Hl)
      coupl(nGC_3282) = -coupl(nGC_1805)
      coupl(nGC_3122) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2352) + coupl(  &
                        nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2
      coupl(nGC_1934) = -coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1830) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_621) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl( &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1700) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + 4d0*coupl(nGC_154)*coupl(   &
                        nGC_158) + 4d0*coupl(nGC_162)*coupl(nGC_166) + 4d0*    &
                        coupl(nGC_185)*coupl(nGC_189) + coupl(nGC_629)*coupl(  &
                        nGC_649) + coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_633 &
                        )*coupl(nGC_649) + coupl(nGC_64)*coupl(nGC_69))/(192d0*&
                        pi**2d0)
      coupl(nGC_1831) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_621) + coupl(nGC_180 &
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_2800) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2985) = coupl(nGC_2355) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZeMinusR_QED2
      coupl(nGC_2807) = coupl(nGC_2257) + coupl(nGC_46)*dZHaG0_QED2 + coupl(   &
                        nGC_47)*dZG0Ha_QED2 + coupl(nGC_59)*dZHa_QED2
      coupl(nGC_1833) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_145)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_147)*  &
                        coupl(nGC_148) - coupl(nGC_149)**2d0 - coupl(nGC_150)**&
                        2d0 - coupl(nGC_151)*coupl(nGC_152) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2357) = coupl(nGC_1436)*dyup1_QED1_QCD2 + coupl(nGC_1437)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_1834) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_145&
                        )**2d0 + coupl(nGC_147)*coupl(nGC_148) + coupl(nGC_149 &
                        )**2d0 + coupl(nGC_151)*coupl(nGC_152) + coupl(nGC_193 &
                        )**2d0 + coupl(nGC_196)**2d0 + 4d0*coupl(nGC_80)**2d0  &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1835) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_145&
                        )**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_147)*coupl(   &
                        nGC_148) + coupl(nGC_149)**2d0 + coupl(nGC_150)**2d0 + &
                        coupl(nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_2222) = (-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 - 12d0*Nc*cima&
                        *coupl(nGC_643)*coupl(nGC_8) - 12d0*Nc*coupl(nGC_6)**  &
                        2d0*coupl(nGC_643)*sq2**2d0 + 9d0*Nc*coupl(nGC_6)**2d0*&
                        coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0*sq2&
                        **4d0)/(384d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1836) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_131)**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_169)** &
                        2d0 - coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_173)** &
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1837) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_169)**2d0 - coupl(nGC_170)**2d0 - coupl(nGC_171)*  &
                        coupl(nGC_172) - coupl(nGC_173)**2d0 - coupl(nGC_174)**&
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1783) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**&
                        2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl&
                        (nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1809) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_649) - 4d0*coupl(      &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_615)*coupl(nGC_94) + coupl(nGC_609)*&
                        coupl(nGC_619)*coupl(nGC_635) + coupl(nGC_629)*coupl(  &
                        nGC_63)*coupl(nGC_639) + coupl(nGC_629)*coupl(nGC_633)*&
                        coupl(nGC_69) + coupl(nGC_63)**2d0*coupl(nGC_68) - 6d0*&
                        coupl(nGC_649)*coupl(nGC_82)*coupl(nGC_96) + coupl(    &
                        nGC_68)*coupl(nGC_69)**2d0 + coupl(nGC_68)*coupl(nGC_72&
                        )**2d0)/(96d0*pi**2d0)
      coupl(nGC_3050) = coupl(nGC_2252) + coupl(nGC_26)*dZHhHl_QED2 + coupl(   &
                        nGC_28)*dZG0Ha_QED2 + coupl(nGC_31)*dZHa_QED2 + coupl( &
                        nGC_31)*dZHl_QED2
      coupl(nGC_2934) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_2350) + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZcR_QED2
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2930) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_2221) = (-8d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 - 24d0*Nc*cima&
                        *coupl(nGC_643)*coupl(nGC_8) - 39d0*Nc*coupl(nGC_6)**  &
                        2d0*coupl(nGC_643)*sq2**2d0 + 3d0*Nc*coupl(nGC_6)**2d0*&
                        coupl(nGC_8)*sq2**2d0 + 36d0*cima*coupl(nGC_7)**4d0*sq2&
                        **4d0)/(768d0*pi**2d0)
      coupl(nGC_2938) = coupl(nGC_2258) + coupl(nGC_42)*dZHaG0_QED2 + coupl(   &
                        nGC_43)*dZGMinusHMinus_QED2 + coupl(nGC_56)*           &
                        dZHMinus_QED2
      coupl(nGC_1808) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80) +   &
                        4d0*coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_162)*coupl(nGC_167)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_185)*coupl(nGC_190)*coupl(nGC_80) + coupl(nGC_609 &
                        )*coupl(nGC_63)*coupl(nGC_649) + coupl(nGC_609)*coupl( &
                        nGC_633)*coupl(nGC_68) + coupl(nGC_619)*coupl(nGC_63)* &
                        coupl(nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_82)*coupl( &
                        nGC_94) + coupl(nGC_653)*coupl(nGC_69)*coupl(nGC_96) - &
                        6d0*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_91))/(96d0*pi&
                        **2d0)
      coupl(nGC_3234) = -coupl(nGC_2608) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1948) = -(coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) + coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**3d0 + coupl(nGC_177)*coupl(nGC_180)**2d0 + coupl(   &
                        nGC_177)*coupl(nGC_182)**2d0 - 8d0*coupl(nGC_177)*coupl&
                        (nGC_2)**2d0 + coupl(nGC_177)*coupl(nGC_621)**2d0 - 8d0&
                        *coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) + coupl(   &
                        nGC_178)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_181)* &
                        coupl(nGC_633)*coupl(nGC_80) + coupl(nGC_182)*coupl(   &
                        nGC_653)*coupl(nGC_88) + coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_91) + coupl(nGC_619)*coupl(nGC_621)*coupl(   &
                        nGC_88) + coupl(nGC_621)*coupl(nGC_85)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1708) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + 4d0*coupl(nGC_153)**2d0 + 4d0*   &
                        coupl(nGC_161)**2d0 + 4d0*coupl(nGC_184)**2d0 + coupl( &
                        nGC_619)*coupl(nGC_94) + coupl(nGC_629)*coupl(nGC_63   &
                        ) + coupl(nGC_633)*coupl(nGC_64) + coupl(nGC_639)*coupl&
                        (nGC_69) + coupl(nGC_649)*coupl(nGC_68) + coupl(nGC_653&
                        )*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_1709) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_619)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_639)*coupl(nGC_69) - cMHC**2d0*cima*coupl(nGC_649)*&
                        coupl(nGC_68) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - 2d0*cMW**  &
                        2d0*cima*coupl(nGC_629)*coupl(nGC_63) - 2d0*cMW**2d0*  &
                        cima*coupl(nGC_633)*coupl(nGC_64) - cMW**2d0*cima*coupl&
                        (nGC_639)*coupl(nGC_69) - cMW**2d0*cima*coupl(nGC_649)*&
                        coupl(nGC_68) - 4d0*cMW**2d0*coupl(nGC_61) - cMZ**2d0* &
                        cima*coupl(nGC_619)*coupl(nGC_94) - 2d0*cMZ**2d0*cima* &
                        coupl(nGC_653)*coupl(nGC_91) - 2d0*cMZ**2d0*coupl(     &
                        nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima*coupl&
                        (nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1879) = -(coupl(nGC_184)**2d0*coupl(nGC_187) + coupl(nGC_184)* &
                        coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_609)* &
                        coupl(nGC_80) + coupl(nGC_186)**2d0*coupl(nGC_187) -   &
                        8d0*coupl(nGC_186)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_186)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_187)* &
                        coupl(nGC_188)**2d0 + coupl(nGC_187)*coupl(nGC_190)**  &
                        2d0 + coupl(nGC_188)*coupl(nGC_651)*coupl(nGC_89) +    &
                        coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_2331) = coupl(nGC_906)*db_QED2 + coupl(nGC_907)*da_QED2 + coupl&
                        (nGC_908)*dcw_QED2 + coupl(nGC_909)*dZee_QED2 + coupl( &
                        nGC_910)*dsw_QED2
      coupl(nGC_2125) = cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(   &
                        32d0*pi**2d0)
      coupl(nGC_1979) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_145) + coupl(nGC_145&
                        )**3d0 + coupl(nGC_145)*coupl(nGC_147)**2d0 + coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 + coupl(nGC_145)*coupl(   &
                        nGC_151)**2d0 - 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) + coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) + coupl(nGC_146)*coupl(nGC_649)*coupl(nGC_80) + coupl&
                        (nGC_147)*coupl(nGC_619)*coupl(nGC_84) + coupl(nGC_147 &
                        )*coupl(nGC_87)*coupl(nGC_94) + coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_196) + coupl(nGC_150)*coupl(nGC_63)*&
                        coupl(nGC_80) + coupl(nGC_151)*coupl(nGC_653)*coupl(   &
                        nGC_84) + coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2885) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3211) = coupl(nGC_176)*dZsL_QCD2/2d0 + coupl(nGC_176)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2385)
      coupl(nGC_2300) = coupl(nGC_1503)*db_QED2 + coupl(nGC_1504)*dvev2_QED1 + &
                        coupl(nGC_1505)*dvev1_QED1 + coupl(nGC_1506)*dl2_QED4  &
                         + coupl(nGC_1507)*dl1_QED4 + coupl(nGC_1508)*dl4_QED4 &
                         + coupl(nGC_1509)*dl3_QED4 + coupl(nGC_1510)*da_QED2  &
                         + coupl(nGC_1511)*dl5_QED4
      coupl(nGC_1974) = -coupl(nGC_152)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2307) = coupl(nGC_873)*dl4_QED4 + coupl(nGC_874)*dl5_QED4 +    &
                        coupl(nGC_875)*dvev2_QED1 + coupl(nGC_876)*dvev1_QED1  &
                         + coupl(nGC_877)*db_QED2
      coupl(nGC_2335) = coupl(nGC_1186)*db_QED2 + coupl(nGC_1187)*dZee_QED2 +  &
                        coupl(nGC_1188)*dcw_QED2 + coupl(nGC_1189)*da_QED2
      coupl(nGC_1977) = -coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1812) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_1940) = coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2998) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2 + &
                        coupl(nGC_2309) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2137) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0  &
                         - coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(  &
                        nGC_174)**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_2023) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(      &
                        nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 4d0*&
                        Nc*cMD*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                        2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_195)*coupl(nGC_196 &
                        ) + 4d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_193)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*   &
                        coupl(nGC_195) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_131)*   &
                        coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc*cMS*coupl(      &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) + 2d0*&
                        Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181) +  &
                        4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180 &
                        ) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*   &
                        coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(      &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_185)*coupl(nGC_188)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_16) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_15) + 4d0*cima*coupl(nGC_126)*coupl(nGC_70   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_66) - coupl(     &
                        nGC_102)*coupl(nGC_619)*coupl(nGC_72) - coupl(nGC_102)*&
                        coupl(nGC_649)*coupl(nGC_96) + coupl(nGC_103)*coupl(   &
                        nGC_629)*coupl(nGC_633) + coupl(nGC_103)*coupl(nGC_649 &
                        )**2d0 + coupl(nGC_105)*coupl(nGC_633)*coupl(nGC_649   &
                        ) + coupl(nGC_106)*coupl(nGC_629)*coupl(nGC_649) -     &
                        coupl(nGC_107)*coupl(nGC_609)*coupl(nGC_92) - coupl(   &
                        nGC_107)*coupl(nGC_633)*coupl(nGC_96) + coupl(nGC_108)*&
                        coupl(nGC_649)*coupl(nGC_69) + coupl(nGC_110)*coupl(   &
                        nGC_633)*coupl(nGC_64) + coupl(nGC_111)*coupl(nGC_17)**&
                        2d0 + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_64) +     &
                        coupl(nGC_111)*coupl(nGC_68)*coupl(nGC_69) + coupl(    &
                        nGC_111)*coupl(nGC_96)**2d0 + coupl(nGC_112)*coupl(    &
                        nGC_609)*coupl(nGC_72) + coupl(nGC_114)*coupl(nGC_609)*&
                        coupl(nGC_68) + coupl(nGC_114)*coupl(nGC_619)*coupl(   &
                        nGC_635) + coupl(nGC_114)*coupl(nGC_635)*coupl(nGC_94  &
                        ) + coupl(nGC_116)*coupl(nGC_63)*coupl(nGC_649) + coupl&
                        (nGC_118)*coupl(nGC_633)*coupl(nGC_69) + coupl(nGC_119 &
                        )*coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_119)*coupl(  &
                        nGC_64)*coupl(nGC_69) + coupl(nGC_123)*coupl(nGC_635)* &
                        coupl(nGC_651) + coupl(nGC_123)*coupl(nGC_635)*coupl(  &
                        nGC_92) + coupl(nGC_123)*coupl(nGC_64)*coupl(nGC_72) - &
                        coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_69) - coupl(    &
                        nGC_125)*coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_126)* &
                        coupl(nGC_17)*coupl(nGC_649) - coupl(nGC_127)*coupl(   &
                        nGC_17)*coupl(nGC_633))/(32d0*pi**2d0)
      coupl(nGC_2025) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_619)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_653)*coupl(   &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_619)*coupl(nGC_91   &
                        ) + coupl(nGC_106)*coupl(nGC_653)*coupl(nGC_94) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_609)*coupl(nGC_72) + coupl(   &
                        nGC_109)*coupl(nGC_653)**2d0 + coupl(nGC_109)*coupl(   &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_619)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_609)*coupl(nGC_68) + coupl(nGC_114)*coupl(   &
                        nGC_639)*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_609)*&
                        coupl(nGC_69) + coupl(nGC_115)*coupl(nGC_649)*coupl(   &
                        nGC_72) + coupl(nGC_117)*coupl(nGC_619)*coupl(nGC_653  &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_619)*coupl(nGC_653) + coupl(nGC_120 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_609)*coupl(nGC_72) - coupl(nGC_128)*coupl(   &
                        nGC_619)*coupl(nGC_94) - coupl(nGC_128)*coupl(nGC_653)*&
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1676) = cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_2751) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*       &
                        dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_19)*dZZ_QED2/2d0 + coupl(nGC_2338) + coupl(nGC_73 &
                        )*dZAZ_QED2/2d0
      coupl(nGC_1674) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(   &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_1672) = cima*(coupl(nGC_615)**2d0 + coupl(nGC_82)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_2755) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2352) + coupl(  &
                        nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZsR_QED2
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2208) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_641) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_645) - 30d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_2209) = (-8d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_643)**2d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_643)*sq2**2d0 + &
                        21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_2189) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) + 24d0*   &
                        cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*cima*coupl(    &
                        nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158) + 20d0*cima&
                        *coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(nGC_166) -   &
                        10d0*cima*coupl(nGC_17)**2d0*coupl(nGC_633)*coupl(     &
                        nGC_649) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188)**2d0&
                        *coupl(nGC_189) - 10d0*cima*coupl(nGC_609)*coupl(      &
                        nGC_619)*coupl(nGC_72)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_609)*coupl(nGC_633)*coupl(nGC_94)*coupl(nGC_96) -  &
                        5d0*cima*coupl(nGC_609)*coupl(nGC_635)*coupl(nGC_69)*  &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_619)*coupl(nGC_63)* &
                        coupl(nGC_635)*coupl(nGC_72) - 10d0*cima*coupl(nGC_63)*&
                        coupl(nGC_633)*coupl(nGC_64)*coupl(nGC_69) - 10d0*cima*&
                        coupl(nGC_63)*coupl(nGC_649)*coupl(nGC_68)*coupl(nGC_69&
                        ) - 10d0*cima*coupl(nGC_633)*coupl(nGC_64)**2d0*coupl( &
                        nGC_69) - 10d0*cima*coupl(nGC_633)*coupl(nGC_649)*coupl&
                        (nGC_96)**2d0 - 10d0*cima*coupl(nGC_64)*coupl(nGC_649)*&
                        coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_649)* &
                        coupl(nGC_651)*coupl(nGC_72)*coupl(nGC_96) + 24d0*cima*&
                        coupl(nGC_66)*coupl(nGC_70) + 3d0*coupl(nGC_10)*coupl( &
                        nGC_629)*coupl(nGC_633) + 3d0*coupl(nGC_10)*coupl(     &
                        nGC_649)**2d0 + 3d0*coupl(nGC_12)*coupl(nGC_633)*coupl(&
                        nGC_649) + 3d0*coupl(nGC_13)*coupl(nGC_629)*coupl(     &
                        nGC_649) - 6d0*coupl(nGC_15)*coupl(nGC_619)*coupl(     &
                        nGC_72) - 6d0*coupl(nGC_15)*coupl(nGC_649)*coupl(nGC_96&
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_609)*coupl(nGC_92) -   &
                        6d0*coupl(nGC_16)*coupl(nGC_633)*coupl(nGC_96) + 3d0*  &
                        coupl(nGC_17)**2d0*coupl(nGC_27) - 6d0*coupl(nGC_17)*  &
                        coupl(nGC_633)*coupl(nGC_70) - 6d0*coupl(nGC_17)*coupl(&
                        nGC_649)*coupl(nGC_66) + 6d0*coupl(nGC_22)*coupl(      &
                        nGC_633)*coupl(nGC_64) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_649)*coupl(nGC_69) + 6d0*coupl(nGC_27)*coupl(nGC_63&
                        )*coupl(nGC_64) + 6d0*coupl(nGC_27)*coupl(nGC_68)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_96)**2d0 + 3d0* &
                        coupl(nGC_29)*coupl(nGC_609)*coupl(nGC_72) + 6d0*coupl(&
                        nGC_32)*coupl(nGC_63)*coupl(nGC_649) + 6d0*coupl(nGC_34&
                        )*coupl(nGC_633)*coupl(nGC_69) + 6d0*coupl(nGC_36)*    &
                        coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_36)*coupl( &
                        nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_41)*coupl(nGC_609&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_41)*coupl(nGC_619)*    &
                        coupl(nGC_635) + 6d0*coupl(nGC_41)*coupl(nGC_635)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_42)*coupl(nGC_651)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_43)*coupl(nGC_619)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_44)*coupl(nGC_629)*coupl(nGC_63) +   &
                        3d0*coupl(nGC_44)*coupl(nGC_633)*coupl(nGC_64) + 3d0*  &
                        coupl(nGC_45)*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_45)*coupl(nGC_649)*coupl(nGC_68) + 6d0*coupl(nGC_49&
                        )*coupl(nGC_635)*coupl(nGC_651) + 6d0*coupl(nGC_49)*   &
                        coupl(nGC_635)*coupl(nGC_92) + 6d0*coupl(nGC_49)*coupl(&
                        nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_57)*coupl(nGC_63 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_57)*coupl(nGC_633)*    &
                        coupl(nGC_649) + 3d0*coupl(nGC_58)*coupl(nGC_619)*coupl&
                        (nGC_92) + 3d0*coupl(nGC_58)*coupl(nGC_651)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_60)*coupl(nGC_629)*coupl(      &
                        nGC_639) + 3d0*coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_68&
                        ) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69) - 3d0&
                        *coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69))/(96d0*pi** &
                        2d0)
      coupl(nGC_2719) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_181 &
                        )*dZbL_QED2/2d0 + coupl(nGC_181)*dZtR_QED2/2d0 + coupl(&
                        nGC_2364)
      coupl(nGC_2619) = coupl(nGC_2347) + coupl(nGC_7)*dZdR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2618) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_3210) = coupl(nGC_172)*dZHaG0_QED2/2d0 + coupl(nGC_176)*       &
                        dZsL_QED2/2d0 + coupl(nGC_176)*dZsR_QED2/2d0 + coupl(  &
                        nGC_2384)
      coupl(nGC_2610) = coupl(nGC_101)*dZG0
      coupl(nGC_2613) = coupl(nGC_154)*dZHMinus_QED2/2d0 + coupl(nGC_154)*     &
                        dZeMinusR_QED2/2d0 + coupl(nGC_154)*dZnu_eL_QED2/2d0 + &
                        coupl(nGC_158)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2419&
                        )
      coupl(nGC_2612) = coupl(nGC_15)*dZHMinus_QED2/2d0 + coupl(nGC_15)*       &
                        dZHh_QED2/2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_15)*dZZ_QED2/2d0 + coupl(nGC_16)*                 &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_16)*dZHlHh_QED2/2d0&
                         + coupl(nGC_2335) + coupl(nGC_66)*dZAZ_QED2/2d0
      coupl(nGC_2614) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2617) = coupl(nGC_2347) + coupl(nGC_7)*dZdL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2616) = coupl(nGC_22)*dZHhHl_QED2 + coupl(nGC_2255) + coupl(   &
                        nGC_24)*dZGMinusHMinus_QED2 + coupl(nGC_30)*           &
                        dZHMinus_QED2 + coupl(nGC_30)*dZHl_QED2
      coupl(nGC_3235) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_112_Hh&
                        ) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_3046) = coupl(nGC_2599) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_145_Hl) + coupl&
                        (nGC_TS_GC_149_Hh)
      coupl(nGC_2026) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_173)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_173)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_173)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_180)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_180)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_195)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_195)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_157)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_157)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_157)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_165)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_165)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima*coupl(   &
                        nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_619)*&
                        coupl(nGC_91) + coupl(nGC_103)*coupl(nGC_653)*coupl(   &
                        nGC_94) + coupl(nGC_105)*coupl(nGC_619)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_653)*coupl(nGC_91) + coupl&
                        (nGC_109)*coupl(nGC_619)*coupl(nGC_653) + coupl(nGC_109&
                        )*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_112)*coupl(  &
                        nGC_619)*coupl(nGC_651) + coupl(nGC_112)*coupl(nGC_92)*&
                        coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_609)*coupl(   &
                        nGC_64) + coupl(nGC_114)*coupl(nGC_629)*coupl(nGC_72   &
                        ) + coupl(nGC_115)*coupl(nGC_609)*coupl(nGC_63) + coupl&
                        (nGC_115)*coupl(nGC_633)*coupl(nGC_72) + 2d0*coupl(    &
                        nGC_116)*coupl(nGC_609)*coupl(nGC_72) + coupl(nGC_117)*&
                        coupl(nGC_619)**2d0 + coupl(nGC_117)*coupl(nGC_94)**2d0&
                         + coupl(nGC_120)*coupl(nGC_651)*coupl(nGC_653) + coupl&
                        (nGC_120)*coupl(nGC_91)*coupl(nGC_92) - 2d0*coupl(     &
                        nGC_125)*coupl(nGC_609)*coupl(nGC_72) - coupl(nGC_129)*&
                        coupl(nGC_619)*coupl(nGC_94) - coupl(nGC_129)*coupl(   &
                        nGC_653)*coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2122) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_2116) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_151)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_175)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_182)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_197)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_154)*coupl(nGC_159)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_159)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_167)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_167 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_190)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_190)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_190)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_609)**2d0*coupl(nGC_619)*coupl(nGC_63) + 4d0*cima* &
                        coupl(nGC_609)**2d0*coupl(nGC_633)*coupl(nGC_94) + 4d0*&
                        cima*coupl(nGC_609)**2d0*coupl(nGC_649)*coupl(nGC_91   &
                        ) + 4d0*cima*coupl(nGC_609)**2d0*coupl(nGC_651)*coupl( &
                        nGC_68) + 4d0*cima*coupl(nGC_609)*coupl(nGC_635)*coupl(&
                        nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_609)*coupl( &
                        nGC_635)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl( &
                        nGC_615)*coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_94) +   &
                        9d0*cima*coupl(nGC_615)*coupl(nGC_69)*coupl(nGC_82)*   &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_619)*coupl(nGC_63)* &
                        coupl(nGC_635)*coupl(nGC_96) + 4d0*cima*coupl(nGC_63)* &
                        coupl(nGC_635)*coupl(nGC_639)*coupl(nGC_72) + 4d0*cima*&
                        coupl(nGC_633)*coupl(nGC_635)*coupl(nGC_69)*coupl(     &
                        nGC_72) + 4d0*cima*coupl(nGC_635)*coupl(nGC_653)*coupl(&
                        nGC_69)*coupl(nGC_96) + 6d0*coupl(nGC_14)*coupl(nGC_609&
                        )*coupl(nGC_649) + 6d0*coupl(nGC_15)*coupl(nGC_619)*   &
                        coupl(nGC_96) - 6d0*coupl(nGC_15)*coupl(nGC_82)*coupl( &
                        nGC_94) + 6d0*coupl(nGC_16)*coupl(nGC_609)*coupl(      &
                        nGC_633) + 6d0*coupl(nGC_16)*coupl(nGC_653)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_82)*coupl(nGC_91 &
                        ) - 6d0*coupl(nGC_63)*coupl(nGC_79)*coupl(nGC_94) - 6d0&
                        *coupl(nGC_69)*coupl(nGC_79)*coupl(nGC_91))/(192d0*pi**&
                        2d0)
      coupl(nGC_2299) = coupl(nGC_1646)*db_QED2 + coupl(nGC_1647)*dvev2_QED1 + &
                        coupl(nGC_1648)*dvev1_QED1 + coupl(nGC_1649)*dl2_QED4  &
                         + coupl(nGC_1650)*dl1_QED4 + coupl(nGC_1651)*dl4_QED4 &
                         + coupl(nGC_1652)*dl3_QED4 + coupl(nGC_1653)*da_QED2  &
                         + coupl(nGC_1654)*dl5_QED4
      coupl(nGC_2298) = coupl(nGC_961)*db_QED2 + coupl(nGC_962)*dvev2_QED1 +   &
                        coupl(nGC_963)*dvev1_QED1 + coupl(nGC_964)*dl2_QED4 +  &
                        coupl(nGC_965)*dl1_QED4 + coupl(nGC_966)*dl4_QED4 +    &
                        coupl(nGC_967)*dl3_QED4 + coupl(nGC_968)*da_QED2 +     &
                        coupl(nGC_969)*dl5_QED4
      coupl(nGC_2295) = coupl(nGC_878)*dl4_QED4 + coupl(nGC_879)*dl5_QED4 +    &
                        coupl(nGC_880)*dvev2_QED1 + coupl(nGC_881)*dvev1_QED1  &
                         + coupl(nGC_882)*db_QED2
      coupl(nGC_2294) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dvev2_QED1 +   &
                        coupl(nGC_327)*da_QED2 + coupl(nGC_329)*dl2_QED4 +     &
                        coupl(nGC_331)*dl1_QED4 + coupl(nGC_333)*dl4_QED4 +    &
                        coupl(nGC_335)*dl3_QED4 + coupl(nGC_337)*dvev1_QED1 +  &
                        coupl(nGC_339)*dl5_QED4
      coupl(nGC_2297) = coupl(nGC_883)*dl4_QED4 + coupl(nGC_884)*dl5_QED4 +    &
                        coupl(nGC_885)*dvev2_QED1 + coupl(nGC_886)*dvev1_QED1  &
                         + coupl(nGC_887)*db_QED2
      coupl(nGC_2296) = coupl(nGC_952)*db_QED2 + coupl(nGC_953)*dvev2_QED1 +   &
                        coupl(nGC_954)*dvev1_QED1 + coupl(nGC_955)*dl2_QED4 +  &
                        coupl(nGC_956)*dl1_QED4 + coupl(nGC_957)*dl4_QED4 +    &
                        coupl(nGC_958)*dl3_QED4 + coupl(nGC_959)*da_QED2 +     &
                        coupl(nGC_960)*dl5_QED4
      coupl(nGC_2291) = coupl(nGC_1605)*dvev2_QED1 + coupl(nGC_1606)*dvev1_QED1&
                         + coupl(nGC_1607)*dl2_QED4 + coupl(nGC_1608)*dl1_QED4 &
                         + coupl(nGC_1609)*dl4_QED4 + coupl(nGC_1610)*dl3_QED4 &
                         + coupl(nGC_1611)*da_QED2 + coupl(nGC_1612)*dl5_QED4
      coupl(nGC_2290) = coupl(nGC_911)*db_QED2 + coupl(nGC_912)*dvev2_QED1 +   &
                        coupl(nGC_913)*dvev1_QED1 + coupl(nGC_914)*dl2_QED4 +  &
                        coupl(nGC_915)*dl1_QED4 + coupl(nGC_916)*dl4_QED4 +    &
                        coupl(nGC_917)*dl3_QED4 + coupl(nGC_918)*da_QED2 +     &
                        coupl(nGC_919)*dl5_QED4
      coupl(nGC_2293) = coupl(nGC_1634)*dvev2_QED1 + coupl(nGC_1635)*dvev1_QED1&
                         + coupl(nGC_1636)*dl2_QED4 + coupl(nGC_1637)*dl1_QED4 &
                         + coupl(nGC_1638)*dl4_QED4 + coupl(nGC_1639)*dl3_QED4 &
                         + coupl(nGC_1640)*da_QED2 + coupl(nGC_1641)*dl5_QED4
      coupl(nGC_2292) = coupl(nGC_943)*db_QED2 + coupl(nGC_944)*dvev2_QED1 +   &
                        coupl(nGC_945)*dvev1_QED1 + coupl(nGC_946)*dl2_QED4 +  &
                        coupl(nGC_947)*dl1_QED4 + coupl(nGC_948)*dl4_QED4 +    &
                        coupl(nGC_949)*dl3_QED4 + coupl(nGC_950)*da_QED2 +     &
                        coupl(nGC_951)*dl5_QED4
      coupl(nGC_2475) = coupl(nGC_1288)*dZee_QED2 + coupl(nGC_1289)*dcw_QED2 + &
                        coupl(nGC_1290)*dsw_QED2
      coupl(nGC_2474) = coupl(nGC_1170)*dZee_QED2 + coupl(nGC_1171)*dMW2_QED2  &
                         + coupl(nGC_1172)*dcw_QED2 + coupl(nGC_1173)*dsw_QED2
      coupl(nGC_1906) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2470) = coupl(nGC_1396)*dZee_QED2 + coupl(nGC_1397)*dMW2_QED2
      coupl(nGC_2473) = coupl(nGC_1226)*dZee_QED2 + coupl(nGC_1227)*dsw_QED2 + &
                        coupl(nGC_1228)*dMW2_QED2 + coupl(nGC_1229)*da_QED2 +  &
                        coupl(nGC_1230)*db_QED2
      coupl(nGC_1903) = -coupl(nGC_146)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2360) = coupl(nGC_994)*db_QED2 + coupl(nGC_995)*dyc1_QED3 +    &
                        coupl(nGC_996)*dyc2_QED3
      coupl(nGC_2479) = coupl(nGC_1000)*dMZ2_QED2 + coupl(nGC_1001)*da_QED2 +  &
                        coupl(nGC_1002)*dcw_QED2 + coupl(nGC_997)*db_QED2 +    &
                        coupl(nGC_998)*dZee_QED2 + coupl(nGC_999)*dsw_QED2
      coupl(nGC_2478) = coupl(nGC_1068)*db_QED2 + coupl(nGC_1069)*dZee_QED2 +  &
                        coupl(nGC_1070)*dsw_QED2 + coupl(nGC_1071)*dMZ2_QED2 + &
                        coupl(nGC_1072)*da_QED2 + coupl(nGC_1073)*dcw_QED2
      coupl(nGC_2277) = coupl(nGC_1369)*db_QED2 + coupl(nGC_1370)*dl5_QED4 +   &
                        coupl(nGC_1371)*dl4_QED4 + coupl(nGC_1372)*da_QED2
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
