!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_2276) = coupl(nGC_1424)*db_QED2 + coupl(nGC_1425)*dl3_QED4 +   &
                        coupl(nGC_1426)*dl2_QED4 + coupl(nGC_1427)*dl1_QED4 +  &
                        coupl(nGC_1428)*dl4_QED4 + coupl(nGC_1429)*dl5_QED4 +  &
                        coupl(nGC_1430)*da_QED2
      coupl(nGC_2275) = coupl(nGC_1003)*dl3_QED4 + coupl(nGC_1004)*dl2_QED4 +  &
                        coupl(nGC_1005)*dl1_QED4 + coupl(nGC_1006)*dl4_QED4 +  &
                        coupl(nGC_1007)*dl5_QED4 + coupl(nGC_1008)*da_QED2
      coupl(nGC_2274) = coupl(nGC_1481)*db_QED2 + coupl(nGC_1482)*dl3_QED4 +   &
                        coupl(nGC_1483)*dl2_QED4 + coupl(nGC_1484)*dl1_QED4 +  &
                        coupl(nGC_1485)*dl4_QED4 + coupl(nGC_1486)*dl5_QED4 +  &
                        coupl(nGC_1487)*da_QED2
      coupl(nGC_2273) = coupl(nGC_1032)*dl3_QED4 + coupl(nGC_1033)*dl2_QED4 +  &
                        coupl(nGC_1034)*dl1_QED4 + coupl(nGC_1035)*dl4_QED4 +  &
                        coupl(nGC_1036)*dl5_QED4 + coupl(nGC_1037)*da_QED2
      coupl(nGC_2272) = coupl(nGC_1438)*db_QED2 + coupl(nGC_1439)*dl3_QED4 +   &
                        coupl(nGC_1440)*dl2_QED4 + coupl(nGC_1441)*dl1_QED4 +  &
                        coupl(nGC_1442)*dl4_QED4 + coupl(nGC_1443)*dl5_QED4 +  &
                        coupl(nGC_1444)*da_QED2
      coupl(nGC_2271) = coupl(nGC_1488)*db_QED2 + coupl(nGC_1489)*dl3_QED4 +   &
                        coupl(nGC_1490)*dl2_QED4 + coupl(nGC_1491)*dl1_QED4 +  &
                        coupl(nGC_1492)*dl4_QED4 + coupl(nGC_1493)*dl5_QED4 +  &
                        coupl(nGC_1494)*da_QED2
      coupl(nGC_2270) = coupl(nGC_1297)*db_QED2 + coupl(nGC_1298)*dl3_QED4 +   &
                        coupl(nGC_1299)*dl2_QED4 + coupl(nGC_1300)*dl1_QED4 +  &
                        coupl(nGC_1301)*dl4_QED4 + coupl(nGC_1302)*dl5_QED4
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2375) = coupl(nGC_1175)*dyd12x2_QED1_QCD2 + coupl(nGC_1176)*   &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2723) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*dZtL_QCD2&
                        /2d0 + coupl(nGC_2367)
      coupl(nGC_2279) = coupl(nGC_1450)*db_QED2 + coupl(nGC_1451)*dl3_QED4 +   &
                        coupl(nGC_1452)*dl2_QED4 + coupl(nGC_1453)*dl1_QED4 +  &
                        coupl(nGC_1454)*dl4_QED4 + coupl(nGC_1455)*dl5_QED4 +  &
                        coupl(nGC_1456)*da_QED2
      coupl(nGC_2278) = coupl(nGC_1457)*db_QED2 + coupl(nGC_1458)*dl3_QED4 +   &
                        coupl(nGC_1459)*dl2_QED4 + coupl(nGC_1460)*dl1_QED4 +  &
                        coupl(nGC_1461)*dl4_QED4 + coupl(nGC_1462)*dl5_QED4 +  &
                        coupl(nGC_1463)*da_QED2
      coupl(nGC_3066) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2363)
      coupl(nGC_3068) = coupl(nGC_100)*dZGMinus
      coupl(nGC_1670) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2686) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_2725) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2311) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_74)*dZHa_QED2/2d0 + coupl(nGC_74)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_1671) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_615)**2d0 - coupl(nGC_82)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2682) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2449)
      coupl(nGC_1685) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_2724) = coupl(nGC_138)*dZGMinus/2d0
      coupl(nGC_3270) = -coupl(nGC_1804)
      coupl(nGC_3274) = -coupl(nGC_1799)
      coupl(nGC_3279) = -coupl(nGC_1798)
      coupl(nGC_1962) = -coupl(nGC_178)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1936) = coupl(nGC_134)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1949) = -(coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) + coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**3d0 + coupl(nGC_177)*coupl(nGC_179)**2d0 + coupl(   &
                        nGC_177)*coupl(nGC_180)**2d0 + coupl(nGC_177)*coupl(   &
                        nGC_183)**2d0 - 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 - &
                        8d0*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) + coupl(&
                        nGC_178)*coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_179)*&
                        coupl(nGC_619)*coupl(nGC_85) + coupl(nGC_179)*coupl(   &
                        nGC_88)*coupl(nGC_94) + coupl(nGC_181)*coupl(nGC_64)*  &
                        coupl(nGC_80) + coupl(nGC_183)*coupl(nGC_653)*coupl(   &
                        nGC_85) + coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_3018) = coupl(nGC_2347) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZtR_QCD2
      coupl(nGC_3019) = coupl(nGC_7)*dZtR_QED2
      coupl(nGC_1667) = cima*coupl(nGC_7)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                        cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**  &
                        2d0)
      coupl(nGC_1678) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_3010) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*dZsL_QED2&
                        /2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl(nGC_176)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2408)
      coupl(nGC_3011) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2409)
      coupl(nGC_3013) = coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_192)*dZuL_QED2&
                        /2d0 + coupl(nGC_192)*dZuR_QED2/2d0 + coupl(nGC_195)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2458)
      coupl(nGC_3014) = coupl(nGC_192)*dZuL_QCD2/2d0 + coupl(nGC_192)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2459)
      coupl(nGC_3015) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/ &
                        2d0
      coupl(nGC_3016) = coupl(nGC_2347) + coupl(nGC_7)*dZg_QCD2/2d0 + coupl(   &
                        nGC_7)*dZtL_QCD2
      coupl(nGC_3017) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_2871) = coupl(nGC_2249) + coupl(nGC_23)*dZHlHh_QED2 + coupl(   &
                        nGC_27)*dZHMinusGMinus_QED2 + coupl(nGC_32)*dZHh_QED2
      coupl(nGC_2870) = coupl(nGC_32)*dZGMinus
      coupl(nGC_2873) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_2872) = coupl(nGC_2328) + coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl&
                        (nGC_92)*dZHaG0_QED2/2d0 + coupl(nGC_94)*dZHh_QED2/2d0 &
                         + coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_2874) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_2877) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_2879) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2974) = coupl(nGC_109)*dZG0
      coupl(nGC_2975) = coupl(nGC_2274) + coupl(nGC_26)*dZHa_QED2 + coupl(     &
                        nGC_26)*dZHh_QED2/2d0 + coupl(nGC_26)*dZHl_QED2/2d0 +  &
                        coupl(nGC_31)*dZHlHh_QED2/2d0 + coupl(nGC_37)*         &
                        dZG0Ha_QED2 + coupl(nGC_38)*dZHhHl_QED2/2d0
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1666) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3080) = coupl(nGC_173)*dZsL_QCD2/2d0 + coupl(nGC_173)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2395)
      coupl(nGC_3086) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2352) + coupl(  &
                        nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZbR_QED2
      coupl(nGC_3084) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2351) + coupl(  &
                        nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZbL_QED2
      coupl(nGC_2742) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*dZsL_QCD2&
                        /2d0 + coupl(nGC_2373)
      coupl(nGC_3089) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_TS_GC_13_Hl) = -coupl(nGC_13)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3151) = coupl(nGC_2355) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZmuMinusR_QED2
      coupl(nGC_2661) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_3098) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*       &
                        dZHl_QED2/2d0 + coupl(nGC_141)*dZbL_QED2/2d0 + coupl(  &
                        nGC_141)*dZbR_QED2/2d0 + coupl(nGC_2402)
      coupl(nGC_3079) = coupl(nGC_169)*dZHlHh_QED2/2d0 + coupl(nGC_173)*       &
                        dZHh_QED2/2d0 + coupl(nGC_173)*dZsL_QED2/2d0 + coupl(  &
                        nGC_173)*dZsR_QED2/2d0 + coupl(nGC_2394)
      coupl(nGC_2662) = coupl(nGC_2317) + coupl(nGC_72)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_72)*dZHa_QED2/2d0 + coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_2663) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_1776) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_615)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_10_Hl) = -coupl(nGC_10)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2665) = coupl(nGC_23)*dZGMinus
      coupl(nGC_1774) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_621)*coupl(nGC_85) + coupl&
                        (nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*coupl(   &
                        nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_2666) = coupl(nGC_2272) + coupl(nGC_23)*dZHh_QED2/2d0 + coupl( &
                        nGC_23)*dZHl_QED2/2d0 + coupl(nGC_32)*dZHhHl_QED2/2d0  &
                         + coupl(nGC_35)*dZHlHh_QED2/2d0 + coupl(nGC_36)*      &
                        dZHMinusGMinus_QED2
      coupl(nGC_3220) = coupl(nGC_2347) + coupl(nGC_7)*dZbR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_2667) = coupl(nGC_22)*dZHMinus_QED2 + coupl(nGC_22)*dZHh_QED2/ &
                        2d0 + coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_2276) +  &
                        coupl(nGC_30)*dZHlHh_QED2/2d0 + coupl(nGC_34)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_36)*dZGMinusHMinus_QED2
      coupl(nGC_1960) = -coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2354) = coupl(nGC_1619)*dZee_QED2 + coupl(nGC_1620)*dcw_QED2 + &
                        coupl(nGC_1621)*dsw_QED2
      coupl(nGC_2217) = (-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 - 12d0*Nc*cima&
                        *coupl(nGC_643)*coupl(nGC_8) - 9d0*Nc*coupl(nGC_6)**2d0&
                        *coupl(nGC_643)*sq2**2d0 + 12d0*Nc*coupl(nGC_6)**2d0*  &
                        coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0*sq2&
                        **4d0)/(384d0*pi**2d0)
      coupl(nGC_3292) = -coupl(nGC_1812)
      coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1733) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1887) = -coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1881) = -coupl(nGC_197)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1883) = -coupl(nGC_198)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1882) = -(coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_193) + coupl(&
                        nGC_150)*coupl(nGC_152)*coupl(nGC_196) + coupl(nGC_192 &
                        )**2d0*coupl(nGC_197) + coupl(nGC_192)*coupl(nGC_653)* &
                        coupl(nGC_88) + coupl(nGC_192)*coupl(nGC_85)*coupl(    &
                        nGC_91) + coupl(nGC_194)**2d0*coupl(nGC_197) + coupl(  &
                        nGC_195)**2d0*coupl(nGC_197) + coupl(nGC_195)*coupl(   &
                        nGC_619)*coupl(nGC_88) + coupl(nGC_195)*coupl(nGC_85)* &
                        coupl(nGC_94) + coupl(nGC_196)*coupl(nGC_609)*coupl(   &
                        nGC_80) + coupl(nGC_197)*coupl(nGC_198)**2d0 - 8d0*    &
                        coupl(nGC_198)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_198)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_2654) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*     &
                        dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl(  &
                        nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2370)
      coupl(nGC_1739) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_621) + coupl(nGC_180)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1889) = -(coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193) + coupl(&
                        nGC_149)*coupl(nGC_150)*coupl(nGC_196) + coupl(nGC_192 &
                        )**2d0*coupl(nGC_195) + coupl(nGC_193)*coupl(nGC_629)* &
                        coupl(nGC_80) + coupl(nGC_194)**2d0*coupl(nGC_195) +   &
                        coupl(nGC_194)*coupl(nGC_651)*coupl(nGC_85) + coupl(   &
                        nGC_194)*coupl(nGC_88)*coupl(nGC_92) + coupl(nGC_195)**&
                        3d0 + coupl(nGC_195)*coupl(nGC_198)**2d0 - 8d0*coupl(  &
                        nGC_195)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_195)*coupl( &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_196)*coupl(nGC_69)*  &
                        coupl(nGC_80) + coupl(nGC_198)*coupl(nGC_619)*coupl(   &
                        nGC_85) + coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2121) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                        nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_2120) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_3148) = coupl(nGC_169)*dZsL_QCD2/2d0 + coupl(nGC_169)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2401)
      coupl(nGC_1810) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_633) - 4d0*coupl(      &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_609)*coupl(nGC_615)*coupl(nGC_92) + coupl(nGC_609)*&
                        coupl(nGC_635)*coupl(nGC_651) + coupl(nGC_63)**2d0*    &
                        coupl(nGC_64) + coupl(nGC_63)*coupl(nGC_639)*coupl(    &
                        nGC_649) + coupl(nGC_633)*coupl(nGC_649)*coupl(nGC_69  &
                        ) - 6d0*coupl(nGC_633)*coupl(nGC_82)*coupl(nGC_96) +   &
                        coupl(nGC_64)*coupl(nGC_69)**2d0 + coupl(nGC_64)*coupl(&
                        nGC_72)**2d0)/(96d0*pi**2d0)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2850) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_2013) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_144) + coupl(nGC_137&
                        )**2d0*coupl(nGC_143) + coupl(nGC_137)*coupl(nGC_651)* &
                        coupl(nGC_87) + coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_92) + coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_621  &
                        ) + coupl(nGC_139)**2d0*coupl(nGC_143) + coupl(nGC_141 &
                        )**2d0*coupl(nGC_143) + coupl(nGC_141)*coupl(nGC_619)* &
                        coupl(nGC_87) + coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) + coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_621  &
                        ) + coupl(nGC_142)*coupl(nGC_609)*coupl(nGC_80) + coupl&
                        (nGC_143)*coupl(nGC_144)**2d0 - 8d0*coupl(nGC_144)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2012) = -coupl(nGC_143)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2011) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_143) + coupl(nGC_137&
                        )**2d0*coupl(nGC_144) + coupl(nGC_137)*coupl(nGC_651)* &
                        coupl(nGC_84) + coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_92) + coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181  &
                        ) + coupl(nGC_140)**2d0*coupl(nGC_144) + coupl(nGC_141 &
                        )**2d0*coupl(nGC_144) + coupl(nGC_141)*coupl(nGC_619)* &
                        coupl(nGC_84) + coupl(nGC_141)*coupl(nGC_87)*coupl(    &
                        nGC_94) + coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_179  &
                        ) + coupl(nGC_142)*coupl(nGC_72)*coupl(nGC_80) + coupl(&
                        nGC_143)**2d0*coupl(nGC_144) - 8d0*coupl(nGC_143)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2010) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_137) + coupl(nGC_137&
                        )**3d0 + coupl(nGC_137)*coupl(nGC_139)**2d0 + coupl(   &
                        nGC_137)*coupl(nGC_141)**2d0 + coupl(nGC_137)*coupl(   &
                        nGC_144)**2d0 - 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(&
                        nGC_87) + coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181  &
                        ) + coupl(nGC_138)*coupl(nGC_68)*coupl(nGC_80) + coupl(&
                        nGC_139)*coupl(nGC_619)*coupl(nGC_84) + coupl(nGC_139)*&
                        coupl(nGC_87)*coupl(nGC_94) + coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_180) + coupl(nGC_142)*coupl(nGC_633 &
                        )*coupl(nGC_80) + coupl(nGC_144)*coupl(nGC_651)*coupl( &
                        nGC_84) + coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_2017) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_175) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_609)*coupl(nGC_96) - coupl(nGC_102)*coupl(   &
                        nGC_619)*coupl(nGC_68) - coupl(nGC_102)*coupl(nGC_63)* &
                        coupl(nGC_653) - coupl(nGC_107)*coupl(nGC_64)*coupl(   &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_68)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_609)*coupl(nGC_639) + coupl(  &
                        nGC_109)*coupl(nGC_609)*coupl(nGC_68) + coupl(nGC_111)*&
                        coupl(nGC_619)*coupl(nGC_635) + coupl(nGC_111)*coupl(  &
                        nGC_635)*coupl(nGC_94) + coupl(nGC_111)*coupl(nGC_639)*&
                        coupl(nGC_72) + coupl(nGC_112)*coupl(nGC_68)*coupl(    &
                        nGC_72) + coupl(nGC_115)*coupl(nGC_17)**2d0 + coupl(   &
                        nGC_115)*coupl(nGC_72)**2d0 + coupl(nGC_115)*coupl(    &
                        nGC_96)**2d0 + coupl(nGC_116)*coupl(nGC_609)*coupl(    &
                        nGC_629) + coupl(nGC_117)*coupl(nGC_609)*coupl(nGC_64  &
                        ) + coupl(nGC_119)*coupl(nGC_633)*coupl(nGC_72) + coupl&
                        (nGC_119)*coupl(nGC_635)*coupl(nGC_653) + coupl(nGC_119&
                        )*coupl(nGC_635)*coupl(nGC_91) + coupl(nGC_120)*coupl( &
                        nGC_63)*coupl(nGC_72) - coupl(nGC_126)*coupl(nGC_17)*  &
                        coupl(nGC_609))/(32d0*pi**2d0)
      coupl(nGC_2014) = -coupl(nGC_144)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1838) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131&
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_169)**2d0 +   &
                        coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_173)**2d0 +  &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_80)**2d0 &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1839) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_2332) = coupl(nGC_1358)*dZee_QED2 + coupl(nGC_1359)*dcw_QED2
      coupl(nGC_3208) = coupl(nGC_175)*dZsL_QCD2/2d0 + coupl(nGC_175)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2387)
      coupl(nGC_2883) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_2411) = coupl(nGC_1178)*dyd12x2_QED1_QCD2 + coupl(nGC_1179)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2886) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2887) = coupl(nGC_11)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_13)*     &
                        dZHhHl_QED2/2d0 + coupl(nGC_2275) + coupl(nGC_9)*      &
                        dZHh_QED2/2d0 + 3d0*coupl(nGC_9)*dZHl_QED2/2d0
      coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3200) = coupl(nGC_2329) + coupl(nGC_91)*dZHl_QED2/2d0 + coupl( &
                        nGC_91)*dZZ_QED2/2d0 + coupl(nGC_94)*dZHaG0_QED2/2d0 + &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_3203) = coupl(nGC_2318) - coupl(nGC_63)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 + coupl&
                        (nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_2339) = coupl(nGC_1262)*dZee_QED2 + coupl(nGC_1263)*dcw_QED2 + &
                        coupl(nGC_1264)*dsw_QED2
      coupl(nGC_1944) = -coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1945) = -(coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) + coupl(&
                        nGC_140)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_182) + coupl(nGC_177)*coupl(nGC_653)* &
                        coupl(nGC_88) + coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_91) + coupl(nGC_179)**2d0*coupl(nGC_182) + coupl(  &
                        nGC_180)**2d0*coupl(nGC_182) + coupl(nGC_180)*coupl(   &
                        nGC_619)*coupl(nGC_88) + coupl(nGC_180)*coupl(nGC_85)* &
                        coupl(nGC_94) + coupl(nGC_181)*coupl(nGC_609)*coupl(   &
                        nGC_80) + coupl(nGC_182)*coupl(nGC_183)**2d0 - 8d0*    &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_3207) = coupl(nGC_171)*dZHaG0_QED2/2d0 + coupl(nGC_175)*       &
                        dZsL_QED2/2d0 + coupl(nGC_175)*dZsR_QED2/2d0 + coupl(  &
                        nGC_2386)
      coupl(nGC_2729) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_2239) = coupl(nGC_1502)*dZee_QED2
      coupl(nGC_2238) = coupl(nGC_1347)*dZgs_QCD2
      coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3147) = coupl(nGC_169)*dZHl_QED2/2d0 + coupl(nGC_169)*dZsL_QED2&
                        /2d0 + coupl(nGC_169)*dZsR_QED2/2d0 + coupl(nGC_173)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2400)
      coupl(nGC_2233) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 + 20d0&
                        *cima*coupl(nGC_157)**4d0 + 20d0*cima*coupl(nGC_165)** &
                        4d0 + 20d0*cima*coupl(nGC_188)**4d0 + 6d0*cima*coupl(  &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_619)**2d0*coupl(     &
                        nGC_94)**2d0 - 10d0*cima*coupl(nGC_619)*coupl(nGC_651)*&
                        coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_629)**&
                        2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_629)*coupl&
                        (nGC_63)*coupl(nGC_639)*coupl(nGC_69) - 5d0*cima*coupl(&
                        nGC_633)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(    &
                        nGC_633)*coupl(nGC_64)*coupl(nGC_649)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_639)**2d0*coupl(nGC_69)**2d0 - 5d0* &
                        cima*coupl(nGC_649)**2d0*coupl(nGC_68)**2d0 - 5d0*cima*&
                        coupl(nGC_651)**2d0*coupl(nGC_92)**2d0 + 3d0*cima*coupl&
                        (nGC_99)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_629)*coupl(&
                        nGC_639) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_633)*coupl(nGC_649) +  &
                        3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0*   &
                        coupl(nGC_29)*coupl(nGC_619)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_29)*coupl(nGC_651)*coupl(nGC_94) + 3d0*coupl(nGC_32&
                        )*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_32)*    &
                        coupl(nGC_649)*coupl(nGC_68) + 3d0*coupl(nGC_33)*coupl(&
                        nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_629)*coupl(nGC_63) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_633)*coupl(nGC_64) + 3d0*coupl(nGC_38)*coupl(      &
                        nGC_651)*coupl(nGC_92) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_629)*coupl(nGC_63) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_633)*coupl(nGC_64) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_639)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_649)*coupl(nGC_68) - 3d0*coupl(nGC_619)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_651)*coupl(nGC_92&
                        )*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_2231) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)**3d0 + 40d0*cima*coupl(nGC_153 &
                        )*coupl(nGC_157)**3d0 + 40d0*cima*coupl(nGC_161)*coupl(&
                        nGC_165)**3d0 + 40d0*cima*coupl(nGC_184)*coupl(nGC_188 &
                        )**3d0 - 5d0*cima*coupl(nGC_619)**2d0*coupl(nGC_91)*   &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_619)**2d0*coupl(    &
                        nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_619)*coupl( &
                        nGC_651)*coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_619)*coupl(nGC_651)*coupl(nGC_92)**2d0 - 5d0*cima* &
                        coupl(nGC_619)*coupl(nGC_651)*coupl(nGC_94)**2d0 - 5d0*&
                        cima*coupl(nGC_619)*coupl(nGC_653)*coupl(nGC_94)**2d0  &
                         - 5d0*cima*coupl(nGC_629)**2d0*coupl(nGC_63)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_629)*coupl(nGC_63)**2d0*  &
                        coupl(nGC_639) - 5d0*cima*coupl(nGC_629)*coupl(nGC_63)*&
                        coupl(nGC_633)*coupl(nGC_69) - 5d0*cima*coupl(nGC_629)*&
                        coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_64) - 5d0*cima* &
                        coupl(nGC_629)*coupl(nGC_633)*coupl(nGC_64)*coupl(     &
                        nGC_68) - 5d0*cima*coupl(nGC_629)*coupl(nGC_639)*coupl(&
                        nGC_69)**2d0 - 5d0*cima*coupl(nGC_629)*coupl(nGC_649)* &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_63)*coupl(     &
                        nGC_633)*coupl(nGC_64)*coupl(nGC_649) - 5d0*cima*coupl(&
                        nGC_63)*coupl(nGC_639)**2d0*coupl(nGC_69) - 5d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_649)**2d0*coupl(nGC_68) - 5d0* &
                        cima*coupl(nGC_633)**2d0*coupl(nGC_64)*coupl(nGC_68) - &
                        5d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl(nGC_69)** &
                        2d0 - 5d0*cima*coupl(nGC_633)*coupl(nGC_64)**2d0*coupl(&
                        nGC_649) - 5d0*cima*coupl(nGC_633)*coupl(nGC_649)*coupl&
                        (nGC_68)**2d0 - 5d0*cima*coupl(nGC_639)**2d0*coupl(    &
                        nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_64)*coupl(  &
                        nGC_649)**2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_651)**&
                        2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(      &
                        nGC_651)*coupl(nGC_653)*coupl(nGC_92)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_22)*coupl(nGC_629)*coupl(nGC_63) + 3d0*  &
                        coupl(nGC_22)*coupl(nGC_633)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_23)*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_23&
                        )*coupl(nGC_649)*coupl(nGC_68) + 3d0*coupl(nGC_25)*    &
                        coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(&
                        nGC_651)*coupl(nGC_92) + 4d0*coupl(nGC_27)*coupl(      &
                        nGC_629)*coupl(nGC_633) + 2d0*coupl(nGC_27)*coupl(     &
                        nGC_63)*coupl(nGC_64) + coupl(nGC_27)*coupl(nGC_639)** &
                        2d0 + coupl(nGC_27)*coupl(nGC_649)**2d0 + 2d0*coupl(   &
                        nGC_27)*coupl(nGC_68)**2d0 + 2d0*coupl(nGC_27)*coupl(  &
                        nGC_69)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_619)*coupl( &
                        nGC_94) + coupl(nGC_29)*coupl(nGC_651)*coupl(nGC_91) + &
                        2d0*coupl(nGC_29)*coupl(nGC_653)*coupl(nGC_92) + 2d0*  &
                        coupl(nGC_32)*coupl(nGC_629)*coupl(nGC_68) + coupl(    &
                        nGC_32)*coupl(nGC_63)*coupl(nGC_649) + 2d0*coupl(nGC_32&
                        )*coupl(nGC_633)*coupl(nGC_69) + coupl(nGC_32)*coupl(  &
                        nGC_639)*coupl(nGC_64) + coupl(nGC_33)*coupl(nGC_619)* &
                        coupl(nGC_91) + 2d0*coupl(nGC_33)*coupl(nGC_653)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_34)*coupl(nGC_629)*coupl(nGC_69&
                        ) + coupl(nGC_34)*coupl(nGC_63)*coupl(nGC_639) + 2d0*  &
                        coupl(nGC_34)*coupl(nGC_633)*coupl(nGC_68) + coupl(    &
                        nGC_34)*coupl(nGC_64)*coupl(nGC_649) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_629)*coupl(nGC_639) + 3d0*coupl(nGC_36)*   &
                        coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl( &
                        nGC_633)*coupl(nGC_649) + 3d0*coupl(nGC_36)*coupl(     &
                        nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_37)*coupl(nGC_619&
                        )*coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(nGC_651)*    &
                        coupl(nGC_94) + 2d0*coupl(nGC_38)*coupl(nGC_619)*coupl(&
                        nGC_92) + coupl(nGC_38)*coupl(nGC_651)*coupl(nGC_94) - &
                        coupl(nGC_61)*coupl(nGC_629)*coupl(nGC_68) - coupl(    &
                        nGC_61)*coupl(nGC_629)*coupl(nGC_69) - 2d0*coupl(nGC_61&
                        )*coupl(nGC_63)*coupl(nGC_639) - 2d0*coupl(nGC_61)*    &
                        coupl(nGC_63)*coupl(nGC_649) - coupl(nGC_61)*coupl(    &
                        nGC_633)*coupl(nGC_68) - coupl(nGC_61)*coupl(nGC_633)* &
                        coupl(nGC_69) - 2d0*coupl(nGC_61)*coupl(nGC_639)*coupl(&
                        nGC_64) - 2d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_649&
                        ) - 2d0*coupl(nGC_619)*coupl(nGC_91)*coupl(nGC_99) -   &
                        coupl(nGC_619)*coupl(nGC_92)*coupl(nGC_99) - 2d0*coupl(&
                        nGC_651)*coupl(nGC_94)*coupl(nGC_99) - coupl(nGC_653)* &
                        coupl(nGC_94)*coupl(nGC_99))/(32d0*pi**2d0)
      coupl(nGC_2722) = coupl(nGC_138)*dZbR_QED2/2d0 + coupl(nGC_138)*dZtL_QED2&
                        /2d0 + coupl(nGC_142)*dZHMinusGMinus_QED2/2d0 + coupl( &
                        nGC_2366)
      coupl(nGC_2237) = coupl(nGC_853)*dZgs_QCD2
      coupl(nGC_2107) = (20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_132)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_148)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_172)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_172)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_179)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_194)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_156)*coupl(nGC_158)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_156)*coupl&
                        (nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_156)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_164)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_164)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_164&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_187)*coupl(nGC_189)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_187)*coupl&
                        (nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_609)**2d0*coupl(nGC_619)*coupl(nGC_629) + 4d0*cima*&
                        coupl(nGC_609)**2d0*coupl(nGC_639)*coupl(nGC_653) + 4d0&
                        *cima*coupl(nGC_609)**2d0*coupl(nGC_64)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_609)**2d0*coupl(nGC_69)*coupl(  &
                        nGC_92) + 4d0*cima*coupl(nGC_609)*coupl(nGC_91)*coupl( &
                        nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_609)*coupl( &
                        nGC_92)*coupl(nGC_94)*coupl(nGC_96) + 9d0*cima*coupl(  &
                        nGC_615)*coupl(nGC_629)*coupl(nGC_82)*coupl(nGC_94) +  &
                        9d0*cima*coupl(nGC_615)*coupl(nGC_649)*coupl(nGC_82)*  &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_619)*coupl(nGC_629)*&
                        coupl(nGC_635)*coupl(nGC_96) + 4d0*cima*coupl(nGC_629)*&
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*  &
                        coupl(nGC_635)*coupl(nGC_649)*coupl(nGC_651)*coupl(    &
                        nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_649)*coupl( &
                        nGC_72)*coupl(nGC_96) - 6d0*coupl(nGC_14)*coupl(nGC_615&
                        )*coupl(nGC_94) + 6d0*coupl(nGC_14)*coupl(nGC_94)*coupl&
                        (nGC_96) + 6d0*coupl(nGC_15)*coupl(nGC_649)*coupl(     &
                        nGC_72) - 6d0*coupl(nGC_16)*coupl(nGC_615)*coupl(nGC_92&
                        ) + 6d0*coupl(nGC_16)*coupl(nGC_629)*coupl(nGC_72) +   &
                        6d0*coupl(nGC_16)*coupl(nGC_92)*coupl(nGC_96) - 6d0*   &
                        coupl(nGC_619)*coupl(nGC_64)*coupl(nGC_79) - 6d0*coupl(&
                        nGC_651)*coupl(nGC_69)*coupl(nGC_79))/(192d0*pi**2d0)
      coupl(nGC_2061) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2949) = coupl(nGC_108)*dZGMinus
      coupl(nGC_1868) = -(coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_164)**2d0*coupl&
                        (nGC_165) + coupl(nGC_164)*coupl(nGC_651)*coupl(nGC_89 &
                        ) + coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_92) + coupl(&
                        nGC_165)**3d0 + coupl(nGC_165)*coupl(nGC_168)**2d0 -   &
                        8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_649)*coupl(nGC_80) + coupl(nGC_168)*coupl(   &
                        nGC_619)*coupl(nGC_89) + coupl(nGC_168)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_2948) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_116)*         &
                        dZHhHl_QED2/2d0 + coupl(nGC_119)*dZHMinusGMinus_QED2 + &
                        coupl(nGC_2300) + coupl(nGC_TS_GC_23_Hh) + coupl(      &
                        nGC_TS_GC_35_Hl)
      coupl(nGC_2101) = (-64d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_85)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 64d0*Nc*cima*   &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_88)**2d0 - 64d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)** &
                        2d0 + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(&
                        nGC_84)*coupl(nGC_87) - 64d0*Nc*cima*coupl(nGC_137)*   &
                        coupl(nGC_141)*coupl(nGC_87)**2d0 - 64d0*Nc*cima*coupl(&
                        nGC_145)*coupl(nGC_149)*coupl(nGC_84)**2d0 + 80d0*Nc*  &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_84)*coupl(&
                        nGC_87) - 64d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*  &
                        coupl(nGC_87)**2d0 - 64d0*Nc*cima*coupl(nGC_169)*coupl(&
                        nGC_173)*coupl(nGC_84)**2d0 + 80d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_87) -  &
                        64d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_87&
                        )**2d0 - 64d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*   &
                        coupl(nGC_85)**2d0 + 80d0*Nc*cima*coupl(nGC_177)*coupl(&
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 64d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 - 64d0&
                        *Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85)** &
                        2d0 + 80d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(&
                        nGC_85)*coupl(nGC_88) - 64d0*Nc*cima*coupl(nGC_192)*   &
                        coupl(nGC_195)*coupl(nGC_88)**2d0 - 64d0*cima*coupl(   &
                        nGC_153)*coupl(nGC_157)*coupl(nGC_86)**2d0 + 80d0*cima*&
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 64d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl&
                        (nGC_89)**2d0 - 64d0*cima*coupl(nGC_161)*coupl(nGC_165 &
                        )*coupl(nGC_86)**2d0 + 80d0*cima*coupl(nGC_161)*coupl( &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) - 64d0*cima*coupl(&
                        nGC_161)*coupl(nGC_165)*coupl(nGC_89)**2d0 - 64d0*cima*&
                        coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_86)**2d0 + 80d0&
                        *cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_86)*coupl&
                        (nGC_89) - 64d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_89)**2d0 + 9d0*cima*coupl(nGC_615)**2d0*coupl&
                        (nGC_629)*coupl(nGC_68) + 9d0*cima*coupl(nGC_615)**2d0*&
                        coupl(nGC_63)*coupl(nGC_649) + 9d0*cima*coupl(nGC_615  &
                        )**2d0*coupl(nGC_633)*coupl(nGC_68) + 9d0*cima*coupl(  &
                        nGC_615)**2d0*coupl(nGC_64)*coupl(nGC_649) + 8d0*cima* &
                        coupl(nGC_619)**2d0*coupl(nGC_91)*coupl(nGC_94) + 8d0* &
                        cima*coupl(nGC_619)**2d0*coupl(nGC_92)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_619)*coupl(nGC_651)*coupl(nGC_91)** &
                        2d0 + 4d0*cima*coupl(nGC_619)*coupl(nGC_651)*coupl(    &
                        nGC_92)**2d0 + 8d0*cima*coupl(nGC_619)*coupl(nGC_651)* &
                        coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_619)*coupl(    &
                        nGC_653)*coupl(nGC_91)**2d0 + 4d0*cima*coupl(nGC_619)* &
                        coupl(nGC_653)*coupl(nGC_92)**2d0 + 8d0*cima*coupl(    &
                        nGC_619)*coupl(nGC_653)*coupl(nGC_94)**2d0 + 4d0*cima* &
                        coupl(nGC_629)*coupl(nGC_635)**2d0*coupl(nGC_68) + 9d0*&
                        cima*coupl(nGC_629)*coupl(nGC_69)*coupl(nGC_82)**2d0 + &
                        4d0*cima*coupl(nGC_629)*coupl(nGC_69)*coupl(nGC_96)**  &
                        2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_635)**2d0*coupl(&
                        nGC_649) + 9d0*cima*coupl(nGC_63)*coupl(nGC_639)*coupl(&
                        nGC_82)**2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_639)*  &
                        coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_633)*coupl(    &
                        nGC_635)**2d0*coupl(nGC_68) + 9d0*cima*coupl(nGC_633)* &
                        coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_633)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0*cima*  &
                        coupl(nGC_635)**2d0*coupl(nGC_64)*coupl(nGC_649) + 9d0*&
                        cima*coupl(nGC_639)*coupl(nGC_64)*coupl(nGC_82)**2d0 + &
                        4d0*cima*coupl(nGC_639)*coupl(nGC_64)*coupl(nGC_96)**  &
                        2d0 + 4d0*cima*coupl(nGC_651)**2d0*coupl(nGC_91)*coupl(&
                        nGC_94) + 4d0*cima*coupl(nGC_651)**2d0*coupl(nGC_92)*  &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_653)**2d0*coupl(    &
                        nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_653)**2d0*  &
                        coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_100)*coupl(&
                        nGC_63)*coupl(nGC_639) + 6d0*coupl(nGC_100)*coupl(     &
                        nGC_63)*coupl(nGC_649) + 6d0*coupl(nGC_100)*coupl(     &
                        nGC_639)*coupl(nGC_64) + 6d0*coupl(nGC_100)*coupl(     &
                        nGC_64)*coupl(nGC_649) + 6d0*coupl(nGC_101)*coupl(     &
                        nGC_619)*coupl(nGC_91) + 6d0*coupl(nGC_101)*coupl(     &
                        nGC_651)*coupl(nGC_94) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_615)*coupl(nGC_649) - 6d0*coupl(nGC_14)*coupl(     &
                        nGC_615)*coupl(nGC_68) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_639)*coupl(nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_69&
                        )*coupl(nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_615)*    &
                        coupl(nGC_649) - 6d0*coupl(nGC_15)*coupl(nGC_615)*coupl&
                        (nGC_68) - 6d0*coupl(nGC_15)*coupl(nGC_639)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_69)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_615)*coupl(nGC_629) -  &
                        6d0*coupl(nGC_16)*coupl(nGC_615)*coupl(nGC_63) - 6d0*  &
                        coupl(nGC_16)*coupl(nGC_615)*coupl(nGC_633) - 6d0*coupl&
                        (nGC_16)*coupl(nGC_615)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_629)*coupl(nGC_82) - 6d0*coupl(nGC_16&
                        )*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_633)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_629)*coupl(      &
                        nGC_631)*coupl(nGC_68) - 6d0*coupl(nGC_629)*coupl(     &
                        nGC_631)*coupl(nGC_69) - 6d0*coupl(nGC_631)*coupl(     &
                        nGC_633)*coupl(nGC_68) - 6d0*coupl(nGC_631)*coupl(     &
                        nGC_633)*coupl(nGC_69))/(192d0*pi**2d0)
      coupl(nGC_2635) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(        &
                        nGC_TS_GC_111_Hh) + coupl(nGC_TS_GC_119_Hl)
      coupl(nGC_2100) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_84)**2d0 - &
                        coupl(nGC_85)**2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2103) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)*coupl&
                        (nGC_88) - 32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)**  &
                        2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_173)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_88)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)**2d0 +  &
                        40d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_88) - 32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_88&
                        )**2d0 - 32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_86)** &
                        2d0 + 40d0*cima*coupl(nGC_157)**2d0*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_89  &
                        )**2d0 - 32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_86)** &
                        2d0 + 40d0*cima*coupl(nGC_165)**2d0*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_89  &
                        )**2d0 - 32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_86)** &
                        2d0 + 40d0*cima*coupl(nGC_188)**2d0*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_89  &
                        )**2d0 + 12d0*cima*coupl(nGC_61)*coupl(nGC_631) + 9d0* &
                        cima*coupl(nGC_615)**2d0*coupl(nGC_633)*coupl(nGC_64   &
                        ) + 9d0*cima*coupl(nGC_615)**2d0*coupl(nGC_649)*coupl( &
                        nGC_68) + 4d0*cima*coupl(nGC_619)**2d0*coupl(nGC_92)** &
                        2d0 + 4d0*cima*coupl(nGC_619)**2d0*coupl(nGC_94)**2d0  &
                         + 4d0*cima*coupl(nGC_619)*coupl(nGC_651)*coupl(nGC_91 &
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_619)*coupl(nGC_651&
                        )*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_619 &
                        )*coupl(nGC_653)*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima&
                        *coupl(nGC_619)*coupl(nGC_653)*coupl(nGC_92)*coupl(    &
                        nGC_94) + 9d0*cima*coupl(nGC_629)*coupl(nGC_63)*coupl( &
                        nGC_82)**2d0 + 4d0*cima*coupl(nGC_629)*coupl(nGC_63)*  &
                        coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_633)*coupl(    &
                        nGC_635)**2d0*coupl(nGC_64) + 4d0*cima*coupl(nGC_635)**&
                        2d0*coupl(nGC_649)*coupl(nGC_68) + 9d0*cima*coupl(     &
                        nGC_639)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima*  &
                        coupl(nGC_639)*coupl(nGC_69)*coupl(nGC_96)**2d0 + 4d0* &
                        cima*coupl(nGC_651)**2d0*coupl(nGC_92)**2d0 + 4d0*cima*&
                        coupl(nGC_651)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl(    &
                        nGC_100)*coupl(nGC_629)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_100)*coupl(nGC_633)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_100)*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_100)*coupl(nGC_649)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_101)*coupl(nGC_619)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_101)*coupl(nGC_651)*coupl(nGC_92) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_615)*coupl(nGC_633) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_615)*coupl(nGC_64) - 6d0*coupl(nGC_15&
                        )*coupl(nGC_629)*coupl(nGC_82) - 6d0*coupl(nGC_15)*    &
                        coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl( &
                        nGC_615)*coupl(nGC_649) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_615)*coupl(nGC_68) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_639)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_69&
                        )*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(nGC_615)**  &
                        2d0 + 18d0*coupl(nGC_61)*coupl(nGC_82)**2d0 - 3d0*coupl&
                        (nGC_629)*coupl(nGC_63)*coupl(nGC_631) - 3d0*coupl(    &
                        nGC_631)*coupl(nGC_633)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_631)*coupl(nGC_639)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_631)*coupl(nGC_649)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_2641) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_2313) + coupl( &
                        nGC_65)*dZA_QED2/2d0 + coupl(nGC_65)*dZHl_QED2/2d0 +   &
                        coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_70)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0
      coupl(nGC_2785) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*           &
                        dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl(&
                        nGC_2333) + coupl(nGC_70)*dZAZ_QED2/2d0
      coupl(nGC_2835) = coupl(nGC_27)*dZGMinus/2d0
      coupl(nGC_2834) = coupl(nGC_2258) + coupl(nGC_42)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_43)*dZG0Ha_QED2 + coupl(nGC_56)*dZHa_QED2
      coupl(nGC_2837) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2836) = coupl(nGC_2278) + coupl(nGC_27)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_27)*dZHh_QED2 + coupl(nGC_32)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_34)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_36)*dZHlHh_QED2
      coupl(nGC_2343) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 + &
                        coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 +     &
                        coupl(nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
      coupl(nGC_2342) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 + &
                        coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 +     &
                        coupl(nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
      coupl(nGC_2341) = coupl(nGC_1190)*dZee_QED2 + coupl(nGC_1191)*dcw_QED2 + &
                        coupl(nGC_1192)*dsw_QED2
      coupl(nGC_2832) = -coupl(nGC_2317) - coupl(nGC_72)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_72)*dZHa_QED2/2d0 - coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_2426) = coupl(nGC_1158)*db_QED2 + coupl(nGC_1159)*dytau2_QED3  &
                         + coupl(nGC_1160)*dytau1_QED3
      coupl(nGC_2424) = coupl(nGC_1164)*db_QED2 + coupl(nGC_1165)*dym1_QED3 +  &
                        coupl(nGC_1166)*dym2_QED3
      coupl(nGC_2839) = coupl(nGC_153)*dZHl_QED2/2d0 + coupl(nGC_153)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_153)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_157)*dZHhHl_QED2/2d0 + coupl(nGC_2431)
      coupl(nGC_2348) = coupl(nGC_1224)*dZee_QED2 + coupl(nGC_1225)*dsw_QED2
      coupl(nGC_2780) = coupl(nGC_7)*dZuR_QED2
      coupl(nGC_2345) = coupl(nGC_1434)*dZee_QED2
      coupl(nGC_1842) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_137&
                        )**2d0 + coupl(nGC_139)*coupl(nGC_140) + coupl(nGC_141 &
                        )**2d0 + coupl(nGC_143)*coupl(nGC_144) + coupl(nGC_178 &
                        )**2d0 + coupl(nGC_181)**2d0 + 4d0*coupl(nGC_80)**2d0  &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2344) = coupl(nGC_1325)*dZee_QED2
      coupl(nGC_1865) = -(coupl(nGC_161)**2d0*coupl(nGC_168) + coupl(nGC_161)* &
                        coupl(nGC_653)*coupl(nGC_89) + coupl(nGC_161)*coupl(   &
                        nGC_86)*coupl(nGC_91) + coupl(nGC_163)**2d0*coupl(     &
                        nGC_168) + coupl(nGC_165)**2d0*coupl(nGC_168) + coupl( &
                        nGC_165)*coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_165)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_609)*coupl(nGC_80) + coupl(nGC_167)**2d0*coupl(    &
                        nGC_168) - 8d0*coupl(nGC_167)*coupl(nGC_4)**2d0 - 8d0* &
                        coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1832) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_145)**2d0 - coupl(nGC_147)*coupl(nGC_148) - coupl( &
                        nGC_149)**2d0 - coupl(nGC_151)*coupl(nGC_152) - coupl( &
                        nGC_193)**2d0 - coupl(nGC_196)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2215) = (-10d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 6d0*cima*coupl&
                        (nGC_645)**2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_643)* &
                        sq2**2d0 + 15d0*coupl(nGC_6)**2d0*coupl(nGC_645)*sq2** &
                        2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/(   &
                        192d0*pi**2d0)
      coupl(nGC_2340) = coupl(nGC_1211)*dZee_QED2 + coupl(nGC_1212)*dcw_QED2 + &
                        coupl(nGC_1213)*dsw_QED2
      coupl(nGC_2477) = coupl(nGC_1161)*dZee_QED2 + coupl(nGC_1162)*dMZ2_QED2  &
                         + coupl(nGC_1163)*dsw_QED2
      coupl(nGC_3061) = coupl(nGC_2324) + coupl(nGC_61)*dZHl_QED2 + coupl(     &
                        nGC_61)*dZWMinus_QED2
      coupl(nGC_2476) = coupl(nGC_1116)*dZee_QED2 + coupl(nGC_1117)*dMW2_QED2  &
                         + coupl(nGC_1118)*dsw_QED2
      coupl(nGC_3065) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174 &
                        )*dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl(&
                        nGC_2362)
      coupl(nGC_1864) = -(coupl(nGC_161)**2d0*coupl(nGC_167) + coupl(nGC_161)* &
                        coupl(nGC_653)*coupl(nGC_86) + coupl(nGC_161)*coupl(   &
                        nGC_89)*coupl(nGC_91) + coupl(nGC_164)**2d0*coupl(     &
                        nGC_167) + coupl(nGC_165)**2d0*coupl(nGC_167) + coupl( &
                        nGC_165)*coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_165)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_72)*coupl(nGC_80) + coupl(nGC_167)*coupl(nGC_168)**&
                        2d0 - 8d0*coupl(nGC_168)*coupl(nGC_4)**2d0 - 8d0*coupl(&
                        nGC_168)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_2782) = coupl(nGC_101)*dZZA_QED2/2d0
      coupl(nGC_3069) = coupl(nGC_100)*dZZ_QED2 + coupl(nGC_2340) + coupl(     &
                        nGC_97)*dZAZ_QED2
      coupl(nGC_2471) = coupl(nGC_1540)*dZee_QED2 + coupl(nGC_1541)*dMW2_QED2  &
                         + coupl(nGC_1542)*dsw_QED2
      coupl(nGC_1968) = coupl(nGC_138)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1901) = -coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1823) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_2903) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*       &
                        dZHh_QED2/2d0 + coupl(nGC_157)*dZeMinusL_QED2/2d0 +    &
                        coupl(nGC_157)*dZeMinusR_QED2/2d0 + coupl(nGC_2428)
      coupl(nGC_2905) = coupl(nGC_2323) + coupl(nGC_62)*dZHa_QED2 + coupl(     &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_2907) = coupl(nGC_2344) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(   &
                        nGC_4)*dZeMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/2d0
      coupl(nGC_2908) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2472) = coupl(nGC_1193)*dZee_QED2 + coupl(nGC_1194)*dsw_QED2 + &
                        coupl(nGC_1195)*dMW2_QED2 + coupl(nGC_1196)*da_QED2 +  &
                        coupl(nGC_1197)*db_QED2
      coupl(nGC_1820) = coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6   &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_1863) = -(coupl(nGC_153)**2d0*coupl(nGC_156) + coupl(nGC_153)* &
                        coupl(nGC_619)*coupl(nGC_89) + coupl(nGC_153)*coupl(   &
                        nGC_86)*coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_609)* &
                        coupl(nGC_80) + coupl(nGC_155)**2d0*coupl(nGC_156) -   &
                        8d0*coupl(nGC_155)*coupl(nGC_4)**2d0 - 8d0*coupl(      &
                        nGC_155)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_156)* &
                        coupl(nGC_157)**2d0 + coupl(nGC_156)*coupl(nGC_159)**  &
                        2d0 + coupl(nGC_157)*coupl(nGC_651)*coupl(nGC_89) +    &
                        coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_2349) = coupl(nGC_1573)*dZee_QED2 + coupl(nGC_1574)*dcw_QED2 + &
                        coupl(nGC_1575)*dsw_QED2
      coupl(nGC_1736) = coupl(nGC_2)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1877) = -(coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_633)*coupl(nGC_80) + coupl(nGC_186)**2d0*    &
                        coupl(nGC_188) + coupl(nGC_186)*coupl(nGC_651)*coupl(  &
                        nGC_86) + coupl(nGC_186)*coupl(nGC_89)*coupl(nGC_92) + &
                        coupl(nGC_188)**3d0 + coupl(nGC_188)*coupl(nGC_190)**  &
                        2d0 - 8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 - 8d0*coupl(&
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_68)*coupl(nGC_80) + coupl(nGC_190)*coupl(    &
                        nGC_619)*coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1806) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) -   &
                        4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) - 4d0* &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_68) - 4d0*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80) - 6d0*coupl(nGC_609)*   &
                        coupl(nGC_615)*coupl(nGC_94) + coupl(nGC_609)*coupl(   &
                        nGC_619)*coupl(nGC_635) + coupl(nGC_63)*coupl(nGC_639)*&
                        coupl(nGC_64) + coupl(nGC_633)**2d0*coupl(nGC_649) +   &
                        coupl(nGC_633)*coupl(nGC_64)*coupl(nGC_69) + coupl(    &
                        nGC_639)**2d0*coupl(nGC_649) + coupl(nGC_649)*coupl(   &
                        nGC_72)**2d0 - 6d0*coupl(nGC_68)*coupl(nGC_82)*coupl(  &
                        nGC_96))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1862) = -(coupl(nGC_153)**2d0*coupl(nGC_155) + coupl(nGC_153)* &
                        coupl(nGC_619)*coupl(nGC_86) + coupl(nGC_153)*coupl(   &
                        nGC_89)*coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_72)*  &
                        coupl(nGC_80) + coupl(nGC_155)*coupl(nGC_156)**2d0 +   &
                        coupl(nGC_155)*coupl(nGC_157)**2d0 + coupl(nGC_155)*   &
                        coupl(nGC_160)**2d0 - 8d0*coupl(nGC_156)*coupl(nGC_4)**&
                        2d0 - 8d0*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_157)*coupl(nGC_651)*coupl(nGC_86) + coupl(   &
                        nGC_157)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2942) = coupl(nGC_155)*dZHaG0_QED2/2d0 + coupl(nGC_159)*       &
                        dZeMinusL_QED2/2d0 + coupl(nGC_159)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_2423)
      coupl(nGC_2427) = coupl(nGC_1344)*db_QED2 + coupl(nGC_1345)*dytau2_QED3  &
                         + coupl(nGC_1346)*dytau1_QED3
      coupl(nGC_2140) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_2143) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_1932) = -coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2765) = coupl(nGC_151)*dZdL_QCD2/2d0 + coupl(nGC_151)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2381)
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2763) = -coupl(nGC_2475) - coupl(nGC_81)*dZWMinus_QED2/2d0
      coupl(nGC_2609) = coupl(nGC_601)*dMZ2_QED2
      coupl(nGC_1958) = -coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3057) = coupl(nGC_2595) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_130_Hl) + coupl&
                        (nGC_TS_GC_133_Hh)
      coupl(nGC_2374) = coupl(nGC_1174)*db_QED2 + coupl(nGC_1175)*dyd12x2_QED3 &
                         + coupl(nGC_1176)*dys2_QED3
      coupl(nGC_1763) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2288) = coupl(nGC_1628)*db_QED2 + coupl(nGC_1629)*dl3_QED4 +   &
                        coupl(nGC_1630)*dl2_QED4 + coupl(nGC_1631)*dl1_QED4 +  &
                        coupl(nGC_1632)*dl4_QED4 + coupl(nGC_1633)*dl5_QED4
      coupl(nGC_2289) = coupl(nGC_934)*db_QED2 + coupl(nGC_935)*dvev2_QED1 +   &
                        coupl(nGC_936)*dvev1_QED1 + coupl(nGC_937)*dl2_QED4 +  &
                        coupl(nGC_938)*dl1_QED4 + coupl(nGC_939)*dl4_QED4 +    &
                        coupl(nGC_940)*dl3_QED4 + coupl(nGC_941)*da_QED2 +     &
                        coupl(nGC_942)*dl5_QED4
      coupl(nGC_1952) = -(coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) + coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) + coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) + coupl(nGC_178)*coupl(nGC_629)* &
                        coupl(nGC_80) + coupl(nGC_179)**2d0*coupl(nGC_180) +   &
                        coupl(nGC_179)*coupl(nGC_651)*coupl(nGC_85) + coupl(   &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) + coupl(nGC_180)**&
                        3d0 + coupl(nGC_180)*coupl(nGC_183)**2d0 - 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 - 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) + coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) + coupl(nGC_183)*coupl(nGC_619)*coupl(   &
                        nGC_85) + coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2282) = coupl(nGC_1512)*db_QED2 + coupl(nGC_1513)*dl3_QED4 +   &
                        coupl(nGC_1514)*dl2_QED4 + coupl(nGC_1515)*dl1_QED4 +  &
                        coupl(nGC_1516)*dl4_QED4 + coupl(nGC_1517)*dl5_QED4 +  &
                        coupl(nGC_1518)*da_QED2
      coupl(nGC_2283) = coupl(nGC_1613)*db_QED2 + coupl(nGC_1614)*dl3_QED4 +   &
                        coupl(nGC_1615)*dl2_QED4 + coupl(nGC_1616)*dl1_QED4 +  &
                        coupl(nGC_1617)*dl4_QED4 + coupl(nGC_1618)*dl5_QED4
      coupl(nGC_2280) = coupl(nGC_1590)*db_QED2 + coupl(nGC_1591)*dl5_QED4 +   &
                        coupl(nGC_1592)*dl4_QED4 + coupl(nGC_1593)*da_QED2
      coupl(nGC_2281) = coupl(nGC_1464)*db_QED2 + coupl(nGC_1465)*dl3_QED4 +   &
                        coupl(nGC_1466)*dl2_QED4 + coupl(nGC_1467)*dl1_QED4 +  &
                        coupl(nGC_1468)*dl4_QED4 + coupl(nGC_1469)*dl5_QED4 +  &
                        coupl(nGC_1470)*da_QED2
      coupl(nGC_2286) = coupl(nGC_1560)*db_QED2 + coupl(nGC_1561)*dl3_QED4 +   &
                        coupl(nGC_1562)*dl2_QED4 + coupl(nGC_1563)*dl1_QED4 +  &
                        coupl(nGC_1564)*dl4_QED4 + coupl(nGC_1565)*dl5_QED4
      coupl(nGC_2287) = coupl(nGC_1389)*db_QED2 + coupl(nGC_1390)*dl3_QED4 +   &
                        coupl(nGC_1391)*dl2_QED4 + coupl(nGC_1392)*dl1_QED4 +  &
                        coupl(nGC_1393)*dl4_QED4 + coupl(nGC_1394)*dl5_QED4
      coupl(nGC_2284) = coupl(nGC_1418)*db_QED2 + coupl(nGC_1419)*dl3_QED4 +   &
                        coupl(nGC_1420)*dl2_QED4 + coupl(nGC_1421)*dl1_QED4 +  &
                        coupl(nGC_1422)*dl4_QED4 + coupl(nGC_1423)*dl5_QED4
      coupl(nGC_2285) = coupl(nGC_1622)*db_QED2 + coupl(nGC_1623)*dl3_QED4 +   &
                        coupl(nGC_1624)*dl2_QED4 + coupl(nGC_1625)*dl1_QED4 +  &
                        coupl(nGC_1626)*dl4_QED4 + coupl(nGC_1627)*dl5_QED4
      coupl(nGC_2462) = coupl(nGC_1012)*da_QED2 + coupl(nGC_1013)*dyt1_QED3 +  &
                        coupl(nGC_1014)*dyt2_QED3
      coupl(nGC_2463) = coupl(nGC_1013)*dyt1_QED1_QCD2 + coupl(nGC_1014)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2460) = coupl(nGC_982)*dyc1_QED3 + coupl(nGC_983)*dyc2_QED3 +  &
                        coupl(nGC_984)*da_QED2
      coupl(nGC_2461) = coupl(nGC_982)*dyc1_QED1_QCD2 + coupl(nGC_983)*        &
                        dyc2_QED1_QCD2
      coupl(nGC_2466) = coupl(nGC_988)*db_QED2 + coupl(nGC_989)*dyc1_QED3 +    &
                        coupl(nGC_990)*dyc2_QED3
      coupl(nGC_2467) = coupl(nGC_989)*dyc1_QED1_QCD2 + coupl(nGC_990)*        &
                        dyc2_QED1_QCD2
      coupl(nGC_2464) = coupl(nGC_1131)*db_QED2 + coupl(nGC_1132)*dyup1_QED3 + &
                        coupl(nGC_1133)*dyup2_QED3
      coupl(nGC_2465) = coupl(nGC_1132)*dyup1_QED1_QCD2 + coupl(nGC_1133)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_1938) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2468) = coupl(nGC_431)*db_QED2 + coupl(nGC_433)*dyt1_QED3 +    &
                        coupl(nGC_435)*dyt2_QED3
      coupl(nGC_2469) = coupl(nGC_433)*dyt1_QED1_QCD2 + coupl(nGC_435)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_1793) = (-4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_80)**2d0 - 4d0*Nc&
                        *cMC*coupl(nGC_133)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(  &
                        nGC_173)*coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_180 &
                        )*coupl(nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_195)*coupl(&
                        nGC_80)**2d0 - 4d0*cME*coupl(nGC_157)*coupl(nGC_80)**  &
                        2d0 - 4d0*cMM*coupl(nGC_165)*coupl(nGC_80)**2d0 - 4d0* &
                        cMTA*coupl(nGC_188)*coupl(nGC_80)**2d0 + 4d0*cima*coupl&
                        (nGC_125)*coupl(nGC_78) + 2d0*cima*coupl(nGC_129)*coupl&
                        (nGC_631) - coupl(nGC_102)*coupl(nGC_615)*coupl(nGC_629&
                        ) - coupl(nGC_102)*coupl(nGC_615)*coupl(nGC_63) - coupl&
                        (nGC_107)*coupl(nGC_615)*coupl(nGC_639) - coupl(nGC_107&
                        )*coupl(nGC_615)*coupl(nGC_69) + 6d0*coupl(nGC_125)*   &
                        coupl(nGC_615)**2d0 + 6d0*coupl(nGC_125)*coupl(nGC_623 &
                        )**2d0 - coupl(nGC_126)*coupl(nGC_623)*coupl(nGC_629   &
                        ) - coupl(nGC_126)*coupl(nGC_623)*coupl(nGC_63) - coupl&
                        (nGC_127)*coupl(nGC_623)*coupl(nGC_639) - coupl(nGC_127&
                        )*coupl(nGC_623)*coupl(nGC_69) + 6d0*coupl(nGC_129)*   &
                        coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2265) = coupl(nGC_1271)*db_QED2 + coupl(nGC_1272)*dl3_QED4 +   &
                        coupl(nGC_1273)*dl2_QED4 + coupl(nGC_1274)*dl1_QED4 +  &
                        coupl(nGC_1275)*dl4_QED4 + coupl(nGC_1276)*dl5_QED4
      coupl(nGC_2266) = coupl(nGC_1220)*db_QED2 + coupl(nGC_1221)*dl5_QED4 +   &
                        coupl(nGC_1222)*dl4_QED4 + coupl(nGC_1223)*da_QED2
      coupl(nGC_2267) = coupl(nGC_1231)*db_QED2 + coupl(nGC_1232)*dl5_QED4 +   &
                        coupl(nGC_1233)*dl4_QED4 + coupl(nGC_1234)*da_QED2
      coupl(nGC_2260) = coupl(nGC_1583)*db_QED2 + coupl(nGC_1584)*dl3_QED4 +   &
                        coupl(nGC_1585)*dl2_QED4 + coupl(nGC_1586)*dl1_QED4 +  &
                        coupl(nGC_1587)*dl4_QED4 + coupl(nGC_1588)*dl5_QED4 +  &
                        coupl(nGC_1589)*da_QED2
      coupl(nGC_2262) = coupl(nGC_1383)*dl3_QED4 + coupl(nGC_1384)*dl2_QED4 +  &
                        coupl(nGC_1385)*dl1_QED4 + coupl(nGC_1386)*dl4_QED4 +  &
                        coupl(nGC_1387)*dl5_QED4 + coupl(nGC_1388)*da_QED2
      coupl(nGC_2263) = coupl(nGC_1277)*db_QED2 + coupl(nGC_1278)*dl3_QED4 +   &
                        coupl(nGC_1279)*dl2_QED4 + coupl(nGC_1280)*dl1_QED4 +  &
                        coupl(nGC_1281)*dl4_QED4 + coupl(nGC_1282)*dl5_QED4
      coupl(nGC_2303) = coupl(nGC_1597)*dvev2_QED1 + coupl(nGC_1598)*dvev1_QED1&
                         + coupl(nGC_1599)*dl2_QED4 + coupl(nGC_1600)*dl1_QED4 &
                         + coupl(nGC_1601)*dl4_QED4 + coupl(nGC_1602)*dl3_QED4 &
                         + coupl(nGC_1603)*da_QED2 + coupl(nGC_1604)*dl5_QED4
      coupl(nGC_2302) = coupl(nGC_920)*db_QED2 + coupl(nGC_921)*dvev2_QED1 +   &
                        coupl(nGC_922)*dvev1_QED1 + coupl(nGC_923)*dl2_QED4 +  &
                        coupl(nGC_924)*dl1_QED4 + coupl(nGC_925)*dl4_QED4 +    &
                        coupl(nGC_926)*dl3_QED4 + coupl(nGC_927)*da_QED2 +     &
                        coupl(nGC_928)*dl5_QED4
      coupl(nGC_2301) = coupl(nGC_1336)*dvev2_QED1 + coupl(nGC_1337)*dvev1_QED1&
                         + coupl(nGC_1338)*dl2_QED4 + coupl(nGC_1339)*dl1_QED4 &
                         + coupl(nGC_1340)*dl4_QED4 + coupl(nGC_1341)*dl3_QED4 &
                         + coupl(nGC_1342)*da_QED2 + coupl(nGC_1343)*dl5_QED4
      coupl(nGC_TS_GC_39_Hl) = -coupl(nGC_39)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2268) = coupl(nGC_1553)*db_QED2 + coupl(nGC_1554)*dl3_QED4 +   &
                        coupl(nGC_1555)*dl2_QED4 + coupl(nGC_1556)*dl1_QED4 +  &
                        coupl(nGC_1557)*dl4_QED4 + coupl(nGC_1558)*dl5_QED4 +  &
                        coupl(nGC_1559)*da_QED2
      coupl(nGC_2269) = coupl(nGC_1566)*db_QED2 + coupl(nGC_1567)*dl3_QED4 +   &
                        coupl(nGC_1568)*dl2_QED4 + coupl(nGC_1569)*dl1_QED4 +  &
                        coupl(nGC_1570)*dl4_QED4 + coupl(nGC_1571)*dl5_QED4 +  &
                        coupl(nGC_1572)*da_QED2
      coupl(nGC_2022) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(    &
                        nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*   &
                        coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_177)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150) +  &
                        4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_193)*coupl(nGC_196 &
                        ) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_192)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*   &
                        coupl(nGC_193) + 2d0*Nc*cMS*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(      &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) + 4d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177) +  &
                        2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*   &
                        coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(      &
                        nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_14) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_16) + 4d0*cima*coupl(nGC_126)*coupl(nGC_65   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_629)*coupl(nGC_96) - coupl(nGC_102)*&
                        coupl(nGC_653)*coupl(nGC_72) + coupl(nGC_103)*coupl(   &
                        nGC_633)*coupl(nGC_649) + coupl(nGC_104)*coupl(nGC_629 &
                        )*coupl(nGC_649) + coupl(nGC_106)*coupl(nGC_629)*coupl(&
                        nGC_633) + coupl(nGC_106)*coupl(nGC_649)**2d0 - coupl( &
                        nGC_107)*coupl(nGC_609)*coupl(nGC_94) - coupl(nGC_107)*&
                        coupl(nGC_649)*coupl(nGC_96) + coupl(nGC_108)*coupl(   &
                        nGC_629)*coupl(nGC_69) + coupl(nGC_110)*coupl(nGC_64)* &
                        coupl(nGC_649) + coupl(nGC_111)*coupl(nGC_63)*coupl(   &
                        nGC_68) + coupl(nGC_111)*coupl(nGC_63)*coupl(nGC_69) + &
                        coupl(nGC_114)*coupl(nGC_609)*coupl(nGC_63) + coupl(   &
                        nGC_114)*coupl(nGC_635)*coupl(nGC_653) + coupl(nGC_114 &
                        )*coupl(nGC_635)*coupl(nGC_91) + coupl(nGC_116)*coupl( &
                        nGC_629)*coupl(nGC_63) + coupl(nGC_118)*coupl(nGC_649)*&
                        coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_17)**2d0 +    &
                        coupl(nGC_119)*coupl(nGC_63)*coupl(nGC_64) + coupl(    &
                        nGC_119)*coupl(nGC_68)*coupl(nGC_69) + coupl(nGC_119)* &
                        coupl(nGC_96)**2d0 + coupl(nGC_120)*coupl(nGC_609)*    &
                        coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_619)*coupl(   &
                        nGC_635) + coupl(nGC_123)*coupl(nGC_635)*coupl(nGC_94  &
                        ) + coupl(nGC_123)*coupl(nGC_68)*coupl(nGC_72) - coupl(&
                        nGC_124)*coupl(nGC_63)*coupl(nGC_69) - coupl(nGC_124)* &
                        coupl(nGC_64)*coupl(nGC_69) - coupl(nGC_126)*coupl(    &
                        nGC_17)*coupl(nGC_629) - coupl(nGC_127)*coupl(nGC_17)* &
                        coupl(nGC_649))/(32d0*pi**2d0)
      coupl(nGC_2216) = (-10d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 6d0*cima*coupl&
                        (nGC_645)**2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_641)* &
                        sq2**2d0 + 18d0*coupl(nGC_6)**2d0*coupl(nGC_645)*sq2** &
                        2d0)/(192d0*pi**2d0)
      coupl(nGC_1816) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_1788) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_88) -   &
                        4d0*coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_86) + 4d0* &
                        coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl&
                        (nGC_157)*coupl(nGC_160)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_157)*coupl(nGC_160)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_165)*coupl(nGC_167)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_165)*coupl(nGC_167)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_165)*coupl(nGC_168)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_165)*coupl(nGC_168)*coupl(nGC_89) - 4d0*coupl(     &
                        nGC_188)*coupl(nGC_190)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_188)*coupl(nGC_190)*coupl(nGC_89) + 4d0*coupl(     &
                        nGC_188)*coupl(nGC_191)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_188)*coupl(nGC_191)*coupl(nGC_89) + coupl(nGC_609)*&
                        coupl(nGC_635)*coupl(nGC_649) + coupl(nGC_609)*coupl(  &
                        nGC_639)*coupl(nGC_96) - 6d0*coupl(nGC_615)*coupl(     &
                        nGC_68)*coupl(nGC_72) + coupl(nGC_619)**3d0 + coupl(   &
                        nGC_619)*coupl(nGC_651)**2d0 + coupl(nGC_619)*coupl(   &
                        nGC_651)*coupl(nGC_653) + coupl(nGC_619)*coupl(nGC_653 &
                        )**2d0 - 6d0*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_82  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_121_Hh) = -coupl(nGC_121)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3249) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_3248) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3245) = -coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(     &
                        nGC_TS_GC_63_Hh) - coupl(nGC_TS_GC_69_Hl)
      coupl(nGC_3244) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3247) = coupl(nGC_2607) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0 - &
                        coupl(nGC_TS_GC_63_Hl) - coupl(nGC_TS_GC_68_Hh)
      coupl(nGC_3246) = coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3241) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3240) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_3243) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3242) = coupl(nGC_2591) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_161_Hl) + coupl(nGC_TS_GC_165_Hh)
      coupl(nGC_3027) = coupl(nGC_39)*dZG0
      coupl(nGC_3026) = coupl(nGC_150)*dZGMinus/2d0
      coupl(nGC_3021) = coupl(nGC_193)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_196 &
                        )*dZdL_QED2/2d0 + coupl(nGC_196)*dZuR_QED2/2d0 + coupl(&
                        nGC_2356)
      coupl(nGC_3023) = coupl(nGC_196)*dZGMinus/2d0
      coupl(nGC_3022) = coupl(nGC_196)*dZdL_QCD2/2d0 + coupl(nGC_196)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2357)
      coupl(nGC_2881) = coupl(nGC_2288) + 3d0*coupl(nGC_44)*dZHMinus_QED2/2d0  &
                         + coupl(nGC_51)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_57&
                        )*dZGMinusHMinus_QED2 + coupl(nGC_60)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_3029) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_2346) + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_3028) = coupl(nGC_2260) + coupl(nGC_25)*dZHhHl_QED2 + coupl(   &
                        nGC_28)*dZHaG0_QED2 + coupl(nGC_39)*dZHl_QED2
      coupl(nGC_2417) = coupl(nGC_1152)*db_QED2 + coupl(nGC_1153)*dym1_QED3 +  &
                        coupl(nGC_1154)*dym2_QED3
      coupl(nGC_2416) = coupl(nGC_1119)*dye2_QED3 + coupl(nGC_1120)*db_QED2 +  &
                        coupl(nGC_1121)*dye1_QED3
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
