!******************************************************************************!
!                                                                              !
!    ctparameter170.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter170.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter170
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter170()
  dZG0Ha_QED2 = (4d0*Nc*Ten522*cMU**2d0*coupl(nGC_194)*(coupl(nGC_197) - coupl(&
                nGC_198))/cMHA**2d0 + 4d0*Nc*Ten523*cMC**2d0*coupl(nGC_132)*(  &
                coupl(nGC_135) - coupl(nGC_136))/cMHA**2d0 + 4d0*Nc*Ten524*cMT &
                **2d0*coupl(nGC_179)*(coupl(nGC_182) - coupl(nGC_183))/cMHA**  &
                2d0 - 4d0*Nc*Ten525*cMD**2d0*(coupl(nGC_147)*coupl(nGC_151) +  &
                coupl(nGC_148)*coupl(nGC_152))/cMHA**2d0 - 4d0*Nc*Ten526*cMS** &
                2d0*(coupl(nGC_171)*coupl(nGC_175) + coupl(nGC_172)*coupl(     &
                nGC_176))/cMHA**2d0 - 4d0*Nc*Ten527*cMB**2d0*(coupl(nGC_139)*  &
                coupl(nGC_144) + coupl(nGC_140)*coupl(nGC_143))/cMHA**2d0 + 4d0&
                *Nc*Ten532*coupl(nGC_194)*(-coupl(nGC_197) + coupl(nGC_198)) + &
                4d0*Nc*Ten533*coupl(nGC_132)*(-coupl(nGC_135) + coupl(nGC_136  &
                )) + 4d0*Nc*Ten534*coupl(nGC_179)*(-coupl(nGC_182) + coupl(    &
                nGC_183)) - 4d0*Nc*Ten535*(coupl(nGC_147)*coupl(nGC_152) +     &
                coupl(nGC_148)*coupl(nGC_151)) - 4d0*Nc*Ten536*(coupl(nGC_171)*&
                coupl(nGC_176) + coupl(nGC_172)*coupl(nGC_175)) - 4d0*Nc*Ten537&
                *(coupl(nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(nGC_144 &
                )) + 16d0*Nc*Ten541*coupl(nGC_194)*(-coupl(nGC_197) + coupl(   &
                nGC_198))/cMHA**2d0 + 16d0*Nc*Ten542*coupl(nGC_132)*(-coupl(   &
                nGC_135) + coupl(nGC_136))/cMHA**2d0 + 16d0*Nc*Ten543*coupl(   &
                nGC_179)*(-coupl(nGC_182) + coupl(nGC_183))/cMHA**2d0 - 16d0*Nc&
                *Ten544*(coupl(nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl( &
                nGC_151))/cMHA**2d0 - 16d0*Nc*Ten545*(coupl(nGC_171)*coupl(    &
                nGC_176) + coupl(nGC_172)*coupl(nGC_175))/cMHA**2d0 - 16d0*Nc* &
                Ten546*(coupl(nGC_139)*coupl(nGC_143) + coupl(nGC_140)*coupl(  &
                nGC_144))/cMHA**2d0 + 4d0*Nc*Ten550*coupl(nGC_194)*(-coupl(    &
                nGC_197) + coupl(nGC_198)) + 4d0*Nc*Ten551*coupl(nGC_132)*(-   &
                coupl(nGC_135) + coupl(nGC_136)) + 4d0*Nc*Ten552*coupl(nGC_179 &
                )*(-coupl(nGC_182) + coupl(nGC_183)) - 4d0*Nc*Ten553*(coupl(   &
                nGC_147)*coupl(nGC_152) + coupl(nGC_148)*coupl(nGC_151)) - 4d0*&
                Nc*Ten554*(coupl(nGC_171)*coupl(nGC_176) + coupl(nGC_172)*coupl&
                (nGC_175)) - 4d0*Nc*Ten555*(coupl(nGC_139)*coupl(nGC_143) +    &
                coupl(nGC_140)*coupl(nGC_144)) - cima*Ten0*coupl(nGC_28)/cMHA**&
                2d0 - cima*Ten1*coupl(nGC_47)/cMHA**2d0 - 2d0*cima*Ten13*coupl(&
                nGC_42)/cMHA**2d0 - cima*Ten14*coupl(nGC_46)/cMHA**2d0 - cima* &
                Ten2*coupl(nGC_29)/cMHA**2d0 - 2d0*cima*Ten3*coupl(nGC_43)/cMHA&
                **2d0 + 2d0*Ten509*(4d0*cMHA**2d0*coupl(nGC_91)*coupl(nGC_94   &
                ) + coupl(nGC_109)*coupl(nGC_120))/cMHA**2d0 + 8d0*Ten510*coupl&
                (nGC_91)*coupl(nGC_94) + 8d0*Ten511*coupl(nGC_91)*coupl(nGC_94 &
                )/cMHA**2d0 + 2d0*Ten512*coupl(nGC_91)*coupl(nGC_94) + 2d0*    &
                Ten513*(4d0*cMHA**2d0*coupl(nGC_92)*coupl(nGC_94) + coupl(     &
                nGC_112)*coupl(nGC_117))/cMHA**2d0 + 8d0*Ten514*coupl(nGC_92)* &
                coupl(nGC_94) + 8d0*Ten515*coupl(nGC_92)*coupl(nGC_94)/cMHA**  &
                2d0 + 2d0*Ten516*coupl(nGC_92)*coupl(nGC_94) + 2d0*Ten517*coupl&
                (nGC_113)*coupl(nGC_120)/cMHA**2d0 + 2d0*Ten518*coupl(nGC_112)*&
                coupl(nGC_121)/cMHA**2d0 - 4d0*Ten519*cME**2d0*(coupl(nGC_155)*&
                coupl(nGC_159) + coupl(nGC_156)*coupl(nGC_160))/cMHA**2d0 - 4d0&
                *Ten520*cMM**2d0*(coupl(nGC_163)*coupl(nGC_167) + coupl(nGC_164&
                )*coupl(nGC_168))/cMHA**2d0 - 4d0*Ten521*cMTA**2d0*(coupl(     &
                nGC_186)*coupl(nGC_190) + coupl(nGC_187)*coupl(nGC_191))/cMHA**&
                2d0 - 4d0*Ten529*(coupl(nGC_155)*coupl(nGC_160) + coupl(nGC_156&
                )*coupl(nGC_159)) - 4d0*Ten530*(coupl(nGC_163)*coupl(nGC_168   &
                ) + coupl(nGC_164)*coupl(nGC_167)) - 4d0*Ten531*(coupl(nGC_186 &
                )*coupl(nGC_191) + coupl(nGC_187)*coupl(nGC_190)) - 16d0*Ten538&
                *(coupl(nGC_155)*coupl(nGC_160) + coupl(nGC_156)*coupl(nGC_159 &
                ))/cMHA**2d0 - 16d0*Ten539*(coupl(nGC_163)*coupl(nGC_168) +    &
                coupl(nGC_164)*coupl(nGC_167))/cMHA**2d0 - 16d0*Ten540*(coupl( &
                nGC_186)*coupl(nGC_191) + coupl(nGC_187)*coupl(nGC_190))/cMHA**&
                2d0 - 4d0*Ten547*(coupl(nGC_155)*coupl(nGC_160) + coupl(nGC_156&
                )*coupl(nGC_159)) - 4d0*Ten548*(coupl(nGC_163)*coupl(nGC_168   &
                ) + coupl(nGC_164)*coupl(nGC_167)) - 4d0*Ten549*(coupl(nGC_186 &
                )*coupl(nGC_191) + coupl(nGC_187)*coupl(nGC_190)) + (12d0*Nc*  &
                cMB**2d0*coupl(nGC_139)*coupl(nGC_143) + 12d0*Nc*cMB**2d0*coupl&
                (nGC_140)*coupl(nGC_144) + 12d0*Nc*cMC**2d0*coupl(nGC_132)*    &
                coupl(nGC_135) - 12d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(nGC_136 &
                ) + 12d0*Nc*cMD**2d0*coupl(nGC_147)*coupl(nGC_152) + 12d0*Nc*  &
                cMD**2d0*coupl(nGC_148)*coupl(nGC_151) - 2d0*Nc*cMHA**2d0*coupl&
                (nGC_132)*coupl(nGC_135) + 2d0*Nc*cMHA**2d0*coupl(nGC_132)*    &
                coupl(nGC_136) - 2d0*Nc*cMHA**2d0*coupl(nGC_139)*coupl(nGC_143 &
                ) - 2d0*Nc*cMHA**2d0*coupl(nGC_140)*coupl(nGC_144) - 2d0*Nc*   &
                cMHA**2d0*coupl(nGC_147)*coupl(nGC_152) - 2d0*Nc*cMHA**2d0*    &
                coupl(nGC_148)*coupl(nGC_151) - 2d0*Nc*cMHA**2d0*coupl(nGC_171 &
                )*coupl(nGC_176) - 2d0*Nc*cMHA**2d0*coupl(nGC_172)*coupl(      &
                nGC_175) - 2d0*Nc*cMHA**2d0*coupl(nGC_179)*coupl(nGC_182) + 2d0&
                *Nc*cMHA**2d0*coupl(nGC_179)*coupl(nGC_183) - 2d0*Nc*cMHA**2d0*&
                coupl(nGC_194)*coupl(nGC_197) + 2d0*Nc*cMHA**2d0*coupl(nGC_194 &
                )*coupl(nGC_198) + 12d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(      &
                nGC_176) + 12d0*Nc*cMS**2d0*coupl(nGC_172)*coupl(nGC_175) +    &
                12d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(nGC_182) - 12d0*Nc*cMT** &
                2d0*coupl(nGC_179)*coupl(nGC_183) + 12d0*Nc*cMU**2d0*coupl(    &
                nGC_194)*coupl(nGC_197) - 12d0*Nc*cMU**2d0*coupl(nGC_194)*coupl&
                (nGC_198) + 12d0*cME**2d0*coupl(nGC_155)*coupl(nGC_160) + 12d0*&
                cME**2d0*coupl(nGC_156)*coupl(nGC_159) - 2d0*cMHA**2d0*coupl(  &
                nGC_155)*coupl(nGC_160) - 2d0*cMHA**2d0*coupl(nGC_156)*coupl(  &
                nGC_159) - 2d0*cMHA**2d0*coupl(nGC_163)*coupl(nGC_168) - 2d0*  &
                cMHA**2d0*coupl(nGC_164)*coupl(nGC_167) - 2d0*cMHA**2d0*coupl( &
                nGC_186)*coupl(nGC_191) - 2d0*cMHA**2d0*coupl(nGC_187)*coupl(  &
                nGC_190) + cMHA**2d0*coupl(nGC_91)*coupl(nGC_94) + cMHA**2d0*  &
                coupl(nGC_92)*coupl(nGC_94) - 3d0*cMHH**2d0*coupl(nGC_92)*coupl&
                (nGC_94) - 3d0*cMHL**2d0*coupl(nGC_91)*coupl(nGC_94) + 12d0*cMM&
                **2d0*coupl(nGC_163)*coupl(nGC_168) + 12d0*cMM**2d0*coupl(     &
                nGC_164)*coupl(nGC_167) + 12d0*cMTA**2d0*coupl(nGC_186)*coupl( &
                nGC_191) + 12d0*cMTA**2d0*coupl(nGC_187)*coupl(nGC_190) - 3d0* &
                cMZ**2d0*coupl(nGC_91)*coupl(nGC_94) - 3d0*cMZ**2d0*coupl(     &
                nGC_92)*coupl(nGC_94))/(3d0*cMHA**2d0))/(16d0*pi**2d0) - 2d0*  &
                cima*(coupl(nGC_120)*dtHl_QED1/cMHL**2d0 + coupl(nGC_112)*     &
                dtHh_QED1/cMHH**2d0)/cMHA**2d0
end subroutine set_ctparameter170
end module ctparameter170
