!******************************************************************************!
!                                                                              !
!    ctparameter194.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter194.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter194
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter194()
  da_l345_fin_QED2 = (MW**2d0*dMZ2_MS_QED2*(-MHH**2d0*MW**2d0*ca*sa + MHH**2d0*&
                     MZ**2d0*ca*sa + MHL**2d0*MW**2d0*ca*sa - MHL**2d0*MZ**2d0*&
                     ca*sa - MSB**2d0*MW**2d0*cb*sb + MSB**2d0*MZ**2d0*cb*sb)/ &
                     MZ**2d0 + MW**2d0*dMZ2_QED2*(MHH**2d0*MW**2d0*ca*sa - MHH &
                     **2d0*MZ**2d0*ca*sa - MHL**2d0*MW**2d0*ca*sa + MHL**2d0*MZ&
                     **2d0*ca*sa + MSB**2d0*MW**2d0*cb*sb - MSB**2d0*MZ**2d0*cb&
                     *sb)/MZ**2d0 + ca*dMHH2_MS_QED2*sa*(-MW**4d0 + 2d0*MW**2d0&
                     *MZ**2d0 - MZ**4d0) + ca*dMHH2_QED2*sa*(MW**4d0 - 2d0*MW**&
                     2d0*MZ**2d0 + MZ**4d0) + ca*dMHL2_MS_QED2*sa*(MW**4d0 -   &
                     2d0*MW**2d0*MZ**2d0 + MZ**4d0) + ca*dMHL2_QED2*sa*(-MW**  &
                     4d0 + 2d0*MW**2d0*MZ**2d0 - MZ**4d0) + ca*db_MS_QED2*sa*( &
                     MHH**2d0*MW**4d0*cb**2d0 - MHH**2d0*MW**4d0*sb**2d0 - 2d0*&
                     MHH**2d0*MW**2d0*MZ**2d0*cb**2d0 + 2d0*MHH**2d0*MW**2d0*MZ&
                     **2d0*sb**2d0 + MHH**2d0*MZ**4d0*cb**2d0 - MHH**2d0*MZ**  &
                     4d0*sb**2d0 - MHL**2d0*MW**4d0*cb**2d0 + MHL**2d0*MW**4d0*&
                     sb**2d0 + 2d0*MHL**2d0*MW**2d0*MZ**2d0*cb**2d0 - 2d0*MHL**&
                     2d0*MW**2d0*MZ**2d0*sb**2d0 - MHL**2d0*MZ**4d0*cb**2d0 +  &
                     MHL**2d0*MZ**4d0*sb**2d0)/(cb*sb) + ca*db_QED2*sa*(-MHH** &
                     2d0*MW**4d0*cb**2d0 + MHH**2d0*MW**4d0*sb**2d0 + 2d0*MHH**&
                     2d0*MW**2d0*MZ**2d0*cb**2d0 - 2d0*MHH**2d0*MW**2d0*MZ**2d0&
                     *sb**2d0 - MHH**2d0*MZ**4d0*cb**2d0 + MHH**2d0*MZ**4d0*sb &
                     **2d0 + MHL**2d0*MW**4d0*cb**2d0 - MHL**2d0*MW**4d0*sb**  &
                     2d0 - 2d0*MHL**2d0*MW**2d0*MZ**2d0*cb**2d0 + 2d0*MHL**2d0*&
                     MW**2d0*MZ**2d0*sb**2d0 + MHL**2d0*MZ**4d0*cb**2d0 - MHL**&
                     2d0*MZ**4d0*sb**2d0)/(cb*sb) + cb*dMSB2_MS_QED2*sb*(-MW** &
                     4d0 + 2d0*MW**2d0*MZ**2d0 - MZ**4d0) + cb*dMSB2_QED2*sb*( &
                     MW**4d0 - 2d0*MW**2d0*MZ**2d0 + MZ**4d0) + 2d0*           &
                     dZee_MS_QED2*(-MHH**2d0*MW**4d0*ca*sa + 2d0*MHH**2d0*MW** &
                     2d0*MZ**2d0*ca*sa - MHH**2d0*MZ**4d0*ca*sa + MHL**2d0*MW**&
                     4d0*ca*sa - 2d0*MHL**2d0*MW**2d0*MZ**2d0*ca*sa + MHL**2d0*&
                     MZ**4d0*ca*sa - MSB**2d0*MW**4d0*cb*sb + 2d0*MSB**2d0*MW**&
                     2d0*MZ**2d0*cb*sb - MSB**2d0*MZ**4d0*cb*sb) + 2d0*        &
                     dZee_QED2*(MHH**2d0*MW**4d0*ca*sa - 2d0*MHH**2d0*MW**2d0* &
                     MZ**2d0*ca*sa + MHH**2d0*MZ**4d0*ca*sa - MHL**2d0*MW**4d0*&
                     ca*sa + 2d0*MHL**2d0*MW**2d0*MZ**2d0*ca*sa - MHL**2d0*MZ**&
                     4d0*ca*sa + MSB**2d0*MW**4d0*cb*sb - 2d0*MSB**2d0*MW**2d0*&
                     MZ**2d0*cb*sb + MSB**2d0*MZ**4d0*cb*sb) + dMW2_MS_QED2*(  &
                     2d0*MHH**2d0*MW**4d0*ca*sa - 3d0*MHH**2d0*MW**2d0*MZ**2d0*&
                     ca*sa + MHH**2d0*MZ**4d0*ca*sa - 2d0*MHL**2d0*MW**4d0*ca* &
                     sa + 3d0*MHL**2d0*MW**2d0*MZ**2d0*ca*sa - MHL**2d0*MZ**4d0&
                     *ca*sa + 2d0*MSB**2d0*MW**4d0*cb*sb - 3d0*MSB**2d0*MW**2d0&
                     *MZ**2d0*cb*sb + MSB**2d0*MZ**4d0*cb*sb)/MW**2d0 +        &
                     dMW2_QED2*(-2d0*MHH**2d0*MW**4d0*ca*sa + 3d0*MHH**2d0*MW**&
                     2d0*MZ**2d0*ca*sa - MHH**2d0*MZ**4d0*ca*sa + 2d0*MHL**2d0*&
                     MW**4d0*ca*sa - 3d0*MHL**2d0*MW**2d0*MZ**2d0*ca*sa + MHL**&
                     2d0*MZ**4d0*ca*sa - 2d0*MSB**2d0*MW**4d0*cb*sb + 3d0*MSB**&
                     2d0*MW**2d0*MZ**2d0*cb*sb - MSB**2d0*MZ**4d0*cb*sb)/MW**  &
                     2d0)/(-MHH**2d0*MW**4d0*ca**2d0 + MHH**2d0*MW**4d0*sa**2d0&
                      + 2d0*MHH**2d0*MW**2d0*MZ**2d0*ca**2d0 - 2d0*MHH**2d0*MW &
                     **2d0*MZ**2d0*sa**2d0 - MHH**2d0*MZ**4d0*ca**2d0 + MHH**  &
                     2d0*MZ**4d0*sa**2d0 + MHL**2d0*MW**4d0*ca**2d0 - MHL**2d0*&
                     MW**4d0*sa**2d0 - 2d0*MHL**2d0*MW**2d0*MZ**2d0*ca**2d0 +  &
                     2d0*MHL**2d0*MW**2d0*MZ**2d0*sa**2d0 + MHL**2d0*MZ**4d0*ca&
                     **2d0 - MHL**2d0*MZ**4d0*sa**2d0)
end subroutine set_ctparameter194
end module ctparameter194
