!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:19             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  dtHl_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_124) - cMZ**2d0*coupl(nGC_128)) + &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_145) + 8d0*Nc*Ten11*cMS*coupl(  &
              nGC_169) + 8d0*Nc*Ten12*cMB*coupl(nGC_141) + 8d0*Nc*Ten7*cMU*    &
              coupl(nGC_192) + 8d0*Nc*Ten8*cMC*coupl(nGC_130) + 8d0*Nc*Ten9*cMT&
              *coupl(nGC_177) - Ten0*coupl(nGC_104) + Ten1*(-coupl(nGC_109) +  &
              4d0*coupl(nGC_128) + 2d0*coupl(nGC_93)) - 2d0*Ten13*coupl(nGC_110&
              ) - Ten14*coupl(nGC_113) - Ten2*coupl(nGC_103) + 2d0*Ten3*(-coupl&
              (nGC_108) + 4d0*coupl(nGC_124) + 2d0*coupl(nGC_67)) + 8d0*Ten4*  &
              cME*coupl(nGC_153) + 8d0*Ten5*cMM*coupl(nGC_161) + 8d0*Ten6*cMTA*&
              coupl(nGC_184))/2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter71
end module ctparameter71
