!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(3672)%branchR2(0:1))
      call avR2(3672, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2060, nGC_2060,      &
      nGC_2060/))

      call avR2(3672, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2061, nGC_2061,      &
      nGC_2061/))

      allocate(vertices(3673)%branchR2(0:1))
      call avR2(3673, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3673, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(3674)%branchR2(0:5))
      call avR2(3674, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      call avR2(3674, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3674, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      call avR2(3674, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3674, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2122, nGC_2122,      &
      nGC_2122/))

      call avR2(3674, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(3494)%branchR2(0:0))
      call avR2(3494, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1366)%branchR2(0:1))
      call avR2(1366, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(1366, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1854/))

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2056,       &
      nGC_2055/))

      allocate(vertices(3017)%branchR2(0:0))
      call avR2(3017, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2802)%branchR2(0:0))
      call avR2(2802, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1658, nGC_1656,        &
      nGC_1657/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(168)%branchR2(0:1))
      call avR2(168, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(168, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3675)%branchR2(0:0))
      call avR2(3675, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(233)%branchR2(0:1))
      call avR2(233, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(233, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3337)%branchR2(0:0))
      call avR2(3337, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(2943)%branchR2(0:0))
      call avR2(2943, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2691)%branchR2(0:0))
      call avR2(2691, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1748/))

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2684)%branchR2(0:0))
      call avR2(2684, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3089)%branchR2(0:1))
      call avR2(3089, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1683, nGC_1679,       &
      nGC_1679, nGC_1682/))

      call avR2(3089, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1680,       &
      nGC_1680, nGC_1681/))

      allocate(vertices(3676)%branchR2(0:1))
      call avR2(3676, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2137/))

      call avR2(3676, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2132)%branchR2(0:0))
      call avR2(2132, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2020/))

      allocate(vertices(3581)%branchR2(0:0))
      call avR2(3581, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(2404)%branchR2(0:1))
      call avR2(2404, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(2404, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(2018)%branchR2(0:0))
      call avR2(2018, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2036/))

      allocate(vertices(3677)%branchR2(0:0))
      call avR2(3677, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1876)%branchR2(0:1))
      call avR2(1876, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1894/))

      call avR2(1876, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2803)%branchR2(0:0))
      call avR2(2803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1854/))

      allocate(vertices(2606)%branchR2(0:1))
      call avR2(2606, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1925, nGC_1923/))

      call avR2(2606, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1926, nGC_1924/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2225/))

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2056, nGC_2054 &
      /))

      allocate(vertices(2564)%branchR2(0:1))
      call avR2(2564, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2564, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(216)%branchR2(0:0))
      call avR2(216, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(2242)%branchR2(0:0))
      call avR2(2242, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1852/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1684)%branchR2(0:0))
      call avR2(1684, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1701, nGC_1700/))

      allocate(vertices(2319)%branchR2(0:3))
      call avR2(2319, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_1821, nGC_1822/))

      call avR2(2319, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(2319, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_1818, nGC_1819/))

      call avR2(2319, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(235)%branchR2(0:1))
      call avR2(235, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1975, nGC_1973/))

      call avR2(235, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1976, nGC_1974/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(3438)%branchR2(0:0))
      call avR2(3438, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2205)%branchR2(0:0))
      call avR2(2205, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2801)%branchR2(0:0))
      call avR2(2801, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(436)%branchR2(0:0))
      call avR2(436, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3501)%branchR2(0:0))
      call avR2(3501, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3679)%branchR2(0:1))
      call avR2(3679, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2151/))

      call avR2(3679, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2152/))

      allocate(vertices(2070)%branchR2(0:0))
      call avR2(2070, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(2333)%branchR2(0:0))
      call avR2(2333, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2352)%branchR2(0:0))
      call avR2(2352, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2859)%branchR2(0:0))
      call avR2(2859, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3029)%branchR2(0:0))
      call avR2(3029, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(348)%branchR2(0:1))
      call avR2(348, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1894/))

      call avR2(348, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(2515)%branchR2(0:0))
      call avR2(2515, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2029)%branchR2(0:1))
      call avR2(2029, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(2029, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3206)%branchR2(0:0))
      call avR2(3206, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1676, nGC_1677,       &
      nGC_1677, nGC_1675/))

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2007, nGC_2006/))

      call avR2(1582, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2005, nGC_2005/))

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1325)%branchR2(0:1))
      call avR2(1325, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(1325, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2231/))

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2025/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2018/))

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3467)%branchR2(0:0))
      call avR2(3467, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3241)%branchR2(0:0))
      call avR2(3241, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3523)%branchR2(0:1))
      call avR2(3523, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1683, nGC_1679,       &
      nGC_1679, nGC_1682/))

      call avR2(3523, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1681, nGC_1680,       &
      nGC_1680, nGC_1681/))

      allocate(vertices(2679)%branchR2(0:0))
      call avR2(2679, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2524)%branchR2(0:1))
      call avR2(2524, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(2524, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(273)%branchR2(0:1))
      call avR2(273, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(273, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2231/))

      allocate(vertices(2287)%branchR2(0:1))
      call avR2(2287, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1882, nGC_1880/))

      call avR2(2287, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1883, nGC_1881/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1760/))

      allocate(vertices(3680)%branchR2(0:1))
      call avR2(3680, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2146/))

      call avR2(3680, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2145/))

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1620)%branchR2(0:0))
      call avR2(1620, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(2262)%branchR2(0:1))
      call avR2(2262, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(2262, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(687)%branchR2(0:1))
      call avR2(687, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(687, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2071)%branchR2(0:1))
      call avR2(2071, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1904/))

      call avR2(2071, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(1318)%branchR2(0:1))
      call avR2(1318, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(1318, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(740)%branchR2(0:1))
      call avR2(740, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(740, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1919, nGC_1918/))

      call avR2(1611, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1917, nGC_1917/))

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(3682)%branchR2(0:1))
      call avR2(3682, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2137/))

      call avR2(3682, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2959)%branchR2(0:0))
      call avR2(2959, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2138)%branchR2(0:0))
      call avR2(2138, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1869, nGC_1868/))

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2538)%branchR2(0:1))
      call avR2(2538, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1737, nGC_1738/))

      call avR2(2538, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(632)%branchR2(0:1))
      call avR2(632, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(632, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3194)%branchR2(0:0))
      call avR2(3194, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(3267)%branchR2(0:0))
      call avR2(3267, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(1879)%branchR2(0:0))
      call avR2(1879, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2079)%branchR2(0:0))
      call avR2(2079, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3278)%branchR2(0:0))
      call avR2(3278, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1798/))

      allocate(vertices(3130)%branchR2(0:0))
      call avR2(3130, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(1562)%branchR2(0:0))
      call avR2(1562, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3169)%branchR2(0:0))
      call avR2(3169, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3684)%branchR2(0:1))
      call avR2(3684, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2163/))

      call avR2(3684, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2164/))

      allocate(vertices(2498)%branchR2(0:0))
      call avR2(2498, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(133)%branchR2(0:1))
      call avR2(133, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1945, nGC_1943/))

      call avR2(133, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1946, nGC_1944/))

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(1019)%branchR2(0:1))
      call avR2(1019, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1019, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(3685)%branchR2(0:1))
      call avR2(3685, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2149/))

      call avR2(3685, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2148/))

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(3686)%branchR2(0:0))
      call avR2(3686, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1847/))

      allocate(vertices(3687)%branchR2(0:0))
      call avR2(3687, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2048, nGC_2047,       &
      nGC_2048/))

      allocate(vertices(837)%branchR2(0:1))
      call avR2(837, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1886, nGC_1885/))

      call avR2(837, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1884, nGC_1884/))

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3688)%branchR2(0:1))
      call avR2(3688, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2152/))

      call avR2(3688, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2151/))

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3580)%branchR2(0:1))
      call avR2(3580, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_1691, nGC_1692,       &
      nGC_1692, nGC_1690/))

      call avR2(3580, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_1681, nGC_1693,       &
      nGC_1693, nGC_1681/))

      allocate(vertices(89)%branchR2(0:1))
      call avR2(89, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(89, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(3689)%branchR2(0:0))
      call avR2(3689, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2410)%branchR2(0:0))
      call avR2(2410, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(3690)%branchR2(0:1))
      call avR2(3690, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3690, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(3691)%branchR2(0:1))
      call avR2(3691, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2142/))

      call avR2(3691, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2141/))

      allocate(vertices(60)%branchR2(0:1))
      call avR2(60, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1985, nGC_1983/))

      call avR2(60, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1986, nGC_1984/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3692)%branchR2(0:1))
      call avR2(3692, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3692, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2128, nGC_2128,        &
      nGC_2127/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2597)%branchR2(0:0))
      call avR2(2597, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1579)%branchR2(0:1))
      call avR2(1579, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1741, nGC_1742/))

      call avR2(1579, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(1013)%branchR2(0:1))
      call avR2(1013, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(1013, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3693)%branchR2(0:1))
      call avR2(3693, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2140/))

      call avR2(3693, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2139/))

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(2596)%branchR2(0:1))
      call avR2(2596, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1894/))

      call avR2(2596, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(895)%branchR2(0:1))
      call avR2(895, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2013, nGC_2011/))

      call avR2(895, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2014, nGC_2012/))

      allocate(vertices(1400)%branchR2(0:0))
      call avR2(1400, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2449)%branchR2(0:1))
      call avR2(2449, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(2449, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1267)%branchR2(0:1))
      call avR2(1267, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(1267, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1131)%branchR2(0:1))
      call avR2(1131, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1969, nGC_1971/))

      call avR2(1131, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1970, nGC_1972/))

      allocate(vertices(2984)%branchR2(0:0))
      call avR2(2984, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3694)%branchR2(0:1))
      call avR2(3694, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3694, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(615)%branchR2(0:1))
      call avR2(615, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(615, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2236/))

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2624)%branchR2(0:0))
      call avR2(2624, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2029/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2229/))

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1764, nGC_1765/))

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2370)%branchR2(0:0))
      call avR2(2370, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1861, nGC_1860/))

      allocate(vertices(2948)%branchR2(0:0))
      call avR2(2948, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(881)%branchR2(0:1))
      call avR2(881, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(881, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(3437)%branchR2(0:0))
      call avR2(3437, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(112)%branchR2(0:1))
      call avR2(112, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(112, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1727/))

      allocate(vertices(3302)%branchR2(0:0))
      call avR2(3302, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1705, nGC_1704/))

      allocate(vertices(359)%branchR2(0:1))
      call avR2(359, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1780, nGC_1781/))

      call avR2(359, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(1415)%branchR2(0:0))
      call avR2(1415, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(3695)%branchR2(0:1))
      call avR2(3695, 0, 48, 1, 0, VVS0, (/2, 1/), (/nGC_1817/))

      call avR2(3695, 1, 47, 1, 0, VVS0, (/2, 1/), (/nGC_1816/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1761)%branchR2(0:0))
      call avR2(1761, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(1789)%branchR2(0:0))
      call avR2(1789, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(3696)%branchR2(0:1))
      call avR2(3696, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2142/))

      call avR2(3696, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2141/))

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(922)%branchR2(0:1))
      call avR2(922, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1774, nGC_1775/))

      call avR2(922, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1877, nGC_1876/))

      allocate(vertices(3698)%branchR2(0:0))
      call avR2(3698, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(3220)%branchR2(0:0))
      call avR2(3220, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040,       &
      nGC_2041/))

      allocate(vertices(1683)%branchR2(0:1))
      call avR2(1683, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(1683, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2062/))

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1788)%branchR2(0:1))
      call avR2(1788, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1935, nGC_1937/))

      call avR2(1788, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1936, nGC_1938/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1585)%branchR2(0:1))
      call avR2(1585, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(1585, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(2732)%branchR2(0:0))
      call avR2(2732, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2709)%branchR2(0:0))
      call avR2(2709, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1699, nGC_1698/))

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3551)%branchR2(0:0))
      call avR2(3551, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(2717)%branchR2(0:0))
      call avR2(2717, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1697, nGC_1696/))

      allocate(vertices(2936)%branchR2(0:0))
      call avR2(2936, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1867, nGC_1866/))

      allocate(vertices(2766)%branchR2(0:0))
      call avR2(2766, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1021)%branchR2(0:1))
      call avR2(1021, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1734, nGC_1735/))

      call avR2(1021, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1736, nGC_1736/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1865, nGC_1864/))

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3530)%branchR2(0:0))
      call avR2(3530, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(135)%branchR2(0:0))
      call avR2(135, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(2954)%branchR2(0:0))
      call avR2(2954, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1982)%branchR2(0:1))
      call avR2(1982, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1774, nGC_1775/))

      call avR2(1982, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1743)%branchR2(0:1))
      call avR2(1743, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(1743, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(3702)%branchR2(0:1))
      call avR2(3702, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2163/))

      call avR2(3702, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2164/))

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1237)%branchR2(0:1))
      call avR2(1237, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1237, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(2813)%branchR2(0:0))
      call avR2(2813, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1796/))

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2998)%branchR2(0:0))
      call avR2(2998, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2054,        &
      nGC_2055/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1751/))

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1676, nGC_1674,       &
      nGC_1674, nGC_1675/))

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1728, nGC_1729/))

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(1937)%branchR2(0:0))
      call avR2(1937, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2887)%branchR2(0:0))
      call avR2(2887, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2863)%branchR2(0:0))
      call avR2(2863, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3703)%branchR2(0:1))
      call avR2(3703, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3703, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(480)%branchR2(0:3))
      call avR2(480, 0, 29, 1, 0, VFFa1, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(480, 1, 29, 1, 0, VFFa1, (/1, 2/), (/nGC_1828, nGC_1829/))

      call avR2(480, 2, 28, 1, 0, VFFa1, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(480, 3, 28, 1, 0, VFFa1, (/3, 0/), (/nGC_1823, nGC_1823/))

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2230/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1799/))

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(664)%branchR2(0:1))
      call avR2(664, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(664, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1766, nGC_1767/))

      allocate(vertices(945)%branchR2(0:0))
      call avR2(945, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2019/))

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3296)%branchR2(0:0))
      call avR2(3296, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3704)%branchR2(0:5))
      call avR2(3704, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3704, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3704, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2122, nGC_2122,      &
      nGC_2122/))

      call avR2(3704, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      call avR2(3704, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2121, nGC_2121,      &
      nGC_2121/))

      call avR2(3704, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2120, nGC_2120,      &
      nGC_2120/))

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(3705)%branchR2(0:0))
      call avR2(3705, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1949)%branchR2(0:0))
      call avR2(1949, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2227)%branchR2(0:0))
      call avR2(2227, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1820)%branchR2(0:1))
      call avR2(1820, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1894/))

      call avR2(1820, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1726/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1143)%branchR2(0:1))
      call avR2(1143, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(1143, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(1319)%branchR2(0:0))
      call avR2(1319, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1874)%branchR2(0:1))
      call avR2(1874, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1982, nGC_1981/))

      call avR2(1874, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1980, nGC_1980/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2056/))

      allocate(vertices(2192)%branchR2(0:1))
      call avR2(2192, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1892, nGC_1890/))

      call avR2(2192, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1893, nGC_1891/))

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(2673)%branchR2(0:1))
      call avR2(2673, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2013, nGC_2011/))

      call avR2(2673, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2014, nGC_2012/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2202/))

      allocate(vertices(3706)%branchR2(0:1))
      call avR2(3706, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3706, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2305)%branchR2(0:0))
      call avR2(2305, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1436)%branchR2(0:0))
      call avR2(1436, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(1665)%branchR2(0:0))
      call avR2(1665, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1855/))

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2234/))

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1875, nGC_1874/))

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(66)%branchR2(0:1))
      call avR2(66, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1965, nGC_1967/))

      call avR2(66, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1966, nGC_1968/))

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(569)%branchR2(0:3))
      call avR2(569, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_1830, nGC_1831/))

      call avR2(569, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_1823, nGC_1823/))

      call avR2(569, 2, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_1820, nGC_1820/))

      call avR2(569, 3, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_1828, nGC_1829/))

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2022/))

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1848/))

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2235/))

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1926)%branchR2(0:0))
      call avR2(1926, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1871, nGC_1870/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3708)%branchR2(0:0))
      call avR2(3708, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1316)%branchR2(0:1))
      call avR2(1316, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(1316, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2078/))

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2357)%branchR2(0:1))
      call avR2(2357, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(2357, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2016/))

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(505)%branchR2(0:1))
      call avR2(505, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1999, nGC_1997/))

      call avR2(505, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2000, nGC_1998/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(876, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(2725)%branchR2(0:0))
      call avR2(2725, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(500)%branchR2(0:1))
      call avR2(500, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1904/))

      call avR2(500, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(3709)%branchR2(0:1))
      call avR2(3709, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2137/))

      call avR2(3709, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2138/))

      allocate(vertices(1674)%branchR2(0:1))
      call avR2(1674, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1674, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2087)%branchR2(0:1))
      call avR2(2087, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(2087, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1715, nGC_1714/))

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(190)%branchR2(0:0))
      call avR2(190, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2149/))

      call avR2(3710, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2148/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3711)%branchR2(0:1))
      call avR2(3711, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2142/))

      call avR2(3711, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2141/))

      allocate(vertices(1375)%branchR2(0:1))
      call avR2(1375, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1905, nGC_1907/))

      call avR2(1375, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1906, nGC_1908/))

      allocate(vertices(3712)%branchR2(0:0))
      call avR2(3712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2234/))

      allocate(vertices(3713)%branchR2(0:1))
      call avR2(3713, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2144/))

      call avR2(3713, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2143/))

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1746, nGC_1747/))

      call avR2(1647, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2128, nGC_2128,        &
      nGC_2127/))

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2614)%branchR2(0:1))
      call avR2(2614, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1782, nGC_1783/))

      call avR2(2614, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1777, nGC_1779/))

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2200/))

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1852/))

      allocate(vertices(3714)%branchR2(0:1))
      call avR2(3714, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2143/))

      call avR2(3714, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2144/))

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1243)%branchR2(0:1))
      call avR2(1243, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1922, nGC_1921/))

      call avR2(1243, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1920, nGC_1920/))

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(2445)%branchR2(0:0))
      call avR2(2445, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2196/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2203/))

      allocate(vertices(3234)%branchR2(0:0))
      call avR2(3234, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1655/))

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2207/))

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2043/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3716)%branchR2(0:1))
      call avR2(3716, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3716, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2056/))

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1857, nGC_1856/))

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2507)%branchR2(0:0))
      call avR2(2507, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2206/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2056,       &
      nGC_2054/))

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2470)%branchR2(0:0))
      call avR2(2470, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2040/))

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(3717)%branchR2(0:1))
      call avR2(3717, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      call avR2(3717, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      allocate(vertices(1269)%branchR2(0:0))
      call avR2(1269, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1859, nGC_1858/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2171/))

      allocate(vertices(1740)%branchR2(0:0))
      call avR2(1740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1879, nGC_1878/))

      allocate(vertices(3718)%branchR2(0:0))
      call avR2(3718, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3719)%branchR2(0:0))
      call avR2(3719, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(3496)%branchR2(0:0))
      call avR2(3496, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3720)%branchR2(0:0))
      call avR2(3720, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3721)%branchR2(0:1))
      call avR2(3721, 0, 51, 1, 0, VSV0, (/2, 1/), (/nGC_1815/))

      call avR2(3721, 1, 52, 1, 0, VSV0, (/2, 1/), (/nGC_1814/))

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1794/))

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2348)%branchR2(0:1))
      call avR2(2348, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2003, nGC_2001/))

      call avR2(2348, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2004, nGC_2002/))

      allocate(vertices(2499)%branchR2(0:0))
      call avR2(2499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(1256)%branchR2(0:1))
      call avR2(1256, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1774, nGC_1775/))

      call avR2(1256, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1673, nGC_1671,        &
      nGC_1672/))

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2230/))

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2027/))

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042,       &
      nGC_2041/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,        &
      nGC_2056/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2199/))

      allocate(vertices(1222)%branchR2(0:0))
      call avR2(1222, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1855/))

      allocate(vertices(3075)%branchR2(0:0))
      call avR2(3075, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2024/))

      allocate(vertices(2795)%branchR2(0:0))
      call avR2(2795, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2165/))

      allocate(vertices(3281)%branchR2(0:0))
      call avR2(3281, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(1489)%branchR2(0:0))
      call avR2(1489, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2421)%branchR2(0:0))
      call avR2(2421, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(2173)%branchR2(0:1))
      call avR2(2173, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1993, nGC_1992/))

      call avR2(2173, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1991, nGC_1991/))

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2294)%branchR2(0:0))
      call avR2(2294, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1794/))

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1006)%branchR2(0:1))
      call avR2(1006, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1955, nGC_1953/))

      call avR2(1006, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1956, nGC_1954/))

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1263)%branchR2(0:1))
      call avR2(1263, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_1929, nGC_1927/))

      call avR2(1263, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_1930, nGC_1928/))

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2669)%branchR2(0:1))
      call avR2(2669, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1772, nGC_1773/))

      call avR2(2669, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(1685)%branchR2(0:1))
      call avR2(1685, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1685, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1304)%branchR2(0:1))
      call avR2(1304, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1898, nGC_1896/))

      call avR2(1304, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1899, nGC_1897/))

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2204/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3724)%branchR2(0:1))
      call avR2(3724, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2146/))

      call avR2(3724, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2145/))

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(613)%branchR2(0:1))
      call avR2(613, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(613, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2232/))

      allocate(vertices(24)%branchR2(0:1))
      call avR2(24, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1909, nGC_1911/))

      call avR2(24, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1910, nGC_1912/))

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1762, nGC_1763/))

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2318)%branchR2(0:0))
      call avR2(2318, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2056, nGC_2055,        &
      nGC_2054/))

      allocate(vertices(3725)%branchR2(0:1))
      call avR2(3725, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2124, nGC_2124,      &
      nGC_2124/))

      call avR2(3725, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2125, nGC_2125,      &
      nGC_2125/))

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(622)%branchR2(0:1))
      call avR2(622, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1904/))

      call avR2(622, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1895/))

      allocate(vertices(2023)%branchR2(0:0))
      call avR2(2023, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2090, nGC_2089,       &
      nGC_2088/))

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2236)%branchR2(0:1))
      call avR2(2236, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(2236, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2083/))

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2033/))

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3726)%branchR2(0:1))
      call avR2(3726, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2139/))

      call avR2(3726, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2140/))

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(1485)%branchR2(0:1))
      call avR2(1485, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2010, nGC_2009/))

      call avR2(1485, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2008, nGC_2008/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2034/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2028/))

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2077/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2015/))

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1863, nGC_1862/))

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3054)%branchR2(0:0))
      call avR2(3054, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2170/))

      allocate(vertices(3727)%branchR2(0:0))
      call avR2(3727, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2583)%branchR2(0:1))
      call avR2(2583, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1768, nGC_1770/))

      call avR2(2583, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1769, nGC_1771/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1732, nGC_1733/))

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2089, nGC_2088,       &
      nGC_2090/))

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2034/))

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(418)%branchR2(0:1))
      call avR2(418, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1894/))

      call avR2(418, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(1118)%branchR2(0:1))
      call avR2(1118, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_1889, nGC_1888/))

      call avR2(1118, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_1887, nGC_1887/))

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(2248)%branchR2(0:1))
      call avR2(2248, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1904/))

      call avR2(2248, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1895/))

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3160)%branchR2(0:0))
      call avR2(3160, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(866)%branchR2(0:1))
      call avR2(866, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1744, nGC_1745/))

      call avR2(866, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1743, nGC_1743/))

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2205/))

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2075, nGC_2075,      &
      nGC_2075/))

      call avR2(3728, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2076, nGC_2076,      &
      nGC_2076/))

      allocate(vertices(797)%branchR2(0:1))
      call avR2(797, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1996, nGC_1995/))

      call avR2(797, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1994, nGC_1994/))

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2105/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1348)%branchR2(0:0))
      call avR2(1348, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2026/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2030/))

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2106/))

      allocate(vertices(2358)%branchR2(0:1))
      call avR2(2358, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1915, nGC_1913/))

      call avR2(2358, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1916, nGC_1914/))

      allocate(vertices(2448)%branchR2(0:0))
      call avR2(2448, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2021/))

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2166/))

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2129/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
