!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-14 00:18             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_177, nGC_177/))

      allocate(vertices(2401)%branch(0:0))
      call av(2401, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_617/))

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 8, 1, 0, FFaV1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_123/))

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 8, 1, 0, FaFV1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_605/))

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_637, nGC_78, nGC_78/))

      allocate(vertices(2417)%branch(0:0))
      call av(2417, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_111/))

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_181, nGC_138/))

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_165, nGC_165/))

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_122/))

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_111/))

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2439)%branch(0:0))
      call av(2439, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_76/))

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_617/))

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2445)%branch(0:0))
      call av(2445, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_114/))

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 17, 1, 0, FSFa1, (/0, 1/), (/nGC_133, nGC_133/))

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_79, nGC_631, nGC_79/))

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_188, nGC_188/))

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_180, nGC_180/))

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_639/))

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_63/))

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_162/))

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 21, 1, 0, VFaF0, (/0, 1/), (/nGC_87, nGC_84/))

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_144, nGC_143/))

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_17/))

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_94/))

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_166/))

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_607, nGC_5/))

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 20, 1, 0, VFFa1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_189/))

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 17, 1, 0, FVFa0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_615/))

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_138, nGC_181/))

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2493)%branch(0:0))
      call av(2493, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_167, nGC_168/))

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2500)%branch(0:0))
      call av(2500, 0, 8, 1, 0, SUaU0, (/0, 1/), (/nGC_71/))

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_631, nGC_79, nGC_79/))

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 8, 1, 0, FFaS1, (/0, 1/), (/nGC_161, nGC_161/))

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_102/))

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2509)%branch(0:0))
      call av(2509, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_130, nGC_130/))

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2517)%branch(0:0))
      call av(2517, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_139, nGC_140/))

      allocate(vertices(2518)%branch(0:0))
      call av(2518, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_119/))

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_117/))

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_136, nGC_135/))

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_175, nGC_176/))

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_102/))

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_633/))

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_82/))

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 17, 1, 0, FVFa1, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2541)%branch(0:0))
      call av(2541, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_106/))

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_125/))

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_64/))

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_120/))

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2557)%branch(0:0))
      call av(2557, 0, 20, 1, 0, VFFa1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_134, nGC_174/))

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 17, 1, 0, FSFa1, (/0, 1/), (/nGC_180, nGC_180/))

      allocate(vertices(2565)%branch(0:0))
      call av(2565, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_161, nGC_161/))

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 8, 1, 0, FFaS2, (/0, 1/), (/nGC_162/))

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2572)%branch(0:0))
      call av(2572, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_69/))

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_61/))

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_627/))

      allocate(vertices(2576)%branch(0:0))
      call av(2576, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_115/))

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2582)%branch(0:0))
      call av(2582, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2583)%branch(0:0))
      call av(2583, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_103/))

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2587)%branch(0:1))
      call av(2587, 0, 30, 2, 0, VFaF0, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2587, 1, 31, 3, 0, VFaF0, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_64/))

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 10, 1, 0, FFaV0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 8, 1, 0, UUaV0, (/0, 1/), (/nGC_627/))

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_69/))

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2597)%branch(0:0))
      call av(2597, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_101/))

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_114/))

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_193, nGC_146/))

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_132, nGC_625/))

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2608)%branch(0:0))
      call av(2608, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2609)%branch(0:0))
      call av(2609, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_154/))

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 17, 1, 0, FSFa1, (/0, 1/), (/nGC_196, nGC_150/))

      allocate(vertices(2612)%branch(0:0))
      call av(2612, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_87, nGC_84/))

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_103/))

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_629/))

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_198, nGC_197/))

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_63/))

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 8, 1, 0, FFaS2, (/0, 1/), (/nGC_158/))

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_166/))

      allocate(vertices(2627)%branch(0:0))
      call av(2627, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_108/))

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_617/))

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_110/))

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_64/))

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_157, nGC_157/))

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2643)%branch(0:0))
      call av(2643, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_12/))

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2645)%branch(0:0))
      call av(2645, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_131, nGC_170/))

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_67/))

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_120/))

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_133, nGC_133/))

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_96/))

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 17, 1, 0, FSFa1, (/0, 1/), (/nGC_181, nGC_138/))

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_67/))

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_151, nGC_152/))

      allocate(vertices(2663)%branch(0:0))
      call av(2663, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2664)%branch(0:1))
      call av(2664, 0, 22, 2, 0, FVFa1, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2664, 1, 23, 3, 0, FVFa1, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_126/))

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_134, nGC_174/))

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_617/))

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_613, nGC_613, nGC_83/))

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_144, nGC_143/))

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_118/))

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_631, nGC_79, nGC_79/))

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_111/))

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_17/))

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_45/))

      allocate(vertices(2697)%branch(0:0))
      call av(2697, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2698)%branch(0:0))
      call av(2698, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_189/))

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 8, 1, 0, FaSF0, (/0, 1/), (/nGC_153, nGC_153/))

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_79, nGC_79, nGC_631/))

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_613, nGC_83, nGC_613/))

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(0)%branchCT(0:1))
      call avCT(0, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2610/))

      call avCT(0, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2613/))

      allocate(vertices(23)%branchCT(0:1))
      call avCT(23, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(23, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2616/))

      allocate(vertices(5)%branchCT(0:3))
      call avCT(5, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2618, nGC_2620/))

      call avCT(5, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2617, nGC_2619/))

      call avCT(5, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2618, nGC_2620/))

      call avCT(5, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2617, nGC_2619/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(2578)%branchCT(0:1))
      call avCT(2578, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2623/))

      call avCT(2578, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2625/))

      call avCT(7, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(1313)%branchCT(0:1))
      call avCT(1313, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2627/))

      call avCT(1313, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(9)%branchCT(0:1))
      call avCT(9, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2629/))

      call avCT(9, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2630/))

      allocate(vertices(10)%branchCT(0:1))
      call avCT(10, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2631/))

      call avCT(10, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2633/))

      call avCT(11, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2634/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2635, nGC_2636/))

      allocate(vertices(13)%branchCT(0:0))
      call avCT(13, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_2637, nGC_2637/))

      allocate(vertices(14)%branchCT(0:1))
      call avCT(14, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2638/))

      call avCT(14, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2639/))

      allocate(vertices(15)%branchCT(0:1))
      call avCT(15, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2640/))

      call avCT(15, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(1746)%branchCT(0:1))
      call avCT(1746, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_2644/))

      call avCT(1746, 1, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_2645/))

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(19)%branchCT(0:1))
      call avCT(19, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2647/))

      call avCT(19, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2648/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2649/))

      call avCT(20, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2651, nGC_2652/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2653/))

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(24)%branchCT(0:1))
      call avCT(24, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2654, nGC_2656/))

      call avCT(24, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2655, nGC_2657/))

      allocate(vertices(26)%branchCT(0:1))
      call avCT(26, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2658/))

      call avCT(26, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2659/))

      allocate(vertices(27)%branchCT(0:0))
      call avCT(27, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_2660/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2662/))

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2664/))

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2631/))

      call avCT(30, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(31, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(2427)%branchCT(0:1))
      call avCT(2427, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2665/))

      call avCT(2427, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2666/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(2717)%branchCT(0:1))
      call avCT(2717, 0, 13, 1, 0, SS0, (/0, 0/), (/0, nGC_679/))

      call avCT(2717, 1, 13, 1, 0, SS0, (/0, 2/), (/nGC_2668, 0/))

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2669/))

      allocate(vertices(36)%branchCT(0:1))
      call avCT(36, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2670/))

      call avCT(36, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2672/))

      call avCT(37, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2673/))

      allocate(vertices(421)%branchCT(0:1))
      call avCT(421, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(421, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(39)%branchCT(0:1))
      call avCT(39, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2676/))

      call avCT(39, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2677/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(41)%branchCT(0:2))
      call avCT(41, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2678, nGC_2681/))

      call avCT(41, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2679, nGC_2682/))

      call avCT(41, 2, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_2680, nGC_2683/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2684/))

      allocate(vertices(2423)%branchCT(0:1))
      call avCT(2423, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2685/))

      call avCT(2423, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2686/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(43)%branchCT(0:1))
      call avCT(43, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2672/))

      call avCT(43, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2673/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(423)%branchCT(0:1))
      call avCT(423, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2470/))

      call avCT(423, 1, 8, 1, 0, UaSU0, (/0, 1/), (/nGC_2688/))

      allocate(vertices(46)%branchCT(0:2))
      call avCT(46, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2678, nGC_2681/))

      call avCT(46, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2679, nGC_2682/))

      call avCT(46, 2, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_2680, nGC_2683/))

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(47, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2691/))

      call avCT(49, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2692/))

      allocate(vertices(50)%branchCT(0:1))
      call avCT(50, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2693/))

      call avCT(50, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2694/))

      allocate(vertices(51)%branchCT(0:1))
      call avCT(51, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2695/))

      call avCT(51, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2696/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2699, nGC_2700,       &
      nGC_2699/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2670/))

      call avCT(53, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_2702/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2703/))

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2704/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_2705/))

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2706/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2707/))

      allocate(vertices(58)%branchCT(0:0))
      call avCT(58, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(59)%branchCT(0:1))
      call avCT(59, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2708/))

      call avCT(59, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2709/))

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(60)%branchCT(0:1))
      call avCT(60, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2710, nGC_2712/))

      call avCT(60, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2711, nGC_2713/))

      allocate(vertices(1118)%branchCT(0:1))
      call avCT(1118, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2714, nGC_2714/))

      call avCT(1118, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2715, nGC_2715/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(1265)%branchCT(0:1))
      call avCT(1265, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(1265, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(63)%branchCT(0:1))
      call avCT(63, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2654, nGC_2656/))

      call avCT(63, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2655, nGC_2657/))

      allocate(vertices(2248)%branchCT(0:1))
      call avCT(2248, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2716/))

      call avCT(2248, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2717/))

      allocate(vertices(65)%branchCT(0:1))
      call avCT(65, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_2477/))

      call avCT(65, 1, 8, 1, 0, USUa0, (/0, 1/), (/nGC_2718/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(2014)%branchCT(0:1))
      call avCT(2014, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2623/))

      call avCT(2014, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(66)%branchCT(0:2))
      call avCT(66, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2719, nGC_2722/))

      call avCT(66, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2720, nGC_2723/))

      call avCT(66, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2721, nGC_2724/))

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(68)%branchCT(0:1))
      call avCT(68, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2726/))

      call avCT(68, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2727/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2616/))

      allocate(vertices(70)%branchCT(0:1))
      call avCT(70, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2728/))

      call avCT(70, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2729/))

      allocate(vertices(442)%branchCT(0:1))
      call avCT(442, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2631/))

      call avCT(442, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2730/))

      allocate(vertices(1322)%branchCT(0:1))
      call avCT(1322, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(1322, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(467)%branchCT(0:0))
      call avCT(467, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(2251)%branchCT(0:1))
      call avCT(2251, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(2251, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(1189)%branchCT(0:1))
      call avCT(1189, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(1189, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2703/))

      allocate(vertices(75)%branchCT(0:0))
      call avCT(75, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_2733/))

      allocate(vertices(76)%branchCT(0:1))
      call avCT(76, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2734/))

      call avCT(76, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2735/))

      allocate(vertices(77)%branchCT(0:1))
      call avCT(77, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2736/))

      call avCT(77, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2737/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2738/))

      allocate(vertices(79)%branchCT(0:1))
      call avCT(79, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2739, nGC_2741/))

      call avCT(79, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2740, nGC_2742/))

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(12, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(82)%branchCT(0:3))
      call avCT(82, 0, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_2745, nGC_2747/))

      call avCT(82, 1, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_2746, nGC_2748/))

      call avCT(82, 2, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_2745, nGC_2747/))

      call avCT(82, 3, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_2746, nGC_2748/))

      allocate(vertices(878)%branchCT(0:1))
      call avCT(878, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2726/))

      call avCT(878, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2727/))

      allocate(vertices(84)%branchCT(0:1))
      call avCT(84, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2631/))

      call avCT(84, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2627/))

      call avCT(85, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(86)%branchCT(0:1))
      call avCT(86, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2749/))

      call avCT(86, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2750/))

      allocate(vertices(87)%branchCT(0:0))
      call avCT(87, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2751/))

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(89)%branchCT(0:1))
      call avCT(89, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2753, nGC_2755/))

      call avCT(89, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2754, nGC_2756/))

      allocate(vertices(90)%branchCT(0:0))
      call avCT(90, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2757/))

      allocate(vertices(91)%branchCT(0:0))
      call avCT(91, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2758/))

      allocate(vertices(2138)%branchCT(0:1))
      call avCT(2138, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2759/))

      call avCT(2138, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2760/))

      allocate(vertices(93)%branchCT(0:3))
      call avCT(93, 0, 27, 3, 0, FaVF0, (/3, 0/), (/nGC_2745, nGC_2747/))

      call avCT(93, 1, 27, 3, 0, FaVF0, (/1, 2/), (/nGC_2746, nGC_2748/))

      call avCT(93, 2, 26, 2, 0, FaVF0, (/3, 0/), (/nGC_2745, nGC_2747/))

      call avCT(93, 3, 26, 2, 0, FaVF0, (/1, 2/), (/nGC_2746, nGC_2748/))

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(95)%branchCT(0:1))
      call avCT(95, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2693/))

      call avCT(95, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2694/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2762/))

      allocate(vertices(1100)%branchCT(0:1))
      call avCT(1100, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2631/))

      call avCT(1100, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(98)%branchCT(0:2))
      call avCT(98, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2764, nGC_2767/))

      call avCT(98, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2765, nGC_2768/))

      call avCT(98, 2, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_2766, nGC_2769/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2772/))

      allocate(vertices(100)%branchCT(0:1))
      call avCT(100, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2773/))

      call avCT(100, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2774/))

      allocate(vertices(616)%branchCT(0:1))
      call avCT(616, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(616, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(102)%branchCT(0:1))
      call avCT(102, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_2654, nGC_2656/))

      call avCT(102, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2655, nGC_2657/))

      allocate(vertices(103)%branchCT(0:1))
      call avCT(103, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2775/))

      call avCT(103, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(105)%branchCT(0:3))
      call avCT(105, 0, 27, 3, 0, FaVF0, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(105, 1, 27, 3, 0, FaVF0, (/3, 0/), (/nGC_2777, nGC_2779/))

      call avCT(105, 2, 26, 2, 0, FaVF0, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(105, 3, 26, 2, 0, FaVF0, (/3, 0/), (/nGC_2777, nGC_2779/))

      allocate(vertices(106)%branchCT(0:0))
      call avCT(106, 0, 8, 1, 0, VUaU0, (/0, 3/), (/nGC_2781/))

      allocate(vertices(1329)%branchCT(0:1))
      call avCT(1329, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(1329, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_2783/))

      allocate(vertices(108)%branchCT(0:1))
      call avCT(108, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2647/))

      call avCT(108, 1, 8, 1, 0, VVS0, (/0, 1/), (/nGC_2648/))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(109)%branchCT(0:1))
      call avCT(109, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2656, nGC_2654/))

      call avCT(109, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2657, nGC_2655/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(112)%branchCT(0:1))
      call avCT(112, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2786, nGC_2786/))

      call avCT(112, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2787, nGC_2787/))

      allocate(vertices(1776)%branchCT(0:1))
      call avCT(1776, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(1776, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2788/))

      call avCT(114, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(683)%branchCT(0:1))
      call avCT(683, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2640/))

      call avCT(683, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2790, nGC_2792/))

      call avCT(116, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2791, nGC_2793/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(117)%branchCT(0:1))
      call avCT(117, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(117, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(118)%branchCT(0:1))
      call avCT(118, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2795/))

      call avCT(118, 1, 8, 1, 0, SSV0, (/0, 1/), (/nGC_2796/))

      allocate(vertices(711)%branchCT(0:1))
      call avCT(711, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2797/))

      call avCT(711, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2699, nGC_2699,        &
      nGC_2700/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2801/))

      call avCT(122, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(123)%branchCT(0:1))
      call avCT(123, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2759/))

      call avCT(123, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2760/))

      allocate(vertices(124)%branchCT(0:1))
      call avCT(124, 0, 38, 4, 0, VUUa0, (/3, 0/), (/nGC_2803/))

      call avCT(124, 1, 39, 5, 0, VUUa0, (/3, 0/), (/nGC_2803/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2805/))

      allocate(vertices(1101)%branchCT(0:1))
      call avCT(1101, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2806/))

      call avCT(1101, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2807/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2808/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2809/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_2810/))

      allocate(vertices(132)%branchCT(0:1))
      call avCT(132, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2708/))

      call avCT(132, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2709/))

      allocate(vertices(133)%branchCT(0:2))
      call avCT(133, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2678, nGC_2681/))

      call avCT(133, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2679, nGC_2682/))

      call avCT(133, 2, 10, 1, 0, FFaS1, (/0, 1/), (/nGC_2680, nGC_2683/))

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2775/))

      call avCT(134, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2811/))

      allocate(vertices(136)%branchCT(0:1))
      call avCT(136, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2812/))

      call avCT(136, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(137)%branchCT(0:1))
      call avCT(137, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2775/))

      call avCT(137, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(886)%branchCT(0:1))
      call avCT(886, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2640/))

      call avCT(886, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2815/))

      allocate(vertices(1783)%branchCT(0:1))
      call avCT(1783, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2625/))

      call avCT(1783, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2781/))

      allocate(vertices(141)%branchCT(0:1))
      call avCT(141, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2625/))

      call avCT(141, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(142)%branchCT(0:1))
      call avCT(142, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2640/))

      call avCT(142, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2816/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2817/))

      call avCT(143, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(144)%branchCT(0:1))
      call avCT(144, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2819/))

      call avCT(144, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(146)%branchCT(0:1))
      call avCT(146, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2821/))

      call avCT(146, 1, 8, 1, 0, VVS0, (/0, 1/), (/nGC_2822/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2665/))

      call avCT(147, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2666/))

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2805/))

      allocate(vertices(149)%branchCT(0:1))
      call avCT(149, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2823/))

      call avCT(149, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2825/))

      allocate(vertices(1784)%branchCT(0:0))
      call avCT(1784, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2773/))

      call avCT(155, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2774/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_2763/))

      allocate(vertices(983)%branchCT(0:1))
      call avCT(983, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(983, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2826/))

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2827/))

      call avCT(157, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2828/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(892)%branchCT(0:1))
      call avCT(892, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2788/))

      call avCT(892, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2829/))

      allocate(vertices(158)%branchCT(0:1))
      call avCT(158, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2672/))

      call avCT(158, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2673/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2811/))

      allocate(vertices(159)%branchCT(0:0))
      call avCT(159, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2830/))

      allocate(vertices(160)%branchCT(0:0))
      call avCT(160, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(162)%branchCT(0:1))
      call avCT(162, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(162, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2831/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_2613/))

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2782/))

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2706/))

      allocate(vertices(165)%branchCT(0:0))
      call avCT(165, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2832/))

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(167)%branchCT(0:1))
      call avCT(167, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(167, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2714, nGC_2714/))

      call avCT(168, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2715, nGC_2715/))

      allocate(vertices(169)%branchCT(0:1))
      call avCT(169, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2640/))

      call avCT(169, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(1550)%branchCT(0:1))
      call avCT(1550, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2638/))

      call avCT(1550, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2639/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(1096)%branchCT(0:1))
      call avCT(1096, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2833/))

      call avCT(1096, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2676/))

      call avCT(172, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2677/))

      allocate(vertices(1098)%branchCT(0:1))
      call avCT(1098, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2835/))

      call avCT(1098, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2836/))

      allocate(vertices(1099)%branchCT(0:1))
      call avCT(1099, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2647/))

      call avCT(1099, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2648/))

      allocate(vertices(2759)%branchCT(0:1))
      call avCT(2759, 0, 13, 1, 0, VS0, (/0, 0/), (/nGC_2837/))

      call avCT(2759, 1, 13, 1, 0, VS0, (/0, 2/), (/nGC_2838/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2809/))

      allocate(vertices(175)%branchCT(0:1))
      call avCT(175, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2823/))

      call avCT(175, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_2839, nGC_2839/))

      allocate(vertices(2273)%branchCT(0:1))
      call avCT(2273, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(2273, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(179)%branchCT(0:0))
      call avCT(179, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2698/))

      allocate(vertices(759)%branchCT(0:0))
      call avCT(759, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2840, nGC_2840,        &
      nGC_2841/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2842/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(182)%branchCT(0:1))
      call avCT(182, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2693/))

      call avCT(182, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2694/))

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2625/))

      call avCT(183, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(184)%branchCT(0:3))
      call avCT(184, 0, 22, 2, 0, FVFa1, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(184, 1, 22, 2, 0, FVFa1, (/1, 2/), (/nGC_2844, nGC_2846/))

      call avCT(184, 2, 23, 3, 0, FVFa1, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(184, 3, 23, 3, 0, FVFa1, (/1, 2/), (/nGC_2844, nGC_2846/))

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2653/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2812/))

      call avCT(187, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2813/))

      allocate(vertices(188)%branchCT(0:1))
      call avCT(188, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2749/))

      call avCT(188, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2750/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(189)%branchCT(0:0))
      call avCT(189, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2703/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2476/))

      call avCT(193, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2849/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(1230)%branchCT(0:0))
      call avCT(1230, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_2660/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2850/))

      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2470/))

      call avCT(196, 1, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_2688/))

      allocate(vertices(1792)%branchCT(0:0))
      call avCT(1792, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2851, nGC_2852,       &
      nGC_2851/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(197)%branchCT(0:1))
      call avCT(197, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2853/))

      call avCT(197, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2854/))

      allocate(vertices(1259)%branchCT(0:1))
      call avCT(1259, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(1259, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2656, nGC_2654/))

      call avCT(199, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2657, nGC_2655/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2630/))

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2631/))

      call avCT(200, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(201)%branchCT(0:3))
      call avCT(201, 0, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(201, 1, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2844, nGC_2846/))

      call avCT(201, 2, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(201, 3, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2844, nGC_2846/))

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2825/))

      allocate(vertices(1274)%branchCT(0:1))
      call avCT(1274, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2665/))

      call avCT(1274, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2666/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2855/))

      allocate(vertices(2276)%branchCT(0:1))
      call avCT(2276, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2856/))

      call avCT(2276, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2857/))

      allocate(vertices(204)%branchCT(0:1))
      call avCT(204, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2858/))

      call avCT(204, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(205, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(207)%branchCT(0:1))
      call avCT(207, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2631/))

      call avCT(207, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(208)%branchCT(0:1))
      call avCT(208, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(208, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(209)%branchCT(0:0))
      call avCT(209, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2860/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(211)%branchCT(0:1))
      call avCT(211, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2861/))

      call avCT(211, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2862/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2863/))

      allocate(vertices(214)%branchCT(0:2))
      call avCT(214, 0, 18, 1, 0, FaFS0, (/0, 3/), (/nGC_2864, nGC_2867/))

      call avCT(214, 1, 18, 1, 0, FaFS0, (/2, 1/), (/nGC_2865, nGC_2868/))

      call avCT(214, 2, 18, 1, 0, FaFS0, (/0, 1/), (/nGC_2866, nGC_2869/))

      allocate(vertices(215)%branchCT(0:1))
      call avCT(215, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2649/))

      call avCT(215, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(216)%branchCT(0:1))
      call avCT(216, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2870/))

      call avCT(216, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2871/))

      allocate(vertices(217)%branchCT(0:1))
      call avCT(217, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2872/))

      call avCT(217, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2873/))

      allocate(vertices(902)%branchCT(0:0))
      call avCT(902, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(219)%branchCT(0:1))
      call avCT(219, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2625/))

      call avCT(219, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2775/))

      call avCT(220, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(1376)%branchCT(0:1))
      call avCT(1376, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2874/))

      call avCT(1376, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(222)%branchCT(0:1))
      call avCT(222, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(222, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(223)%branchCT(0:1))
      call avCT(223, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2691/))

      call avCT(223, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2692/))

      allocate(vertices(224)%branchCT(0:1))
      call avCT(224, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2876, nGC_2878/))

      call avCT(224, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2877, nGC_2879/))

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2880/))

      call avCT(225, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2030)%branchCT(0:1))
      call avCT(2030, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2882, nGC_2884/))

      call avCT(2030, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2883, nGC_2885/))

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(228)%branchCT(0:0))
      call avCT(228, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2887/))

      allocate(vertices(1422)%branchCT(0:1))
      call avCT(1422, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2888/))

      call avCT(1422, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2889/))

      allocate(vertices(2275)%branchCT(0:0))
      call avCT(2275, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2890/))

      allocate(vertices(1223)%branchCT(0:1))
      call avCT(1223, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2819/))

      call avCT(1223, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2770/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2891, nGC_2892/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_2893/))

      allocate(vertices(231)%branchCT(0:1))
      call avCT(231, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2631/))

      call avCT(231, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2894/))

      call avCT(232, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2895/))

      allocate(vertices(233)%branchCT(0:2))
      call avCT(233, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2764, nGC_2767/))

      call avCT(233, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2765, nGC_2768/))

      call avCT(233, 2, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_2766, nGC_2769/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(235)%branchCT(0:2))
      call avCT(235, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2764, nGC_2767/))

      call avCT(235, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2765, nGC_2768/))

      call avCT(235, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2766, nGC_2769/))

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2753, nGC_2755/))

      call avCT(237, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2754, nGC_2756/))

      allocate(vertices(2067)%branchCT(0:1))
      call avCT(2067, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2819/))

      call avCT(2067, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(238)%branchCT(0:0))
      call avCT(238, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_2613/))

      allocate(vertices(1356)%branchCT(0:1))
      call avCT(1356, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2623/))

      call avCT(1356, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2616/))

      allocate(vertices(1509)%branchCT(0:3))
      call avCT(1509, 0, 30, 2, 0, VFaF0, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(1509, 1, 30, 2, 0, VFaF0, (/1, 2/), (/nGC_2844, nGC_2846/))

      call avCT(1509, 2, 31, 3, 0, VFaF0, (/3, 0/), (/nGC_2843, nGC_2845/))

      call avCT(1509, 3, 31, 3, 0, VFaF0, (/1, 2/), (/nGC_2844, nGC_2846/))

      allocate(vertices(243)%branchCT(0:0))
      call avCT(243, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_2896/))

      allocate(vertices(246)%branchCT(0:1))
      call avCT(246, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2897/))

      call avCT(246, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2898/))

      allocate(vertices(247)%branchCT(0:1))
      call avCT(247, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2640/))

      call avCT(247, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(248)%branchCT(0:0))
      call avCT(248, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2851, nGC_2852,        &
      nGC_2851/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(1358)%branchCT(0:1))
      call avCT(1358, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2899, nGC_2899/))

      call avCT(1358, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2900, nGC_2900/))

      allocate(vertices(249)%branchCT(0:1))
      call avCT(249, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_2901/))

      call avCT(249, 1, 8, 1, 0, FaSF1, (/0, 1/), (/nGC_2902/))

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_2903, nGC_2903/))

      allocate(vertices(1801)%branchCT(0:1))
      call avCT(1801, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(1801, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(253)%branchCT(0:0))
      call avCT(253, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(254)%branchCT(0:1))
      call avCT(254, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2471/))

      call avCT(254, 1, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_2904/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2470/))

      call avCT(255, 1, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_2688/))

      allocate(vertices(256)%branchCT(0:1))
      call avCT(256, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(256, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(257)%branchCT(0:0))
      call avCT(257, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2825/))

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2706/))

      allocate(vertices(1601)%branchCT(0:1))
      call avCT(1601, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2880/))

      call avCT(1601, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2905/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_2810/))

      allocate(vertices(261)%branchCT(0:1))
      call avCT(261, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2801/))

      call avCT(261, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(262)%branchCT(0:3))
      call avCT(262, 0, 24, 2, 0, FaFV0, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(262, 1, 24, 2, 0, FaFV0, (/3, 0/), (/nGC_2777, nGC_2779/))

      call avCT(262, 2, 25, 3, 0, FaFV0, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(262, 3, 25, 3, 0, FaFV0, (/3, 0/), (/nGC_2777, nGC_2779/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_2906, nGC_2907/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(2128)%branchCT(0:0))
      call avCT(2128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(264)%branchCT(0:1))
      call avCT(264, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2880/))

      call avCT(264, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2909/))

      allocate(vertices(265)%branchCT(0:1))
      call avCT(265, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2910/))

      call avCT(265, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(266)%branchCT(0:2))
      call avCT(266, 0, 17, 1, 0, FSFa1, (/0, 3/), (/nGC_2912, nGC_2915/))

      call avCT(266, 1, 17, 1, 0, FSFa1, (/2, 1/), (/nGC_2913, nGC_2916/))

      call avCT(266, 2, 17, 1, 0, FSFa1, (/0, 1/), (/nGC_2914, nGC_2917/))

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(268)%branchCT(0:1))
      call avCT(268, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2693/))

      call avCT(268, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2694/))

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_2810/))

      allocate(vertices(486)%branchCT(0:1))
      call avCT(486, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2918/))

      call avCT(486, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(1773)%branchCT(0:1))
      call avCT(1773, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2817/))

      call avCT(1773, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(2262)%branchCT(0:2))
      call avCT(2262, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2920, nGC_2923/))

      call avCT(2262, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2921, nGC_2924/))

      call avCT(2262, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2922, nGC_2925/))

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2704/))

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2631/))

      call avCT(272, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2926, nGC_2926/))

      call avCT(273, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2927, nGC_2927/))

      allocate(vertices(1705)%branchCT(0:1))
      call avCT(1705, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2672/))

      call avCT(1705, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2673/))

      allocate(vertices(275)%branchCT(0:0))
      call avCT(275, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2928/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2785/))

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2471/))

      call avCT(278, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2904/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2929/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(2286)%branchCT(0:1))
      call avCT(2286, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2788/))

      call avCT(2286, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2789/))

      allocate(vertices(280)%branchCT(0:1))
      call avCT(280, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2625/))

      call avCT(280, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2930/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2931/))

      allocate(vertices(2204)%branchCT(0:1))
      call avCT(2204, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2734/))

      call avCT(2204, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2735/))

      allocate(vertices(2340)%branchCT(0:1))
      call avCT(2340, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2932, nGC_2934/))

      call avCT(2340, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2933, nGC_2935/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2936/))

      allocate(vertices(2509)%branchCT(0:1))
      call avCT(2509, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2926, nGC_2926/))

      call avCT(2509, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2927, nGC_2927/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2910/))

      call avCT(284, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_2741, nGC_2739/))

      call avCT(286, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_2742, nGC_2740/))

      allocate(vertices(1818)%branchCT(0:0))
      call avCT(1818, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2937/))

      call avCT(288, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2938/))

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_2939/))

      allocate(vertices(1803)%branchCT(0:1))
      call avCT(1803, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2477/))

      call avCT(1803, 1, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_2718/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2940/))

      allocate(vertices(291)%branchCT(0:1))
      call avCT(291, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2726/))

      call avCT(291, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2727/))

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2643/))

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_2808/))

      allocate(vertices(293)%branchCT(0:1))
      call avCT(293, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2823/))

      call avCT(293, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2824/))

      allocate(vertices(1754)%branchCT(0:1))
      call avCT(1754, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2614/))

      call avCT(1754, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2615/))

      allocate(vertices(1870)%branchCT(0:0))
      call avCT(1870, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2697/))

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2941/))

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2817/))

      call avCT(295, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2818/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(297)%branchCT(0:1))
      call avCT(297, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2874/))

      call avCT(297, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2875/))

      allocate(vertices(298)%branchCT(0:1))
      call avCT(298, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2477/))

      call avCT(298, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2718/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(299, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(300)%branchCT(0:1))
      call avCT(300, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_2942, nGC_2944/))

      call avCT(300, 1, 8, 1, 0, FSFa1, (/0, 1/), (/nGC_2943, nGC_2945/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2706/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2946, nGC_2947/))

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2725/))

      allocate(vertices(302)%branchCT(0:1))
      call avCT(302, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2775/))

      call avCT(302, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2776/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(304)%branchCT(0:1))
      call avCT(304, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2948/))

      call avCT(304, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2949/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_2733/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2704/))

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2880/))

      call avCT(307, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2950, nGC_2951,        &
      nGC_2952/))

      allocate(vertices(308)%branchCT(0:1))
      call avCT(308, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2753, nGC_2755/))

      call avCT(308, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2754, nGC_2756/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2833/))

      call avCT(310, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2834/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2953/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2954/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2730/))

      allocate(vertices(313)%branchCT(0:3))
      call avCT(313, 0, 28, 2, 0, VFFa1, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(313, 1, 28, 2, 0, VFFa1, (/3, 0/), (/nGC_2777, nGC_2779/))

      call avCT(313, 2, 29, 3, 0, VFFa1, (/1, 2/), (/nGC_2778, nGC_2780/))

      call avCT(313, 3, 29, 3, 0, VFFa1, (/3, 0/), (/nGC_2777, nGC_2779/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2908/))

      allocate(vertices(314)%branchCT(0:1))
      call avCT(314, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2910/))

      call avCT(314, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2911/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2752/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2794/))

      allocate(vertices(317)%branchCT(0:1))
      call avCT(317, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2880/))

      call avCT(317, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2881/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2635, nGC_2636/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2687/))

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2797/))

      call avCT(318, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2798/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2955/))

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_2896/))

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2956/))

      allocate(vertices(324)%branchCT(0:1))
      call avCT(324, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_2957, nGC_2959/))

      call avCT(324, 1, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_2958, nGC_2960/))

      allocate(vertices(325)%branchCT(0:1))
      call avCT(325, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2961/))

      call avCT(325, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2962/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2799/))

      allocate(vertices(477)%branchCT(0:1))
      call avCT(477, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(477, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(327)%branchCT(0:1))
      call avCT(327, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2640/))

      call avCT(327, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(328)%branchCT(0:1))
      call avCT(328, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2477/))

      call avCT(328, 1, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_2718/))

      allocate(vertices(2297)%branchCT(0:0))
      call avCT(2297, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(730)%branchCT(0:1))
      call avCT(730, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2640/))

      call avCT(730, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2848/))

      allocate(vertices(2199)%branchCT(0:1))
      call avCT(2199, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2658/))

      call avCT(2199, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2659/))

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2840, nGC_2841,       &
      nGC_2840/))

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2819/))

      call avCT(332, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2820/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(334)%branchCT(0:1))
      call avCT(334, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_2644/))

      call avCT(334, 1, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_2645/))

      allocate(vertices(1820)%branchCT(0:1))
      call avCT(1820, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2716/))

      call avCT(1820, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_2717/))

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2784/))

      allocate(vertices(337)%branchCT(0:1))
      call avCT(337, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2649/))

      call avCT(337, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(338)%branchCT(0:0))
      call avCT(338, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2699, nGC_2699,        &
      nGC_2700/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2612/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2761/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2667/))

      allocate(vertices(343)%branchCT(0:1))
      call avCT(343, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_2963/))

      call avCT(343, 1, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_2964/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 8, 1, 0, UVUa0, (/0, 3/), (/nGC_2781/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2939/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2621/))

      allocate(vertices(346)%branchCT(0:1))
      call avCT(346, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(346, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2940/))

      allocate(vertices(2300)%branchCT(0:1))
      call avCT(2300, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2627/))

      call avCT(2300, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2628/))

      allocate(vertices(349)%branchCT(0:0))
      call avCT(349, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2965/))

      allocate(vertices(2301)%branchCT(0:1))
      call avCT(2301, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2470/))

      call avCT(2301, 1, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_2688/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2966/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2814/))

      allocate(vertices(353)%branchCT(0:1))
      call avCT(353, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_2963/))

      call avCT(353, 1, 8, 1, 0, SFaF1, (/0, 1/), (/nGC_2964/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2642/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2967/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2706/))

      allocate(vertices(357)%branchCT(0:1))
      call avCT(357, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(357, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(358)%branchCT(0:1))
      call avCT(358, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2689/))

      call avCT(358, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(359)%branchCT(0:1))
      call avCT(359, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2753, nGC_2755/))

      call avCT(359, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2754, nGC_2756/))

      allocate(vertices(360)%branchCT(0:1))
      call avCT(360, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2801/))

      call avCT(360, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2802/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2968/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2804/))

      allocate(vertices(1467)%branchCT(0:1))
      call avCT(1467, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2676/))

      call avCT(1467, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2677/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2893/))

      allocate(vertices(363)%branchCT(0:1))
      call avCT(363, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2674/))

      call avCT(363, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2675/))

      allocate(vertices(1877)%branchCT(0:1))
      call avCT(1877, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2670/))

      call avCT(1877, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(2216)%branchCT(0:1))
      call avCT(2216, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2640/))

      call avCT(2216, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(365)%branchCT(0:1))
      call avCT(365, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2790, nGC_2792/))

      call avCT(365, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2791, nGC_2793/))

      allocate(vertices(929)%branchCT(0:1))
      call avCT(929, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2731/))

      call avCT(929, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2732/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2930/))

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2804/))

    end subroutine fill_vertices_mdl4
end module vertices_info4
